linux-realtime (6.17.0-1001.2) questing; urgency=medium

  * questing/linux-realtime: 6.17.0-1001.2 -proposed tracker (LP: #2125328)

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian.realtime/dkms-versions -- update from kernel-versions
      (main/d2025.09.22)
    - [Packaging] realtime: sync with debian.master

  * Drop support for modules-extra (LP: #2042831)
    - [Packaging] Drop support for modules-extra

  * questing/linux-realtime: 6.17.0-1001.2 -proposed tracker (LP: #2125328)
    - [Packaging] debian.realtime/etc/update.conf: Point to questing
    - [Packaging] Initial configuration of questing:linux-realtime

  * Questing real-time patchset update: v6.17 (LP: #2125144)
    - workqueue: Provide a handshake for canceling BH workers
    - softirq: Provide a handshake for canceling tasklets via polling
    - softirq: Allow to drop the softirq-BKL lock on PREEMPT_RT
    - Reapply "serial: 8250: Switch to nbcon console"
    - Reapply "serial: 8250: Revert "drop lockdep annotation from
      serial8250_clear_IER()""
    - drm/i915: Use preempt_disable/enable_rt() where recommended
    - drm/i915: Don't disable interrupts on PREEMPT_RT during atomic updates
    - drm/i915: Don't check for atomic context on PREEMPT_RT
    - drm/i915: Disable tracing points on PREEMPT_RT
    - drm/i915/gt: Use spin_lock_irq() instead of local_irq_disable() +
      spin_lock()
    - drm/i915: Drop the irqs_disabled() check
    - drm/i915/guc: Consider also RCU depth in busy loop.
    - drm/i915: Consider RCU read section as atomic.
    - Revert "drm/i915: Depend on !PREEMPT_RT."
    - sysfs: Add /sys/kernel/realtime entry
    - Realtime patchset 6.17-rt3

  [ Ubuntu: 6.17.0-5.5 ]

  * questing/linux: 6.17.0-5.5 -proposed tracker (LP: #2125319)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.09.22)
  * [SRU] Failed to create source package: Unmet build dependencies:
    bpftool:native (LP: #2122310)
    - [Packaging] fix build profile spec for bpftool
  * UBUNTU: fan: fail to check kmalloc() return could cause a NULL pointer
    dereference (LP: #2125053)
    - SAUCE: fan: vxlan: check memory allocation for map
  * iproute2 breaking netplan DEP-8 tests in Questing, unexpected "fan-map" in
    JSON output (LP: #2124257)
    - SAUCE: fan: don't enforce a specific enum value for IFLA_VXLAN_FAN_MAP
  * memory leaks when configuring a small rate limit in audit (LP: #2122554)
    - SAUCE: audit: fix skb leak when audit rate limit is exceeded
  * Support AMD Image Signal Processing (ISP) unit V4.0 (LP: #2110092)
    - SAUCE: media: platform: amd: Introduce amd isp4 capture driver
    - SAUCE: media: platform: amd: low level support for isp4 firmware
    - SAUCE: media: platform: amd: Add isp4 fw and hw interface
    - SAUCE: media: platform: amd: isp4 subdev and firmware loading handling
      added
    - SAUCE: media: platform: amd: isp4 video node and buffers handling added
    - SAUCE: media: platform: amd: isp4 debug fs logging and more descriptive
      errors
    - SAUCE: Documentation: add documentation of AMD isp 4 driver
    - [Config] Enable AMD_ISP4
  * 25.10 Snapdragon X Elite: Sync concept kernel changes (LP: #2121477)
    - phy: qcom: qmp-combo: Rename 'mode' to 'phy_mode'
    - phy: qcom: qmp-combo: store DP phy power state
    - phy: qcom: qmp-combo: introduce QMPPHY_MODE
    - phy: qcom: qmp-combo: register a typec mux to change the QMPPHY_MODE
    - arm64: dts: qcom: x1e80100-crd: Add USB multiport fingerprint reader
    - dt-bindings: arm: qcom: Add Dell Latitude 7455
    - dt-bindings: display: panel: samsung,atna40cu11: document ATNA40CU11
    - dt-bindings: display: panel: samsung,atna40ct06: document ATNA40CT06
    - drm/panel-edp: Add BOE NV140WUM-N64
    - arm64: dts: qcom: x1-crd: Enable HBR3 on external DPs
    - SAUCE: drm/dp: drm_edp_backlight_set_level: do not always send 3-byte
      commands
    - SAUCE: drm/edp-panel: Add touchscreen panel used by Lenovo X13s
    - SAUCE: net: qrtr: mhi: synchronize qrtr and mhi preparation
    - SAUCE: arm64: dts: qcom: x1e78100-t14s-oled: add eDP panel
    - SAUCE: wip: arm64: dts: qcom: x1e80100-crd: Add WiFi/BT pwrseq
    - SAUCE: wip: arm64: dts: qcom: x1e78100-t14s: enable bluetooth
    - SAUCE: drm/dp: clamp PWM bit count to advertised MIN and MAX
      capabilities
    - SAUCE: arm64: dts: qcom: x1e80100-pmics: Disable pm8010 by default
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: Add Left/Right
      Speakers and Tweeter
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: enable MICs LDO
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: Mark audio channels
      as left-right swapped
    - SAUCE: arm64: dts: qcom: sc8280xp-lenovo-thinkpad-x13: Set up 4-lane DP
    - SAUCE: dt-bindings: phy: qcom,sc8280xp-qmp-usb43dp-phy: Document default
      phy mode
    - SAUCE: phy: qcom: qmp-combo: get default qmpphy_mode from DT
    - SAUCE: arm64: dts: qcom: x1e78100-lenovo-thinkpad-t14s: add HDMI nodes
    - SAUCE: dt-bindings: phy: qcom,sc8280xp-qmp-usb43dp: Reference usb-
      switch.yaml to allow mode-switch
    - SAUCE: dt-bindings: arm: qcom: Add Asus Zenbook A14 UX3407QA LCD/OLED
      variants
    - SAUCE: arm64: dts: qcom: Rework X1-based Asus Zenbook A14's displays
    - SAUCE: arm64: dts: qcom: x1e80100-asus-zenbook-a14: Enable WiFi,
      Bluetooth
    - SAUCE: arm64: dts: qcom: Add support for Dell Inspiron 7441 / Latitude
      7455
    - SAUCE: firmware: qcom: scm: Allow QSEECOM on Dell Inspiron 7441 /
      Latitude 7455
    - SAUCE: dt-bindings: arm: qcom: Add Acer Swift 14 AI
    - SAUCE: arm64: dts: qcom: x1-acer-swift-14: Add support for Acer Swift 14
    - SAUCE: arm64: dts: qcom: x1e80100: allow mode-switch events to reach the
      QMP Combo PHYs
    - SAUCE: arm64: dts: qcom: x1e80100: move dp0/1/2 data-lanes to SoC dtsi
    - SAUCE: arm64: dts: qcom: x1e80100: Set up 4-lane DP
    - SAUCE: arm64: dts: qcom: x1e80100: move remaining dp0/1/2 data-lanes to
      SoC dtsi
    - Revert "UBUNTU: SAUCE: Change: cracking sound fix"
  * UBSAN: shift-out-of-bounds in drivers/edac/skx_common.c:452:16
    (LP: #2119713)
    - EDAC/i10nm: Skip DIMM enumeration on a disabled memory controller
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs for v6.17-rc6 rebase

  [ Ubuntu: 6.17.0-4.4 ]

  * questing/linux: 6.17.0-4.4 -proposed tracker (LP: #2122321)
  * [SRU] Do not instantiate SPD5118 sensors on i801 SMBus controllers
    (LP: #2114963)
    - SAUCE: i2c: i801: Do not instantiate spd5118 under SPD Write Disable
  * initramfs-tools: autopkgtest fails on arm64 with Possible missing firmware
    /lib/firmware/apple/dfrmtfw-*.bin for built-in driver apple_z2
    (LP: #2115758)
    - [Config] Set TOUCHSCREEN_APPLE_Z2=m (arm64)
  * Support TDX host in questing (LP: #2121873)
    - SAUCE: x86/kexec: Consolidate relocate_kernel() function parameters
    - SAUCE: x86/sme: Use percpu boolean to control WBINVD during kexec
    - SAUCE: x86/virt/tdx: Mark memory cache state incoherent when making
      SEAMCALL
    - SAUCE: x86/kexec: Disable kexec/kdump on platforms with TDX partial
      write erratum
    - SAUCE: x86/virt/tdx: Remove the !KEXEC_CORE dependency
    - SAUCE: x86/virt/tdx: Update the kexec section in the TDX documentation
    - SAUCE: KVM: TDX: Explicitly do WBINVD when no more TDX SEAMCALLs
    - [Config] enable TDX host support
  * minimal kernel lacks modules for blk disk in arm64 openstack environments
    where config_drive is required (LP: #2118499)
    - [Config] Enable SYM53C8XX_2 on arm64
  * Miscellaneous Ubuntu changes
    - [Config] Re-enable Rust support, and make sure it doesn't get disabled
      by accident
    - [Config] updateconfigs for v6.17-rc5 rebase

  [ Ubuntu: 6.17.0-3.3 ]

  * questing/linux: 6.17.0-3.3 -proposed tracker (LP: #2121512)
  *  Enable Xilinx PS UART configs (LP: #2121337)
    - [Config] Enable Xilinx PS UART configs
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.08.25)
  * Plucky/Questing fails to boot on (older) Macs (LP: #2105402)
    - SAUCE: hack: efi/libstub: enable t14s boot failure hack only on arm64
  * Miscellaneous Ubuntu changes
    - [Packaging] Fix linux-modules Description, add dependency on wireless-
      regdb from old -extra
    - [Packaging] Fix arch list for bpftool build-dep

  [ Ubuntu: 6.17.0-2.2 ]

  * questing/linux: 6.17.0-2.2 -proposed tracker (LP: #2121374)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.08.25)
  * enable Mediatek media platform drivers on arm64 (LP: #2116138)
    - [Config] enable mediatek media platform drivers
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/38]: Stacking: Audit: Create audit_stamp
      structure
    - SAUCE: apparmor5.0.0 [2/38]: Stacking: Audit: Allow multiple records in
      an audit_buffer
    - SAUCE: apparmor5.0.0 [3/38]: Stacking: LSM: security_lsmblob_to_secctx
      module selection
    - SAUCE: apparmor5.0.0 [4/38]: Stacking: Audit: Add record for multiple
      task security contexts
    - SAUCE: apparmor5.0.0 [5/38]: Stacking: Audit: multiple subject lsm
      values for netlabel
    - SAUCE: apparmor5.0.0 [6/38]: Stacking: Audit: Add record for multiple
      object contexts
    - SAUCE: apparmor5.0.0 [7/38]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [8/38]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [9/38]: Stacking: Audit: Call only the first of the
      audit rule hooks
    - SAUCE: apparmor5.0.0 [10/38]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [11/38]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [12/38]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [13/38]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [14/38]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [15/38]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [16/38]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [18/38]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [19/38]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [20/38]: aoparmor: userns: Add support for execpath
      in userns
    - SAUCE: apparmor5.0.0 [21/38]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [22/38]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [23/38]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [26/38]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [27/38]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [28/38]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [29/38]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [30/38]: apparmor: add AA_DEBUG_PROFILE to have
      debug on profiles with flag set
    - SAUCE: apparmor5.0.0 [31/38]: apparmor: make str table more generic and
      be able to have multiple entries
    - SAUCE: apparmor5.0.0 [32/38]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [33/38]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [34/38]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [35/38]: UBUNTU: SAUCE: apparmor5.0.0 [35/38]:
      apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [36/38]: apparmor: mmap_file() doesn't need to be
      called atomically
    - SAUCE: apparmor5.0.0 [37/38]: apparmor: guard against free routines
      being called with a NULL
    - SAUCE: apparmor5.0.0 [38/38]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * Installation of AppArmor on a 6.14 kernel produces error message "Illegal
    number: yes" (LP: #2102680)
    - SAUCE: apparmor5.0.0 [24/38]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [25/38]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in
    mantic (LP: #2032602)
    - SAUCE: apparmor5.0.0 [17/38]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
  * nvme no longer detected on boot after upgrade to 6.8.0-60 (LP: #2111521)
    - SAUCE: PCI: Disable RRS polling for Intel SSDPE2KX020T8 nvme
  * Miscellaneous Ubuntu changes
    - [Packaging] Use host bpftool if doing cross-compiling
    - [Packaging] Rename to linux
    - [Packaging] d/t/ubuntu-regression-suite: use https to clone
    - [Packaging] d/t/control: add snapd and fuse-overlayfs dependencies
    - [Packaging] Drop/update some dkms packages.

  [ Ubuntu-unstable: 6.17.0-1.1 ]

  * questing/linux-unstable: 6.17.0-1.1 -proposed tracker (LP: #2121054)
  * Enable CONFIG_IPV6_OPTIMISTIC_DAD (LP: #1728366)
    - [Config] Enable CONFIG_IPV6_OPTIMISTIC_DAD
  * No IP Address assigned after hot-plugging Ethernet cable on HP Platform
    (LP: #2115393)
    - Revert "e1000e: change k1 configuration on MTP and later platforms"
  * sources list generation using dwarfdump takes up to 0.5hr in build process
    (LP: #2104911)
    - [Packaging] Don't generate list of source files
  * Miscellaneous Ubuntu changes
    - [Config] updateconfig following rebase to v6.17-rc2
    - [Packaging] Renane to linux-unstable
    - SAUCE: gpio: aaeon: use new GPIO line value setter callbacks
    - [Packaging] debian.master/dkms-versions: Drop failing dkms packages
    - [Packaging] Don't suggest linux-modules-extra

  [ Ubuntu-unstable: 6.17.0-0.0 ]

  * dummy entry

  [ Ubuntu: 6.16.0-16.16 ]

  * questing/linux: 6.16.0-16.16 -proposed tracker (LP: #2120720)

  [ Ubuntu: 6.16.0-14.14 ]

  * questing/linux: 6.16.0-14.14 -proposed tracker (LP: #2120657)
  * BPF header file in wrong location (LP: #2118965)
    - [Packaging] Install bpf header to correct location
  * enlarge the number of the serial port for sh-sci serial driver
    (LP: #2116140)
    - [Config] enlarge CONFIG_SERIAL_SH_SCI_NR_UARTS
  * Ubuntu 24.04+ arm64: screen resolution fixed to 1024x768 with last kernel
    update (LP: #2115068)
    - [Config] Replace FB_HYPERV with DRM_HYPERV
  * Miscellaneous Ubuntu changes
    - [Packaging] move to unversioned gcc by default
    - [Config] bump toolchain version to gcc-15

  [ Ubuntu: 6.16.0-13.13 ]

  * questing/linux: 6.16.0-13.13 -proposed tracker (LP: #2119951)
  * Miscellaneous Ubuntu changes
    - [Packaging] debian.master/dkms-versions -- remove ipu6 since it's
      upstream

  [ Ubuntu: 6.16.0-12.12 ]

  * questing/linux: 6.16.0-12.12 -proposed tracker (LP: #2119711)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.07.28)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update variants
    - [Packaging] update annotations scripts

  [ Ubuntu: 6.16.0-11.11 ]

  * questing/linux: 6.16.0-11.11 -proposed tracker (LP: #2119360)
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/93]: Stacking: Audit: Create audit_stamp
      structure
    - SAUCE: apparmor5.0.0 [2/93]: Stacking: Audit: Allow multiple records in
      an audit_buffer
    - SAUCE: apparmor5.0.0 [3/93]: Stacking: LSM: security_lsmblob_to_secctx
      module selection
    - SAUCE: apparmor5.0.0 [4/93]: Stacking: Audit: Add record for multiple
      task security contexts
    - SAUCE: apparmor5.0.0 [5/93]: Stacking: Audit: multiple subject lsm
      values for netlabel
    - SAUCE: apparmor5.0.0 [6/93]: Stacking: Audit: Add record for multiple
      object contexts
    - SAUCE: apparmor5.0.0 [7/93]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [8/93]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [9/93]: Stacking: Audit: Call only the first of the
      audit rule hooks
    - SAUCE: apparmor5.0.0 [10/93]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [11/93]: 6.17 apparmor-next: apparmor: Use
      str_yes_no() helper function
    - SAUCE: apparmor5.0.0 [12/93]: 6.17 apparmor-next: apparmor: Improve
      debug print infrastructure
    - SAUCE: apparmor5.0.0 [13/93]: 6.17 apparmor-next: apparmor: cleanup:
      attachment perm lookup to use lookup_perms()
    - SAUCE: apparmor5.0.0 [14/93]: 6.17 apparmor-next: apparmor: remove
      redundant unconfined check.
    - SAUCE: apparmor5.0.0 [15/93]: 6.17 apparmor-next: apparmor: switch
      signal mediation to use RULE_MEDIATES
    - SAUCE: apparmor5.0.0 [16/93]: 6.17 apparmor-next: apparmor: ensure
      labels with more than one entry have correct flags
    - SAUCE: apparmor5.0.0 [17/93]: 6.17 apparmor-next: apparmor: remove
      explicit restriction that unconfined cannot use change_hat
    - SAUCE: apparmor5.0.0 [18/93]: 6.17 apparmor-next: apparmor: cleanup:
      refactor file_perm() to doc semantics of some checks
    - SAUCE: apparmor5.0.0 [19/93]: 6.17 apparmor-next: apparmor: carry
      mediation check on label
    - SAUCE: apparmor5.0.0 [20/93]: 6.17 apparmor-next: apparmor: add
      additional flags to extended permission.
    - SAUCE: apparmor5.0.0 [21/93]: 6.17 apparmor-next: apparmor: add support
      for profiles to define the kill signal
    - SAUCE: apparmor5.0.0 [22/93]: 6.17 apparmor-next: apparmor: fix
      x_table_lookup when stacking is not the first entry
    - SAUCE: apparmor5.0.0 [23/93]: 6.17 apparmor-next: apparmor: add ability
      to mediate caps with policy state machine
    - SAUCE: apparmor5.0.0 [24/93]: 6.17 apparmor-next: apparmor: remove
      af_select macro
    - SAUCE: apparmor5.0.0 [25/93]: 6.17 apparmor-next: apparmor: lift kernel
      socket check out of critical section
    - SAUCE: apparmor5.0.0 [26/93]: 6.17 apparmor-next: apparmor: in
      preparation for finer networking rules rework match_prot
    - SAUCE: apparmor5.0.0 [27/93]: 6.17 apparmor-next: apparmor: add fine
      grained af_unix mediation
    - SAUCE: apparmor5.0.0 [28/93]: 6.17 apparmor-next: apparmor: gate make
      fine grained unix mediation behind v9 abi
    - SAUCE: apparmor5.0.0 [29/93]: 6.17 apparmor-next: apparmor: fix dbus
      permission queries to v9 ABI
    - SAUCE: apparmor5.0.0 [30/93]: 6.17 apparmor-next: apparmor: Fix checking
      address of an array in accum_label_info()
    - SAUCE: apparmor5.0.0 [31/93]: 6.17 apparmor-next: apparmor: Modify
      mismatched function name
    - SAUCE: apparmor5.0.0 [32/93]: 6.17 apparmor-next: apparmor: Modify
      mismatched function name
    - SAUCE: apparmor5.0.0 [33/93]: 6.17 apparmor-next: apparmor: fix typos
      and spelling errors
    - SAUCE: apparmor5.0.0 [34/93]: 6.17 apparmor-next: apparmor: use the
      condition in AA_BUG_FMT even with debug disabled
    - SAUCE: apparmor5.0.0 [35/93]: 6.17 apparmor-next: apparmor: Remove
      unused variable 'sock' in __file_sock_perm()
    - SAUCE: apparmor5.0.0 [68/93]: Revert "6.17 apparmor-next: apparmor: fix
      dbus permission queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [69/93]: Revert "6.17 apparmor-next: apparmor: gate
      make fine grained unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [70/93]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [71/93]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [72/93]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [73/93]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [75/93]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [76/93]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [80/93]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [83/93]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [84/93]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [85/93]: apparmor: prompt: enable userspace upcall
      for mediation
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * Installation of AppArmor on a 6.14 kernel produces error message "Illegal
    number: yes" (LP: #2102680)
    - SAUCE: apparmor5.0.0 [81/93]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [82/93]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in
    mantic (LP: #2032602)
    - SAUCE: apparmor5.0.0 [74/93]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
  * Miscellaneous Ubuntu changes
    - SAUCE: apparmor5.0.0 [36/93]: 6.17 apparmor-next: security/apparmor: use
      kfree_sensitive() in unpack_secmark()
    - SAUCE: apparmor5.0.0 [37/93]: 6.17 apparmor-next: apparmor: Fix
      incorrect profile->signal range check
    - SAUCE: apparmor5.0.0 [38/93]: 6.17 apparmor-next: apparmor: fix some
      kernel-doc issues in header files
    - SAUCE: apparmor5.0.0 [39/93]: 6.17 apparmor-next: apparmor: ensure
      WB_HISTORY_SIZE value is a power of 2
    - SAUCE: apparmor5.0.0 [40/93]: 6.17 apparmor-next: apparmor: fix loop
      detection used in conflicting attachment resolution
    - SAUCE: apparmor5.0.0 [41/93]: 6.17 apparmor-next: apparmor: make all
      generated string array headers const char *const
    - SAUCE: apparmor5.0.0 [42/93]: 6.17 apparmor-next: apparmor: force audit
      on unconfined exec if info is set by find_attach
    - SAUCE: apparmor5.0.0 [43/93]: 6.17 apparmor-next: apparmor: move the
      "conflicting profile attachments" infostr to a const declaration
    - SAUCE: apparmor5.0.0 [44/93]: 6.17 apparmor-next: apparmor: include
      conflicting attachment info for confined ix/ux fallback
    - SAUCE: apparmor5.0.0 [45/93]: 6.17 apparmor-next: apparmor: force
      auditing of conflicting attachment execs from confined
    - SAUCE: apparmor5.0.0 [46/93]: 6.17 apparmor-next: apparmor: make
      debug_values_table static
    - SAUCE: apparmor5.0.0 [47/93]: 6.17 apparmor-next: apparmor: Document
      that label must be last member in struct aa_profile
    - SAUCE: apparmor5.0.0 [48/93]: 6.17 apparmor-next: apparmor: mitigate
      parser generating large xtables
    - SAUCE: apparmor5.0.0 [49/93]: 6.17 apparmor-next: apparmor: make
      __begin_current_label_crit_section() indicate whether put is needed
    - SAUCE: apparmor5.0.0 [50/93]: 6.17 apparmor-next: apparmor: update
      kernel doc comments for xxx_label_crit_section
    - SAUCE: apparmor5.0.0 [51/93]: 6.17 apparmor-next: apparmor: Remove use
      of the double lock
    - SAUCE: apparmor5.0.0 [52/93]: 6.17 apparmor-next: apparmor: fix af_unix
      auditing to include all address information
    - SAUCE: apparmor5.0.0 [53/93]: 6.17 apparmor-next: apparmor: fix
      AA_DEBUG_LABEL()
    - SAUCE: apparmor5.0.0 [54/93]: 6.17 apparmor-next: apparmor: fix
      regression in fs based unix sockets when using old abi
    - SAUCE: apparmor5.0.0 [55/93]: 6.17 apparmor-next: apparmor: make sure
      unix socket labeling is correctly updated.
    - SAUCE: apparmor5.0.0 [56/93]: 6.17 apparmor-next: apparmor: shift ouid
      when mediating hard links in userns
    - SAUCE: apparmor5.0.0 [57/93]: 6.17 apparmor-next: apparmor: shift uid
      when mediating af_unix in userns
    - SAUCE: apparmor5.0.0 [58/93]: 6.17 apparmor-next: apparmor: Fix 8-byte
      alignment for initial dfa blob streams
    - SAUCE: apparmor5.0.0 [59/93]: 6.17 apparmor-next: apparmor: Fix
      unaligned memory accesses in KUnit test
    - SAUCE: apparmor5.0.0 [60/93]: 6.17 apparmor-next: apparmor: fix kernel
      doc warnings for kernel test robot
    - SAUCE: apparmor5.0.0 [61/93]: 6.17 apparmor-next: apparmor: remove
      redundant perms.allow MAY_EXEC bitflag set
    - SAUCE: apparmor5.0.0 [62/93]: 6.17 apparmor-next: apparmor: fix
      documentation mismatches in val_mask_to_str and socket functions
    - SAUCE: apparmor5.0.0 [63/93]: 6.17 apparmor-next: apparmor: transition
      from a list of rules to a vector of rules
    - SAUCE: apparmor5.0.0 [64/93]: 6.17 apparmor-next: apparmor: fix: accept2
      being specifie even when permission table is presnt
    - SAUCE: apparmor5.0.0 [65/93]: 6.17 apparmor-next: apparmor: Remove the
      unused variable rules
    - SAUCE: apparmor5.0.0 [66/93]: 6.17 apparmor-next: apparmor: fix test
      error: WARNING in apparmor_unix_stream_connect
    - SAUCE: apparmor5.0.0 [67/93]: 6.17 apparmor-next: apparmor: fix
      Regression on linux-next (next-20250721)
    - SAUCE: apparmor5.0.0 [77/93]: aoparmor: userns: Add support for execpath
      in userns
    - SAUCE: apparmor5.0.0 [78/93]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [79/93]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [86/93]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [87/93]: apparmor: add AA_DEBUG_PROFILE to have
      debug on profiles with flag set
    - SAUCE: apparmor5.0.0 [88/93]: apparmor: make str table more generic and
      be able to have multiple entries
    - SAUCE: apparmor5.0.0 [89/93]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [90/93]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [91/93]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [92/93]: UBUNTU: SAUCE: apparmor5.0.0 [92/93]:
      apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [93/93]: apparmor: mmap_file() doesn't need to be
      called atomically

  [ Ubuntu: 6.16.0-10.10 ]

  * questing/linux: 6.16.0-10.10 -proposed tracker (LP: #2118882)
  * Miscellaneous Ubuntu changes
    - Update dropped.txt
  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Packaging] disable signing for s390x"

  [ Ubuntu: 6.16.0-9.9 ]

  * questing/linux: 6.16.0-9.9 -proposed tracker (LP: #2117331)

  [ Ubuntu: 6.16.0-8.8 ]

  * questing/linux: 6.16.0-8.8 -proposed tracker (LP: #2117156)
  * Miscellaneous Ubuntu changes
    - [Packaging] rename to linux
    - [Packaging] disable signing for s390x

  [ Ubuntu-unstable: 6.16.0-7.7 ]

  * questing/linux-unstable: 6.16.0-7.7 -proposed tracker (LP: #2116881)
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v6.16-rc6 rebase

  [ Ubuntu-unstable: 6.16.0-6.6 ]

  * questing/linux-unstable: 6.16.0-6.6 -proposed tracker (LP: #2116265)
  * [UBUNTU 25.04] lszcrypt output shows no cards because ap module has to be
    loaded manually (LP: #2116061)
    - [Config] s390: Build ap driver into the kernel
  * Miscellaneous Ubuntu changes
    - [Packaging] debian.master/control.stub.in: fix dpkg-checkbuilddeps
    - [Config] RUSTC_VERSION = 108501

  [ Ubuntu-unstable: 6.16.0-5.5 ]

  * questing/linux-unstable: 6.16.0-5.5 -proposed tracker (LP: #2115966)
  * Miscellaneous Ubuntu changes
    - [Packaging] debian.master/control.stub.in: prepare for cross-compiling
    - [Packaging] debian/rules.d/0-common-vars.mk: avoid infinite loop
    - [Packaging] debian/rules.d/0-common-vars.mk: use native GCC
    - [Packaging] debian/rules.d/0-common-vars.mk: enable linux-tools cross-
      compilation
    - [Packaging] debian/rules.d/0-common-vars.mk: fix linux-tools cross-build
    - [Config] updateconfigs following v6.16-rc5 rebase

  [ Ubuntu-unstable: 6.16.0-4.4 ]

  * questing/linux-unstable: 6.16.0-4.4 -proposed tracker (LP: #2115628)

  [ Ubuntu-unstable: 6.16.0-3.3 ]

  * questing/linux-unstable: 6.16.0-3.3 -proposed tracker (LP: #2115254)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.06.03)
  * arm64: kernel image cannot be booted in UEFI despite EFI stub and ZBOOT
    (LP: #2098111)
    - [Packaging] Install compressed vmlinuz.efi on arm64
  * Creating a VXLAN interface with a Fan mapping causes a NULL pointer
    dereference caught by ubuntu_fan_smoke_test:sut-scan (LP: #2113992)
    - SAUCE: fan: vxlan: parse fan-map from IFLA_VXLAN_FAN_MAP attribute ID
  * Dell AIO backlight is not working, dell_uart_backlight module is missing
    (LP: #2083800)
    - [Config] enable CONFIG_DELL_UART_BACKLIGHT
  * Miscellaneous Ubuntu changes
    - [Packaging] Update debian/signature-inclusion

  [ Ubuntu-unstable: 6.16.0-2.2 ]

  * questing/linux-unstable: 6.16.0-2.2 -proposed tracker (LP: #2114841)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.06.03)
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v6.16-rc2

  [ Ubuntu-unstable: 6.16.0-1.1 ]

  * questing/linux-unstable: 6.16.0-1.1 -proposed tracker (LP: #2114165)
  * Support Sony IMX471 camera sensor for Intel IPU7 platforms (LP: #2107320)
    - SAUCE: media: ipu-bridge: Support imx471 sensor
  * Rotate the Canonical Livepatch key (LP: #2111244)
    - [config] prepare for Canonical Livepatch key rotation
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.05.26)
  * Miscellaneous Ubuntu changes
    - Update dropped.txt
    - Update dropped.txt wrt v6.16-rc1 rebase
    - [Config] updateconfigs following v6.16-rc1
    - [Config] FTBFS: disable INTEL_SKL_INT3472
    - SAUCE: binder: turn into module - lock_vma_under_rcu()
    - [Packaging] debian.master/dkms-versions -- temporarily remove zfs FTBFS
    - [Packaging] debian.master/dkms-versions -- temporarily remove
      v4l2loopback FTBFS

  [ Ubuntu-unstable: 6.15.0-2.2 ]

  * questing/linux-unstable: 6.15.0-2.2 -proposed tracker (LP: #2111721)
  * Miscellaneous Ubuntu changes
    - [Config] Updateconfigs for v6.15-rc7 rebase

  [ Ubuntu-unstable: 6.15.0-1.1 ]

  * questing/linux-unstable: 6.15.0-1.1 -proposed tracker (LP: #2110148)
  * Drop support for modules-extra (LP: #2042831)
    - [Packaging] Drop support for modules-extra
  * Miscellaneous Ubuntu changes
    - [Packaging] Rename to linux-unstable, bump version
    - [Packaging] Re-enable tools build on cross-builds
    - [Packaging] debian.master/dkms-versions -- temporarily remove all dkms
    - [Packaging] Introduce do_sources_list build flag
    - [Config] Updateconfigs for v6.15-rc5 rebase
    - SAUCE: Revert "gcc-15: acpi: sprinkle random '__nonstring' crumbles around"

  [ Ubuntu-unstable: 6.15.0-0.0 ]

  * Dummy entry

  [ Ubuntu: 6.14.0-17.17 ]

  * plucky/linux: 6.14.0-17.17 -proposed tracker (LP: #2109741)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2025.04.14)
  * Plucky update: v6.14.4 upstream stable release (LP: #2109367)
    - scsi: hisi_sas: Enable force phy when SATA disk directly connected
    - wifi: at76c50x: fix use after free access in at76_disconnect
    - wifi: mac80211: Update skb's control block key in ieee80211_tx_dequeue()
    - wifi: mac80211: Purge vif txq in ieee80211_do_stop()
    - wifi: brcmfmac: fix memory leak in brcmf_get_module_param
    - wifi: wl1251: fix memory leak in wl1251_tx_work
    - scsi: iscsi: Fix missing scsi_host_put() in error path
    - scsi: smartpqi: Use is_kdump_kernel() to check for kdump
    - md/raid10: fix missing discard IO accounting
    - md/md-bitmap: fix stats collection for external bitmaps
    - ASoC: dwc: always enable/disable i2s irqs
    - ASoC: Intel: avs: Fix null-ptr-deref in avs_component_probe()
    - crypto: tegra - Fix IV usage for AES ECB
    - ovl: remove unused forward declaration
    - RDMA/bnxt_re: Fix budget handling of notification queue
    - RDMA/usnic: Fix passing zero to PTR_ERR in usnic_ib_pci_probe()
    - RDMA/hns: Fix wrong maximum DMA segment size
    - ALSA: hda/cirrus_scodec_test: Don't select dependencies
    - ALSA: hda/realtek - Fixed ASUS platform headset Mic issue
    - ASoC: cs42l43: Reset clamp override on jack removal
    - RDMA/core: Silence oversized kvmalloc() warning
    - firmware: cs_dsp: test_bin_error: Fix uninitialized data used as fw version
    - Bluetooth: hci_event: Fix sending MGMT_EV_DEVICE_FOUND for invalid address
    - Bluetooth: btrtl: Prevent potential NULL dereference
    - Bluetooth: qca: fix NV variant for one of WCN3950 SoCs
    - Bluetooth: l2cap: Check encryption key size on incoming connection
    - RDMA/bnxt_re: Remove unusable nq variable
    - ipv6: add exception routes to GC list in rt6_insert_exception
    - xen: fix multicall debug feature
    - mlxbf-bootctl: use sysfs_emit_at() in secure_boot_fuse_state_show()
    - wifi: iwlwifi: pcie: set state to no-FW before reset handshake
    - Revert "wifi: mac80211: Update skb's control block key in
      ieee80211_tx_dequeue()"
    - igc: fix PTM cycle trigger logic
    - igc: increase wait time before retrying PTM
    - igc: move ktime snapshot into PTM retry loop
    - igc: handle the IGC_PTP_ENABLED flag correctly
    - igc: cleanup PTP module if probe fails
    - igc: add lock preventing multiple simultaneous PTM transactions
    - perf tools: Remove evsel__handle_error_quirks()
    - dt-bindings: soc: fsl: fsl,ls1028a-reset: Fix maintainer entry
    - smc: Fix lockdep false-positive for IPPROTO_SMC.
    - test suite: use %zu to print size_t
    - selftests: mincore: fix tmpfs mincore test failure
    - pds_core: fix memory leak in pdsc_debugfs_add_qcq()
    - ethtool: cmis_cdb: use correct rpl size in ethtool_cmis_module_poll()
    - net: mctp: Set SOCK_RCU_FREE
    - net: hibmcge: fix incorrect pause frame statistics issue
    - net: hibmcge: fix incorrect multicast filtering issue
    - net: hibmcge: fix wrong mtu log issue
    - net: hibmcge: fix not restore rx pause mac addr after reset issue
    - block: fix resource leak in blk_register_queue() error path
    - netlink: specs: ovs_vport: align with C codegen capabilities
    - net: openvswitch: fix nested key length validation in the set() action
    - can: rockchip_canfd: fix broken quirks checks
    - net: ngbe: fix memory leak in ngbe_probe() error path
    - octeontx2-pf: handle otx2_mbox_get_rsp errors
    - net: ethernet: ti: am65-cpsw: fix port_np reference counting
    - eth: bnxt: fix missing ring index trim on error path
    - loop: aio inherit the ioprio of original request
    - loop: stop using vfs_iter_{read,write} for buffered I/O
    - nvmet: pci-epf: always fully initialize completion entries
    - nvmet: pci-epf: clear CC and CSTS when disabling the controller
    - ata: libata-sata: Save all fields from sense data descriptor
    - cxgb4: fix memory leak in cxgb4_init_ethtool_filters() error path
    - netlink: specs: rt-link: add an attr layer around alt-ifname
    - netlink: specs: rtnetlink: attribute naming corrections
    - netlink: specs: rt-link: adjust mctp attribute naming
    - netlink: specs: rt-neigh: prefix struct nfmsg members with ndm
    - net: b53: enable BPDU reception for management port
    - net: bridge: switchdev: do not notify new brentries as changed
    - net: txgbe: fix memory leak in txgbe_probe() error path
    - net: dsa: mv88e6xxx: avoid unregistering devlink regions which were never
      registered
    - net: dsa: mv88e6xxx: fix -ENOENT when deleting VLANs and MST is unsupported
    - net: dsa: clean up FDB, MDB, VLAN entries on unbind
    - net: dsa: free routing table on probe failure
    - net: dsa: avoid refcount warnings when ds->ops->tag_8021q_vlan_del() fails
    - ptp: ocp: fix start time alignment in ptp_ocp_signal_set
    - netfilter: conntrack: fix erronous removal of offload bit
    - net: ti: icss-iep: Add pwidth configuration for perout signal
    - net: ti: icss-iep: Add phase offset configuration for perout signal
    - net: ti: icss-iep: Fix possible NULL pointer dereference for perout request
    - net: ethernet: mtk_eth_soc: reapply mdc divider on reset
    - net: ethernet: mtk_eth_soc: correct the max weight of the queue limit for
      100Mbps
    - net: ethernet: mtk_eth_soc: revise QDMA packet scheduler settings
    - riscv: Use kvmalloc_array on relocation_hashtable
    - riscv: Properly export reserved regions in /proc/iomem
    - riscv: module: Fix out-of-bounds relocation access
    - riscv: module: Allocate PLT entries for R_RISCV_PLT32
    - kunit: qemu_configs: SH: Respect kunit cmdline
    - thermal: intel: int340x: Fix Panther Lake DLVR support
    - riscv: KGDB: Do not inline arch_kgdb_breakpoint()
    - riscv: KGDB: Remove ".option norvc/.option rvc" for kgdb_compiled_break
    - cpufreq/sched: Fix the usage of CPUFREQ_NEED_UPDATE_LIMITS
    - objtool/rust: add one more `noreturn` Rust function for Rust 1.86.0
    - rust: helpers: Remove volatile qualifier from io helpers
    - rust: kasan/kbuild: fix missing flags on first build
    - rust: disable `clippy::needless_continue`
    - rust: kbuild: Don't export __pfx symbols
    - rust: kbuild: use `pound` to support GNU Make < 4.3
    - writeback: fix false warning in inode_to_wb()
    - Revert "PCI: Avoid reset when disabled via sysfs"
    - ASoC: fsl: fsl_qmc_audio: Reset audio data pointers on TRIGGER_START event
    - ASoC: codecs:lpass-wsa-macro: Fix vi feedback rate
    - ASoC: codecs:lpass-wsa-macro: Fix logic of enabling vi channels
    - ASoC: Intel: sof_sdw: Add quirk for Asus Zenbook S16
    - ASoC: qcom: Fix sc7280 lpass potential buffer overflow
    - accel/ivpu: Fix the NPU's DPU frequency calculation
    - alloc_tag: handle incomplete bulk allocations in vm_module_tags_populate
    - asus-laptop: Fix an uninitialized variable
    - block: integrity: Do not call set_page_dirty_lock()
    - drm/v3d: Fix Indirect Dispatch configuration for V3D 7.1.6 and later
    - drm/msm/dpu: Fix error pointers in dpu_plane_virtual_atomic_check
    - drm/msm/dpu: drop rogue intr_tear_rd_ptr values
    - dma-buf/sw_sync: Decrement refcount on error in sw_sync_ioctl_get_deadline()
    - nfs: add missing selections of CONFIG_CRC32
    - nfsd: decrease sc_count directly if fail to queue dl_recall
    - i2c: atr: Fix wrong include
    - eventpoll: abstract out ep_try_send_events() helper
    - eventpoll: Set epoll timeout if it's in the future
    - ftrace: fix incorrect hash size in register_ftrace_direct()
    - drm/msm/a6xx+: Don't let IB_SIZE overflow
    - Bluetooth: l2cap: Process valid commands in too long frame
    - Bluetooth: vhci: Avoid needless snprintf() calls
    - btrfs: ioctl: don't free iov when btrfs_encoded_read() returns -EAGAIN
    - btrfs: correctly escape subvol in btrfs_show_options()
    - cpufreq/sched: Explicitly synchronize limits_changed flag handling
    - crypto: caam/qi - Fix drv_ctx refcount bug
    - hfs/hfsplus: fix slab-out-of-bounds in hfs_bnode_read_key
    - i2c: cros-ec-tunnel: defer probe if parent EC is not present
    - isofs: Prevent the use of too small fid
    - lib/iov_iter: fix to increase non slab folio refcount
    - loop: properly send KOBJ_CHANGED uevent for disk device
    - loop: LOOP_SET_FD: send uevents for partitions
    - mm/compaction: fix bug in hugetlb handling pathway
    - mm/gup: fix wrongly calculated returned value in fault_in_safe_writeable()
    - mm: fix filemap_get_folios_contig returning batches of identical folios
    - mm: fix apply_to_existing_page_range()
    - ovl: don't allow datadir only
    - ksmbd: Fix dangling pointer in krb_authenticate
    - ksmbd: fix use-after-free in __smb2_lease_break_noti()
    - ksmbd: fix use-after-free in smb_break_all_levII_oplock()
    - ksmbd: Prevent integer overflow in calculation of deadtime
    - ksmbd: fix the warning from __kernel_write_iter
    - Revert "smb: client: Fix netns refcount imbalance causing leaks and use-
      after-free"
    - Revert "smb: client: fix TCP timers deadlock after rmmod"
    - riscv: Avoid fortify warning in syscall_get_arguments()
    - selftests/mm: generate a temporary mountpoint for cgroup filesystem
    - slab: ensure slab->obj_exts is clear in a newly allocated slab page
    - smb3 client: fix open hardlink on deferred close file error
    - string: Add load_unaligned_zeropad() code path to sized_strscpy()
    - tracing: Fix filter string testing
    - virtiofs: add filesystem context source name check
    - x86/microcode/AMD: Extend the SHA check to Zen5, block loading of any
      unreleased standalone Zen5 microcode patches
    - x86/cpu/amd: Fix workaround for erratum 1054
    - x86/boot/sev: Avoid shared GHCB page for early memory acceptance
    - scsi: megaraid_sas: Block zero-length ATA VPD inquiry
    - scsi: ufs: exynos: Move UFS shareability value to drvdata
    - scsi: ufs: exynos: Disable iocc if dma-coherent property isn't set
    - scsi: ufs: exynos: Ensure consistent phy reference counts
    - RDMA/cma: Fix workqueue crash in cma_netevent_work_handler
    - RAS/AMD/ATL: Include row[13] bit in row retirement
    - RAS/AMD/FMPM: Get masked address
    - platform/x86: amd: pmf: Fix STT limits
    - perf/x86/intel: Allow to update user space GPRs from PEBS records
    - perf/x86/intel/uncore: Fix the scale of IIO free running counters on SNR
    - perf/x86/intel/uncore: Fix the scale of IIO free running counters on ICX
    - perf/x86/intel/uncore: Fix the scale of IIO free running counters on SPR
    - drm/repaper: fix integer overflows in repeat functions
    - drm/ast: Fix ast_dp connection status
    - drm/msm/dsi: Add check for devm_kstrdup()
    - drm/msm/a6xx: Fix stale rpmh votes from GPU
    - drm/amdgpu: Prefer shadow rom when available
    - drm/amd/display: prevent hang on link training fail
    - drm/amd: Handle being compiled without SI or CIK support better
    - drm/amd/display: Actually do immediate vblank disable
    - drm/amd/display: Increase vblank offdelay for PSR panels
    - drm/amd/pm: Prevent division by zero
    - drm/amd/pm/powerplay: Prevent division by zero
    - drm/amd/pm: Add zero RPM enabled OD setting support for SMU14.0.2
    - drm/amd/pm/smu11: Prevent division by zero
    - drm/amd/pm/powerplay/hwmgr/smu7_thermal: Prevent division by zero
    - drm/amd/pm/swsmu/smu13/smu_v13_0: Prevent division by zero
    - drm/amd/pm/powerplay/hwmgr/vega20_thermal: Prevent division by zero
    - drm/amdgpu/mes12: optimize MES pipe FW version fetching
    - drm/i915/vrr: Add vrr.vsync_{start, end} in vrr_params_changed
    - drm/xe: Use local fence in error path of xe_migrate_clear
    - drm/virtio: Don't attach GEM to a non-created context in gem_object_open()
    - drm/amd/display: Add HP Elitebook 645 to the quirk list for eDP on DP1
    - drm/amd/display: Protect FPU in dml2_validate()/dml21_validate()
    - drm/amd/display: Protect FPU in dml21_copy()
    - drm/amdgpu/mes11: optimize MES pipe FW version fetching
    - drm/amdgpu/dma_buf: fix page_link check
    - drm/nouveau: prime: fix ttm_bo_delayed_delete oops
    - drm/imagination: fix firmware memory leaks
    - drm/imagination: take paired job reference
    - drm/virtio: Fix missed dmabuf unpinning in error path of prepare_fb()
    - drm/sti: remove duplicate object names
    - drm/i915: Fix scanline_offset for LNL+ and BMG+
    - drm/xe: Fix an out-of-bounds shift when invalidating TLB
    - Revert "UBUNTU: SAUCE: drm/xe/bmg: Add one additional PCI ID"
    - drm/xe/bmg: Add one additional PCI ID
    - drm/i915/gvt: fix unterminated-string-initialization warning
    - drm/i915/xe2hpd: Identify the memory type for SKUs with GDDR + ECC
    - drm/i915/dp: Reject HBR3 when sink doesn't support TPS4
    - drm/amdgpu: immediately use GTT for new allocations
    - drm/amd/display: Do not enable Replay and PSR while VRR is on in
      amdgpu_dm_commit_planes()
    - drm/amd/display: Protect FPU in dml2_init()/dml21_init()
    - drm/amd/display: Add HP Probook 445 and 465 to the quirk list for eDP on DP1
    - drm/xe/dma_buf: stop relying on placement in unmap
    - drm/xe/userptr: fix notifier vs folio deadlock
    - drm/xe: Set LRC addresses before guc load
    - drm/i915/display: Add macro for checking 3 DSC engines
    - drm/i915/dp: Check for HAS_DSC_3ENGINES while configuring DSC slices
    - drm/amd/display/dml2: use vzalloc rather than kzalloc
    - drm/amdgpu: fix warning of drm_mm_clean
    - drm/mgag200: Fix value in <VBLKSTR> register
    - io_uring: don't post tag CQEs on file/buffer registration failure
    - arm64/sysreg: Update register fields for ID_AA64MMFR0_EL1
    - arm64/sysreg: Add register fields for HDFGRTR2_EL2
    - arm64/sysreg: Add register fields for HDFGWTR2_EL2
    - arm64/sysreg: Add register fields for HFGITR2_EL2
    - arm64/sysreg: Add register fields for HFGRTR2_EL2
    - arm64/sysreg: Add register fields for HFGWTR2_EL2
    - arm64/boot: Enable EL2 requirements for FEAT_PMUv3p9
    - cpufreq: Reference count policy in cpufreq_update_limits()
    - scripts: generate_rust_analyzer: Add ffi crate
    - platform/x86: alienware-wmi-wmax: Add G-Mode support to Alienware m16 R1
    - platform/x86: alienware-wmi-wmax: Extend support to more laptops
    - platform/x86: msi-wmi-platform: Rename "data" variable
    - platform/x86: msi-wmi-platform: Workaround a ACPI firmware bug
    - drm/amd/display: Temporarily disable hostvm on DCN31
    - nvmet-fc: Remove unused functions
    - mm/vma: add give_up_on_oom option on modify/merge, use in uffd release
    - Revert "wifi: ath12k: Fix invalid entry fetch in ath12k_dp_mon_srng_process"
    - MIPS: dec: Declare which_prom() as static
    - MIPS: cevt-ds1287: Add missing ds1287.h include
    - MIPS: ds1287: Match ds1287_set_base_clock() function types
    - wifi: ath12k: Fix invalid entry fetch in ath12k_dp_mon_srng_process
    - Linux 6.14.4
  * Plucky update: v6.14.3 upstream stable release (LP: #2108854)
    - ASoC: Intel: adl: add 2xrt1316 audio configuration
    - cgroup/cpuset: Fix incorrect isolated_cpus update in
      update_parent_effective_cpumask()
    - cgroup/cpuset: Fix error handling in remote_partition_disable()
    - cgroup/cpuset: Fix race between newly created partition and dying one
    - tracing: fprobe: Cleanup fprobe hash when module unloading
    - gpiolib: of: Fix the choice for Ingenic NAND quirk
    - selftests/futex: futex_waitv wouldblock test should fail
    - ublk: fix handling recovery & reissue in ublk_abort_queue()
    - drm/virtio: Fix flickering issue seen with imported dmabufs
    - drm/i915: Disable RPG during live selftest
    - x86/acpi: Don't limit CPUs to 1 for Xen PV guests due to disabled ACPI
    - net: ethtool: fix ethtool_ringparam_get_cfg() returns a hds_thresh value
      always as 0.
    - drm/xe/hw_engine: define sysfs_ops on all directories
    - drm/xe: Restore EIO errno return when GuC PC start fails
    - ata: pata_pxa: Fix potential NULL pointer dereference in pxa_ata_probe()
    - objtool: Fix INSN_CONTEXT_SWITCH handling in validate_unret()
    - tipc: fix memory leak in tipc_link_xmit
    - codel: remove sch->q.qlen check before qdisc_tree_reduce_backlog()
    - net: tls: explicitly disallow disconnect
    - octeontx2-pf: qos: fix VF root node parent queue index
    - tc: Ensure we have enough buffer space when sending filter netlink
      notifications
    - net: ethtool: Don't call .cleanup_data when prepare_data fails
    - drm/tests: modeset: Fix drm_display_mode memory leak
    - drm/tests: helpers: Create kunit helper to destroy a drm_display_mode
    - drm/tests: cmdline: Fix drm_display_mode memory leak
    - drm/tests: modes: Fix drm_display_mode memory leak
    - drm/tests: probe-helper: Fix drm_display_mode memory leak
    - net: libwx: handle page_pool_dev_alloc_pages error
    - cifs: Fix support for WSL-style symlinks
    - ata: sata_sx4: Add error handling in pdc20621_i2c_read()
    - drm/i915/huc: Fix fence not released on early probe errors
    - s390/cpumf: Fix double free on error in cpumf_pmu_event_init()
    - nvmet-fcloop: swap list_add_tail arguments
    - net_sched: sch_sfq: use a temporary work area for validating configuration
    - net_sched: sch_sfq: move the limit validation
    - x86/cpu: Avoid running off the end of an AMD erratum table
    - smb: client: fix UAF in decryption with multichannel
    - net: phy: move phy_link_change() prior to mdio_bus_phy_may_suspend()
    - net: phy: allow MDIO bus PM ops to start/stop state machine for phylink-
      controlled PHY
    - ipv6: Align behavior across nexthops during path selection
    - net: ppp: Add bound checking for skb data on ppp_sync_txmung
    - nft_set_pipapo: fix incorrect avx2 match of 5th field octet
    - ethtool: cmis_cdb: Fix incorrect read / write length extension
    - iommu/exynos: Fix suspend/resume with IDENTITY domain
    - iommu/mediatek: Fix NULL pointer deference in mtk_iommu_device_group
    - net: libwx: Fix the wrong Rx descriptor field
    - perf/core: Simplify the perf_event_alloc() error path
    - perf: Fix hang while freeing sigtrap event
    - fs: consistently deref the files table with rcu_dereference_raw()
    - umount: Allow superblock owners to force umount
    - srcu: Force synchronization for srcu_get_delay()
    - pm: cpupower: bench: Prevent NULL dereference on malloc failure
    - irqchip/gic-v3: Add Rockchip 3568002 erratum workaround
    - [Config] updateconfigs for ROCKCHIP_ERRATUM_3568002
    - x86/mm: Clear _PAGE_DIRTY for kernel mappings when we clear _PAGE_RW
    - x86/percpu: Disable named address spaces for UBSAN_BOOL with KASAN for GCC <
      14.2
    - x86/ia32: Leave NULL selector values 0~3 unchanged
    - x86/cpu: Don't clear X86_FEATURE_LAHF_LM flag in init_amd_k8() on AMD when
      running in a virtual machine
    - perf: arm_pmu: Don't disable counter in armpmu_add()
    - perf/dwc_pcie: fix some unreleased resources
    - perf/dwc_pcie: fix duplicate pci_dev devices
    - PM: hibernate: Avoid deadlock in hibernate_compressor_param_set()
    - Flush console log from kernel_power_off()
    - cpufreq/amd-pstate: Invalidate cppc_req_cached during suspend
    - arm64: cputype: Add QCOM_CPU_PART_KRYO_3XX_GOLD
    - xen/mcelog: Add __nonstring annotations for unterminated strings
    - zstd: Increase DYNAMIC_BMI2 GCC version cutoff from 4.8 to 11.0 to work
      around compiler segfault
    - tracing: Disable branch profiling in noinstr code
    - platform/chrome: cros_ec_lpc: Match on Framework ACPI device
    - ASoC: SOF: topology: Use krealloc_array() to replace krealloc()
    - HID: pidff: Convert infinite length from Linux API to PID standard
    - HID: pidff: Do not send effect envelope if it's empty
    - HID: pidff: Add MISSING_DELAY quirk and its detection
    - HID: pidff: Add MISSING_PBO quirk and its detection
    - HID: pidff: Add PERMISSIVE_CONTROL quirk
    - HID: pidff: Add hid_pidff_init_with_quirks and export as GPL symbol
    - HID: pidff: Add FIX_WHEEL_DIRECTION quirk
    - HID: Add hid-universal-pidff driver and supported device ids
    - [Config] enable new hid-universal-pidff driver module
    - HID: pidff: Add PERIODIC_SINE_ONLY quirk
    - HID: pidff: Fix null pointer dereference in pidff_find_fields
    - ASoC: amd: ps: use macro for ACP6.3 pci revision id
    - ASoC: amd: amd_sdw: Add quirks for Dell SKU's
    - ALSA: hda: intel: Fix Optimus when GPU has no sound
    - ALSA: hda: intel: Add Lenovo IdeaPad Z570 to probe denylist
    - ASoC: fsl_audmix: register card device depends on 'dais' property
    - media: uvcvideo: Add quirk for Actions UVC05
    - HID: lenovo: Fix to ensure the data as __le32 instead of u32
    - media: s5p-mfc: Corrected NV12M/NV21M plane-sizes
    - mmc: dw_mmc: add a quirk for accessing 64-bit FIFOs in two halves
    - ALSA: usb-audio: Fix CME quirk for UF series keyboards
    - ASoC: amd: Add DMI quirk for ACP6X mic support
    - ALSA: hda/realtek: fix micmute LEDs on HP Laptops with ALC3315
    - ALSA: hda/realtek: fix micmute LEDs on HP Laptops with ALC3247
    - ASoC: amd: yc: update quirk data for new Lenovo model
    - platform/x86: x86-android-tablets: Add select POWER_SUPPLY to Kconfig
    - wifi: ath9k: use unsigned long for activity check timestamp
    - wifi: ath11k: Fix DMA buffer allocation to resolve SWIOTLB issues
    - wifi: ath11k: fix memory leak in ath11k_xxx_remove()
    - wifi: ath12k: fix memory leak in ath12k_pci_remove()
    - wifi: ath12k: Fix invalid entry fetch in ath12k_dp_mon_srng_process
    - wifi: ath12k: Avoid memory leak while enabling statistics
    - ata: libata-core: Add 'external' to the libata.force kernel parameter
    - scsi: mpi3mr: Avoid reply queue full condition
    - scsi: mpi3mr: Synchronous access b/w reset and tm thread for reply queue
    - net: page_pool: don't cast mp param to devmem
    - f2fs: don't retry IO for corrupted data scenario
    - wifi: mac80211: add strict mode disabling workarounds
    - wifi: mac80211: ensure sdata->work is canceled before initialized.
    - scsi: target: spc: Fix RSOC parameter data header size
    - net: usb: asix_devices: add FiberGecko DeviceID
    - page_pool: avoid infinite loop to schedule delayed worker
    - can: flexcan: Add quirk to handle separate interrupt lines for mailboxes
    - can: flexcan: add NXP S32G2/S32G3 SoC support
    - jfs: Fix uninit-value access of imap allocated in the diMount() function
    - fs/jfs: cast inactags to s64 to prevent potential overflow
    - fs/jfs: Prevent integer overflow in AG size calculation
    - jfs: Prevent copying of nlink with value 0 from disk inode
    - jfs: add sanity check for agwidth in dbMount
    - wifi: rtw88: Add support for Mercusys MA30N and D-Link DWA-T185 rev. A1
    - ata: libata-eh: Do not use ATAPI DMA for a device limited to PIO mode
    - net: sfp: add quirk for 2.5G OEM BX SFP
    - wifi: ath12k: Fix invalid data access in ath12k_dp_rx_h_undecap_nwifi
    - f2fs: fix to avoid out-of-bounds access in f2fs_truncate_inode_blocks()
    - net: sfp: add quirk for FS SFP-10GM-T copper SFP+ module
    - ahci: add PCI ID for Marvell 88SE9215 SATA Controller
    - ext4: protect ext4_release_dquot against freezing
    - Revert "f2fs: rebuild nat_bits during umount"
    - wifi: mac80211: fix userspace_selectors corruption
    - ext4: ignore xattrs past end
    - cdc_ether|r8152: ThinkPad Hybrid USB-C/A Dock quirk
    - scsi: st: Fix array overflow in st_setup()
    - ahci: Marvell 88SE9215 controllers prefer DMA for ATAPI
    - btrfs: harden block_group::bg_list against list_del() races
    - wifi: mt76: mt76x2u: add TP-Link TL-WDN6200 ID to device table
    - net: vlan: don't propagate flags on open
    - tracing: fix return value in __ftrace_event_enable_disable for
      TRACE_REG_UNREGISTER
    - Bluetooth: btusb: Add new VID/PID for WCN785x
    - Bluetooth: btintel_pcie: Add device id of Whale Peak
    - Bluetooth: btusb: Add 13 USB device IDs for Qualcomm WCN785x
    - Bluetooth: hci_uart: fix race during initialization
    - Bluetooth: btusb: Add 2 HWIDs for MT7922
    - Bluetooth: hci_qca: use the power sequencer for wcn6750
    - Bluetooth: qca: simplify WCN399x NVM loading
    - Bluetooth: qca: add WCN3950 support
    - drm: allow encoder mode_set even when connectors change for crtc
    - drm/virtio: Set missing bo->attached flag
    - drm/rockchip: Don't change hdmi reference clock rate
    - drm/xe/ptl: Update the PTL pci id table
    - drm/xe/pf: Don't send BEGIN_ID if VF has no context/doorbells
    - drm/xe/vf: Don't try to trigger a full GT reset if VF
    - drm/amd/display: Update Cursor request mode to the beginning prefetch always
    - drm/amd/display: Guard Possible Null Pointer Dereference
    - drm/amd/display: add workaround flag to link to force FFE preset
    - drm/amdgpu: Unlocked unmap only clear page table leaves
    - drm: panel-orientation-quirks: Add support for AYANEO 2S
    - drm: panel-orientation-quirks: Add quirks for AYA NEO Flip DS and KB
    - drm: panel-orientation-quirks: Add quirk for AYA NEO Slide
    - drm: panel-orientation-quirks: Add new quirk for GPD Win 2
    - drm: panel-orientation-quirks: Add quirk for OneXPlayer Mini (Intel)
    - drm/debugfs: fix printk format for bridge index
    - drm/bridge: panel: forbid initializing a panel with unknown connector type
    - drm/amd/display: Update FIXED_VS Link Rate Toggle Workaround Usage
    - drm/amd/display: stop DML2 from removing pipes based on planes
    - drivers: base: devres: Allow to release group on device release
    - drm/amdkfd: clamp queue size to minimum
    - drm/amdkfd: Fix mode1 reset crash issue
    - drm/amdkfd: Fix pqm_destroy_queue race with GPU reset
    - drm/amdkfd: debugfs hang_hws skip GPU with MES
    - drm/xe/xelp: Move Wa_16011163337 from tunings to workarounds
    - drm/mediatek: mtk_dpi: Move the input_2p_en bit to platform data
    - drm/mediatek: mtk_dpi: Explicitly manage TVD clock in power on/off
    - drm/rockchip: stop passing non struct drm_device to drm_err() and friends
    - PCI: Add Rockchip Vendor ID
    - drm/amdgpu: handle amdgpu_cgs_create_device() errors in
      amd_powerplay_create()
    - drm/amd/display: Prevent VStartup Overflow
    - PCI: Enable Configuration RRS SV early
    - drm/amdgpu: Fix the race condition for draining retry fault
    - PCI: Check BAR index for validity
    - PCI: vmd: Make vmd_dev::cfg_lock a raw_spinlock_t type
    - drm/amdgpu: grab an additional reference on the gang fence v2
    - fbdev: omapfb: Add 'plane' value check
    - tracing: probe-events: Log error for exceeding the number of arguments
    - tracing: probe-events: Add comments about entry data storing code
    - ktest: Fix Test Failures Due to Missing LOG_FILE Directories
    - tpm, tpm_tis: Workaround failed command reception on Infineon devices
    - tpm: End any active auth session before shutdown
    - pwm: mediatek: Prevent divide-by-zero in pwm_mediatek_config()
    - pwm: rcar: Improve register calculation
    - pwm: fsl-ftm: Handle clk_get_rate() returning 0
    - pwm: stm32: Search an appropriate duty_cycle if period cannot be modified
    - erofs: set error to bio if file-backed IO fails
    - bpf: support SKF_NET_OFF and SKF_LL_OFF on skb frags
    - ext4: don't treat fhandle lookup of ea_inode as FS corruption
    - s390/pci: Fix s390_mmio_read/write syscall page fault handling
    - HID: pidff: Clamp PERIODIC effect period to device's logical range
    - HID: pidff: Stop all effects before enabling actuators
    - HID: pidff: Completely rework and fix pidff_reset function
    - HID: pidff: Simplify pidff_upload_effect function
    - HID: pidff: Define values used in pidff_find_special_fields
    - HID: pidff: Rescale time values to match field units
    - HID: pidff: Factor out code for setting gain
    - HID: pidff: Move all hid-pidff definitions to a dedicated header
    - HID: pidff: Simplify pidff_rescale_signed
    - HID: pidff: Use macros instead of hardcoded min/max values for shorts
    - HID: pidff: Factor out pool report fetch and remove excess declaration
    - HID: pidff: Make sure to fetch pool before checking SIMULTANEOUS_MAX
    - HID: hid-universal-pidff: Add Asetek wheelbases support
    - HID: pidff: Comment and code style update
    - HID: pidff: Support device error response from PID_BLOCK_LOAD
    - HID: pidff: Remove redundant call to pidff_find_special_keys
    - HID: pidff: Rename two functions to align them with naming convention
    - HID: pidff: Clamp effect playback LOOP_COUNT value
    - HID: pidff: Compute INFINITE value instead of using hardcoded 0xffff
    - HID: pidff: Fix 90 degrees direction name North -> East
    - HID: pidff: Fix set_device_control()
    - auxdisplay: hd44780: Fix an API misuse in hd44780.c
    - dt-bindings: media: st,stmipid02: correct lane-polarities maxItems
    - media: mediatek: vcodec: Fix a resource leak related to the scp device in FW
      initialization
    - media: mtk-vcodec: venc: avoid -Wenum-compare-conditional warning
    - media: uapi: rkisp1-config: Fix typo in extensible params example
    - media: mgb4: Fix CMT registers update logic
    - media: i2c: adv748x: Fix test pattern selection mask
    - media: mgb4: Fix switched CMT frequency range "magic values" sets
    - media: intel/ipu6: set the dev_parent of video device to pdev
    - media: venus: hfi: add a check to handle OOB in sfr region
    - media: venus: hfi: add check to handle incorrect queue size
    - media: vim2m: print device name after registering device
    - media: siano: Fix error handling in smsdvb_module_init()
    - media: rockchip: rga: fix rga offset lookup
    - xenfs/xensyms: respect hypervisor's "next" indication
    - KVM: arm64: PMU: Set raw values from user to PM{C,I}NTEN{SET,CLR},
      PMOVS{SET,CLR}
    - arm64: cputype: Add MIDR_CORTEX_A76AE
    - arm64: errata: Add QCOM_KRYO_4XX_GOLD to the spectre_bhb_k24_list
    - arm64: errata: Assume that unknown CPUs _are_ vulnerable to Spectre BHB
    - arm64: errata: Add KRYO 2XX/3XX/4XX silver cores to Spectre BHB safe list
    - KVM: arm64: Tear down vGIC on failed vCPU creation
    - KVM: arm64: Set HCR_EL2.TID1 unconditionally
    - spi: cadence-qspi: Fix probe on AM62A LP SK
    - mtd: rawnand: brcmnand: fix PM resume warning
    - tpm, tpm_tis: Fix timeout handling when waiting for TPM status
    - accel/ivpu: Fix PM related deadlocks in MS IOCTLs
    - media: ov08x40: Properly turn sensor on/off when runtime-suspended
    - media: streamzap: prevent processing IR data on URB failure
    - media: hi556: Fix memory leak (on error) in hi556_check_hwcfg()
    - media: visl: Fix ERANGE error when setting enum controls
    - media: platform: stm32: Add check for clk_enable()
    - media: xilinx-tpg: fix double put in xtpg_parse_of()
    - media: imx219: Adjust PLL settings based on the number of MIPI lanes
    - media: v4l2-dv-timings: prevent possible overflow in v4l2_detect_gtf()
    - Revert "media: imx214: Fix the error handling in imx214_probe()"
    - media: i2c: ccs: Set the device's runtime PM status correctly in remove
    - media: i2c: ccs: Set the device's runtime PM status correctly in probe
    - media: i2c: ov7251: Set enable GPIO low in probe
    - media: i2c: ov7251: Introduce 1 ms delay between regulators and en GPIO
    - media: nuvoton: Fix reference handling of ece_node
    - media: nuvoton: Fix reference handling of ece_pdev
    - media: venus: hfi_parser: add check to avoid out of bound access
    - media: venus: hfi_parser: refactor hfi packet parsing logic
    - media: i2c: imx319: Rectify runtime PM handling probe and remove
    - media: i2c: imx219: Rectify runtime PM handling in probe and remove
    - media: i2c: imx214: Rectify probe error handling related to runtime PM
    - media: chips-media: wave5: Fix gray color on screen
    - media: chips-media: wave5: Avoid race condition in the interrupt handler
    - media: chips-media: wave5: Fix a hang after seeking
    - media: chips-media: wave5: Fix timeout while testing 10bit hevc fluster
    - irqchip/renesas-rzv2h: Fix wrong variable usage in rzv2h_tint_set_type()
    - mptcp: sockopt: fix getting IPV6_V6ONLY
    - mptcp: sockopt: fix getting freebind & transparent
    - block: make sure ->nr_integrity_segments is cloned in blk_rq_prep_clone
    - mtd: Add check for devm_kcalloc()
    - net: dsa: mv88e6xxx: workaround RGMII transmit delay erratum for 6320 family
    - net: dsa: mv88e6xxx: fix internal PHYs for 6320 family
    - mtd: Replace kcalloc() with devm_kcalloc()
    - clocksource/drivers/stm32-lptimer: Use wakeup capable instead of init wakeup
    - Revert "wifi: mt76: mt7925: Update mt7925_mcu_uni_[tx,rx]_ba for MLO"
    - wifi: mt76: Add check for devm_kstrdup()
    - wifi: mt76: mt792x: re-register CHANCTX_STA_CSA only for the mt7921 series
    - wifi: mac80211: fix integer overflow in hwmp_route_info_get()
    - wifi: mt76: mt7925: ensure wow pattern command align fw format
    - wifi: mt76: mt7925: fix country count limitation for CLC
    - wifi: mt76: mt7925: fix the wrong link_idx when a p2p_device is present
    - wifi: mt76: mt7925: fix the wrong simultaneous cap for MLO
    - wifi: mt76: mt7925: adjust rm BSS flow to prevent next connection failure
    - wifi: mt76: mt7925: integrate *mlo_sta_cmd and *sta_cmd
    - wifi: mt76: mt7925: update the power-saving flow
    - scsi: lpfc: Restore clearing of NLP_UNREG_INP in ndlp->nlp_flag
    - net: stmmac: Fix accessing freed irq affinity_hint
    - io_uring/net: fix accept multishot handling
    - io_uring/net: fix io_req_post_cqe abuse by send bundle
    - io_uring/kbuf: reject zero sized provided buffers
    - ASoC: codecs: wcd937x: fix a potential memory leak in
      wcd937x_soc_codec_probe()
    - ASoC: q6apm: add q6apm_get_hw_pointer helper
    - ASoC: q6apm-dai: schedule all available frames to avoid dsp under-runs
    - ASoC: q6apm-dai: make use of q6apm_get_hw_pointer
    - ASoC: qdsp6: q6apm-dai: set 10 ms period and buffer alignment.
    - ASoC: qdsp6: q6apm-dai: fix capture pipeline overruns.
    - ASoC: qdsp6: q6asm-dai: fix q6asm_dai_compr_set_params error path
    - ALSA: hda/realtek: Enable Mute LED on HP OMEN 16 Laptop xd000xx
    - accel/ivpu: Fix warning in ivpu_ipc_send_receive_internal()
    - accel/ivpu: Fix deadlock in ivpu_ms_cleanup()
    - arm/crc-t10dif: fix use of out-of-scope array in crc_t10dif_arch()
    - arm64/crc-t10dif: fix use of out-of-scope array in crc_t10dif_arch()
    - bus: mhi: host: Fix race between unprepare and queue_buf
    - ext4: fix off-by-one error in do_split
    - f2fs: fix the missing write pointer correction
    - f2fs: fix to avoid atomicity corruption of atomic file
    - vdpa/mlx5: Fix oversized null mkey longer than 32bit
    - udf: Fix inode_getblk() return value
    - tpm: do not start chip while suspended
    - svcrdma: do not unregister device for listeners
    - soc: samsung: exynos-chipid: Add NULL pointer check in exynos_chipid_probe()
    - smb311 client: fix missing tcon check when mounting with linux/posix
      extensions
    - ima: limit the number of open-writers integrity violations
    - ima: limit the number of ToMToU integrity violations
    - igc: Fix XSK queue NAPI ID mapping
    - i3c: master: svc: Use readsb helper for reading MDB
    - i3c: Add NULL pointer check in i3c_master_queue_ibi()
    - jbd2: remove wrong sb->s_sequence check
    - kbuild: exclude .rodata.(cst|str)* when building ranges
    - kbuild: Add '-fno-builtin-wcslen'
    - leds: rgb: leds-qcom-lpg: Fix pwm resolution max for Hi-Res PWMs
    - leds: rgb: leds-qcom-lpg: Fix calculation of best period Hi-Res PWMs
    - mfd: ene-kb3930: Fix a potential NULL pointer dereference
    - mailbox: tegra-hsp: Define dimensioning masks in SoC data
    - locking/lockdep: Decrease nr_unused_locks if lock unused in zap_class()
    - lib: scatterlist: fix sg_split_phys to preserve original scatterlist offsets
    - mptcp: fix NULL pointer in can_accept_new_subflow
    - mptcp: only inc MPJoinAckHMacFailure for HMAC failures
    - mtd: inftlcore: Add error check for inftl_read_oob()
    - mtd: rawnand: Add status chack in r852_ready()
    - mtd: spinand: Fix build with gcc < 7.5
    - arm64: mops: Do not dereference src reg for a set operation
    - arm64: tegra: Remove the Orin NX/Nano suspend key
    - arm64: mm: Correct the update of max_pfn
    - arm64: dts: ti: k3-j784s4-j742s2-main-common: Correct the GICD size
    - arm64: dts: ti: k3-j784s4-j742s2-main-common: Fix serdes_ln_ctrl reg-masks
    - arm64: dts: mediatek: mt8188: Assign apll1 clock as parent to avoid hang
    - arm64: dts: mediatek: mt8173: Fix disp-pwm compatible string
    - arm64: dts: exynos: gs101: disable pinctrl_gsacore node
    - backlight: led_bl: Hold led_access lock when calling led_sysfs_disable()
    - btrfs: fix non-empty delayed iputs list on unmount due to compressed write
      workers
    - btrfs: tests: fix chunk map leak after failure to add it to the tree
    - btrfs: zoned: fix zone activation with missing devices
    - btrfs: zoned: fix zone finishing with missing devices
    - iommufd: Fix uninitialized rc in iommufd_access_rw()
    - iommu/tegra241-cmdqv: Fix warnings due to dmam_free_coherent()
    - iommu/vt-d: Put IRTE back into posted MSI mode if vCPU posting is disabled
    - iommu/vt-d: Don't clobber posted vCPU IRTE when host IRQ affinity changes
    - iommu/vt-d: Fix possible circular locking dependency
    - iommu/vt-d: Wire up irq_ack() to irq_move_irq() for posted MSIs
    - sparc/mm: disable preemption in lazy mmu mode
    - sparc/mm: avoid calling arch_enter/leave_lazy_mmu() in set_ptes
    - net: Fix null-ptr-deref by sock_lock_init_class_and_name() and rmmod.
    - mm/damon/ops: have damon_get_folio return folio even for tail pages
    - mm/damon: avoid applying DAMOS action to same entity multiple times
    - mm/rmap: reject hugetlb folios in folio_make_device_exclusive()
    - mm: make page_mapped_in_vma() hugetlb walk aware
    - mm: fix lazy mmu docs and usage
    - mm/mremap: correctly handle partial mremap() of VMA starting at 0
    - mm: add missing release barrier on PGDAT_RECLAIM_LOCKED unlock
    - mm/userfaultfd: fix release hang over concurrent GUP
    - mm/hwpoison: do not send SIGBUS to processes with recovered clean pages
    - mm/hugetlb: move hugetlb_sysctl_init() to the __init section
    - mm/hwpoison: introduce folio_contain_hwpoisoned_page() helper
    - sctp: detect and prevent references to a freed transport in sendmsg
    - x86/xen: fix balloon target initialization for PVH dom0
    - uprobes: Avoid false-positive lockdep splat on CONFIG_PREEMPT_RT=y in the
      ri_timer() uprobe timer callback, use raw_write_seqcount_*()
    - tracing: fprobe: Fix to lock module while registering fprobe
    - tracing: fprobe events: Fix possible UAF on modules
    - tracing: Do not add length to print format in synthetic events
    - thermal/drivers/rockchip: Add missing rk3328 mapping entry
    - CIFS: Propagate min offload along with other parameters from primary to
      secondary channels.
    - cifs: avoid NULL pointer dereference in dbg call
    - cifs: fix integer overflow in match_server()
    - cifs: Ensure that all non-client-specific reparse points are processed by
      the server
    - clk: renesas: r9a07g043: Fix HP clock source for RZ/Five
    - clk: qcom: clk-branch: Fix invert halt status bit check for votable clocks
    - clk: qcom: gdsc: Release pm subdomains in reverse add order
    - clk: qcom: gdsc: Capture pm_genpd_add_subdomain result code
    - clk: qcom: gdsc: Set retain_ff before moving to HW CTRL
    - crypto: ccp - Fix check for the primary ASP device
    - crypto: ccp - Fix uAPI definitions of PSP errors
    - dlm: fix error if inactive rsb is not hashed
    - dlm: fix error if active rsb is not hashed
    - dm-ebs: fix prefetch-vs-suspend race
    - dm-integrity: set ti->error on memory allocation failure
    - dm-integrity: fix non-constant-time tag verification
    - dm-verity: fix prefetch-vs-suspend race
    - dt-bindings: coresight: qcom,coresight-tpda: Fix too many 'reg'
    - dt-bindings: coresight: qcom,coresight-tpdm: Fix too many 'reg'
    - firmware: cs_dsp: test_control_parse: null-terminate test strings
    - ftrace: Add cond_resched() to ftrace_graph_set_hash()
    - ftrace: Properly merge notrace hashes
    - fuse: {io-uring} Fix a possible req cancellation race
    - gpio: mpc8xxx: Fix wakeup source leaks on device unbind
    - gpio: tegra186: fix resource handling in ACPI probe path
    - gpio: zynq: Fix wakeup source leaks on device unbind
    - gve: handle overflow when reporting TX consumed descriptors
    - KVM: Allow building irqbypass.ko as as module when kvm.ko is a module
    - [Config] updateconfigs for HAVE_KVM_IRQ_BYPASS
    - KVM: x86: Explicitly zero-initialize on-stack CPUID unions
    - KVM: x86: Acquire SRCU in KVM_GET_MP_STATE to protect guest memory accesses
    - landlock: Move code to ease future backports
    - landlock: Add the errata interface
    - landlock: Add erratum for TCP fix
    - landlock: Always allow signals between threads of the same process
    - landlock: Prepare to add second errata
    - selftests/landlock: Split signal_scoping_threads tests
    - selftests/landlock: Add a new test for setuid()
    - misc: pci_endpoint_test: Avoid issue of interrupts remaining after
      request_irq error
    - misc: pci_endpoint_test: Fix displaying 'irq_type' after 'request_irq' error
    - misc: pci_endpoint_test: Fix 'irq_type' to convey the correct type
    - net: mana: Switch to page pool for jumbo frames
    - ntb: use 64-bit arithmetic for the MSI doorbell mask
    - of/irq: Fix device node refcount leakage in API of_irq_parse_one()
    - of/irq: Fix device node refcount leakage in API of_irq_parse_raw()
    - of/irq: Fix device node refcount leakages in of_irq_count()
    - of/irq: Fix device node refcount leakage in API irq_of_parse_and_map()
    - of/irq: Fix device node refcount leakages in of_irq_init()
    - PCI: brcmstb: Fix missing of_node_put() in brcm_pcie_probe()
    - PCI: j721e: Fix the value of .linkdown_irq_regfield for J784S4
    - PCI: layerscape: Fix arg_count to syscon_regmap_lookup_by_phandle_args()
    - PCI: pciehp: Avoid unnecessary device replacement check
    - PCI: Fix reference leak in pci_alloc_child_bus()
    - PCI: Fix reference leak in pci_register_host_bridge()
    - PCI: Fix wrong length of devres array
    - phy: freescale: imx8m-pcie: assert phy reset and perst in power off
    - pinctrl: qcom: Clear latched interrupt status when changing IRQ type
    - pinctrl: samsung: add support for eint_fltcon_offset
    - ring-buffer: Use flush_kernel_vmap_range() over flush_dcache_folio()
    - s390/pci: Fix zpci_bus_is_isolated_vf() for non-VFs
    - s390/virtio_ccw: Don't allocate/assign airqs for non-existing queues
    - s390: Fix linker error when -no-pie option is unavailable
    - sched_ext: create_dsq: Return -EEXIST on duplicate request
    - selftests: mptcp: close fd_in before returning in main_loop
    - selftests: mptcp: fix incorrect fd checks in main_loop
    - spi: fsl-qspi: use devm function instead of driver remove
    - spi: fsl-qspi: Fix double cleanup in probe error path
    - thermal/drivers/mediatek/lvts: Disable monitor mode during suspend
    - thermal/drivers/mediatek/lvts: Disable Stage 3 thermal threshold
    - wifi: ath11k: update channel list in worker when wait flag is set
    - arm64: errata: Add newer ARM cores to the spectre_bhb_loop_affected() lists
    - iommufd: Make attach_handle generic than fault specific
    - iommufd: Fail replace if device has not been attached
    - x86/e820: Fix handling of subpage regions when calculating nosave ranges in
      e820__register_nosave_regions()
    - Bluetooth: hci_uart: Fix another race during initialization
    - Linux 6.14.3
  * Plucky update: v6.14.3 upstream stable release (LP: #2108854) //
    CVE-2025-37838
    - HSI: ssi_protocol: Fix use after free vulnerability in ssi_protocol Driver
      Due to Race Condition
  * Introduce configfs-based interface for gpio-aggregator (LP: #2103496)
    - SAUCE: gpio: aggregator: fix "_sysfs" prefix check in
      gpio_aggregator_make_group()
    - SAUCE: gpio: aggregator: Fix gpio_aggregator_line_alloc() checking
    - SAUCE: gpio: aggregator: Return an error if there are no GPIOs in
      gpio_aggregator_parse()
    - SAUCE: gpio: aggregator: Fix error code in gpio_aggregator_activate()
    - SAUCE: gpio: aggregator: Fix leak in gpio_aggregator_parse()
    - SAUCE: selftests: gpio: gpio-aggregator: add a test case for _sysfs prefix
      reservation
  * [SRU] Fix screen flickering in inverted display mode (LP: #2103617)
    - drm/xe/display: Fix fbdev GGTT mapping handling.
  * System could not hit hardware sleep state with specific panel with AMD
    KRK/STX under DC mode (LP: #2103480)
    - drm/amd/display: Add and use new dm_prepare_suspend() callback
  * WARNING: CPU: 18 PID: 3683 at arch/powerpc/kvm/../../../virt/kvm/vfio.c Call
    Traces seen when pci device is detached from the kvm guest (LP: #2104893)
    - KVM: PPC: Enable CAP_SPAPR_TCE_VFIO on pSeries KVM guests
  * [SRU] Enable speaker/mic mute LEDs on Lenovo ideapad and thinkbook
    (LP: #2106449)
    - platform/x86:lenovo-wmi-hotkey-utilities.c: Support for mic and audio mute
      LEDs
    - [Config] Enable Lenovo wmi hotkey driver
  * OLED panel screen backlight brightness does not change with brightness
    hotkey(F6&F7 Key) (LP: #2097818)
    - drm/dp: Add eDP 1.5 bit definition
    - drm/dp: Increase eDP display control capability size
    - drm/i915/backlight: Use proper interface based on eDP version
    - drm/i915/backlight: Check Luminance based brightness control for VESA
    - drm/i915/backlight: Modify function to get VESA brightness in Nits
    - drm/i915/backlight: Add function to change brightness in nits for VESA
    - drm/i915/backlight: Setup nits based luminance via VESA
    - drm/i915/backlight: Enable nits based luminance
  * Plucky update: v6.14.2 upstream stable release (LP: #2107212)
    - fs: support O_PATH fds with FSCONFIG_SET_FD
    - watch_queue: fix pipe accounting mismatch
    - x86/mm/pat: cpa-test: fix length for CPA_ARRAY test
    - m68k: sun3: Use str_read_write() helper in mmu_emu_handle_fault()
    - m68k: sun3: Fix DEBUG_MMU_EMU build
    - cpufreq: scpi: compare kHz instead of Hz
    - seccomp: fix the __secure_computing() stub for !HAVE_ARCH_SECCOMP_FILTER
    - smack: dont compile ipv6 code unless ipv6 is configured
    - smack: ipv4/ipv6: tcp/dccp/sctp: fix incorrect child socket label
    - sched: Cancel the slice protection of the idle entity
    - sched/eevdf: Force propagating min_slice of cfs_rq when {en,de}queue tasks
    - cpufreq: governor: Fix negative 'idle_time' handling in dbs_update()
    - EDAC/igen6: Fix the flood of invalid error reports
    - EDAC/{skx_common,i10nm}: Fix some missing error reports on Emerald Rapids
    - x86/vdso: Fix latent bug in vclock_pages calculation
    - x86/fpu: Fix guest FPU state buffer allocation size
    - cpufreq/amd-pstate: Modify the min_perf calculation in adjust_perf callback
    - cpufreq/amd-pstate: Pass min/max_limit_perf as min/max_perf to
      amd_pstate_update
    - cpufreq/amd-pstate: Convert all perf values to u8
    - cpufreq/amd-pstate: Add missing NULL ptr check in amd_pstate_update
    - x86/fpu: Avoid copying dynamic FP state from init_task in
      arch_dup_task_struct()
    - rseq: Update kernel fields in lockstep with CONFIG_DEBUG_RSEQ=y
    - x86/platform: Only allow CONFIG_EISA for 32-bit
    - [Config] updateconfigs for HAVE_EISA
    - x86/sev: Add missing RIP_REL_REF() invocations during sme_enable()
    - lockdep/mm: Fix might_fault() lockdep check of current->mm->mmap_lock
    - PM: sleep: Adjust check before setting power.must_resume
    - cpufreq: tegra194: Allow building for Tegra234
    - RISC-V: KVM: Disable the kernel perf counter during configure
    - kunit/stackinit: Use fill byte different from Clang i386 pattern
    - watchdog/hardlockup/perf: Fix perf_event memory leak
    - x86/split_lock: Fix the delayed detection logic
    - selinux: Chain up tool resolving errors in install_policy.sh
    - EDAC/ie31200: Fix the size of EDAC_MC_LAYER_CHIP_SELECT layer
    - EDAC/ie31200: Fix the DIMM size mask for several SoCs
    - EDAC/ie31200: Fix the error path order of ie31200_init()
    - dma: Fix encryption bit clearing for dma_to_phys
    - dma: Introduce generic dma_addr_*crypted helpers
    - arm64: realm: Use aliased addresses for device DMA to shared buffers
    - x86/resctrl: Fix allocation of cleanest CLOSID on platforms with no monitors
    - cpuidle: Init cpuidle only for present CPUs
    - thermal: int340x: Add NULL check for adev
    - PM: sleep: Fix handling devices with direct_complete set on errors
    - lockdep: Don't disable interrupts on RT in disable_irq_nosync_lockdep.*()
    - cpufreq: Init cpufreq only for present CPUs
    - perf/ring_buffer: Allow the EPOLLRDNORM flag for poll
    - perf: Save PMU specific data in task_struct
    - perf: Supply task information to sched_task()
    - perf/x86/lbr: Fix shorter LBRs call stacks for the system-wide mode
    - sched/deadline: Ignore special tasks when rebuilding domains
    - sched/topology: Wrappers for sched_domains_mutex
    - sched/deadline: Generalize unique visiting of root domains
    - sched/deadline: Rebuild root domain accounting after every update
    - x86/traps: Make exc_double_fault() consistently noreturn
    - x86/fpu/xstate: Fix inconsistencies in guest FPU xfeatures
    - x86/entry: Add __init to ia32_emulation_override_cmdline()
    - RISC-V: KVM: Teardown riscv specific bits after kvm_exit
    - regulator: pca9450: Fix enable register for LDO5
    - auxdisplay: MAX6959 should select BITREVERSE
    - media: verisilicon: HEVC: Initialize start_bit field
    - media: platform: allgro-dvt: unregister v4l2_device on the error path
    - auxdisplay: panel: Fix an API misuse in panel.c
    - platform/x86: lenovo-yoga-tab2-pro-1380-fastcharger: Make symbol static
    - platform/x86: dell-uart-backlight: Make dell_uart_bl_serdev_driver static
    - platform/x86: dell-ddv: Fix temperature calculation
    - ASoC: cs35l41: check the return value from spi_setup()
    - ASoC: amd: acp: Fix for enabling DMIC on acp platforms via _DSD entry
    - HID: remove superfluous (and wrong) Makefile entry for
      CONFIG_INTEL_ISH_FIRMWARE_DOWNLOADER
    - ASoC: simple-card-utils: Don't use __free(device_node) at
      graph_util_parse_dai()
    - dt-bindings: vendor-prefixes: add GOcontroll
    - ALSA: hda/realtek: Always honor no_shutup_pins
    - ASoC: tegra: Use non-atomic timeout for ADX status register
    - ASoC: ti: j721e-evm: Fix clock configuration for ti,j7200-cpb-audio
      compatible
    - ALSA: usb-audio: separate DJM-A9 cap lvl options
    - ALSA: timer: Don't take register_mutex with copy_from/to_user()
    - ALSA: hda/realtek: Fix built-in mic assignment on ASUS VivoBook X515UA
    - wifi: rtw89: Correct immediate cfg_len calculation for scan_offload_be
    - wifi: ath12k: fix skb_ext_desc leak in ath12k_dp_tx() error path
    - wifi: ath12k: encode max Tx power in scan channel list command
    - wifi: ath12k: Fix pdev lookup in WBM error processing
    - wifi: ath9k: do not submit zero bytes to the entropy pool
    - wifi: ath11k: fix wrong overriding for VHT Beamformee STS Capability
    - arm64: dts: mediatek: mt8173-elm: Drop pmic's #address-cells and #size-cells
    - arm64: dts: mediatek: mt8173: Fix some node names
    - wifi: ath11k: update channel list in reg notifier instead reg worker
    - ARM: dts: omap4-panda-a4: Add missing model and compatible properties
    - f2fs: quota: fix to avoid warning in dquot_writeback_dquots()
    - dlm: prevent NPD when writing a positive value to event_done
    - wifi: ath11k: fix RCU stall while reaping monitor destination ring
    - wifi: ath11k: add srng->lock for ath11k_hal_srng_* in monitor mode
    - wifi: ath12k: Fix locking in "QMI firmware ready" error paths
    - f2fs: fix to avoid panic once fallocation fails for pinfile
    - scsi: mpt3sas: Reduce log level of ignore_delay_remove message to KERN_INFO
    - md: ensure resync is prioritized over recovery
    - md/raid1: fix memory leak in raid1_run() if no active rdev
    - coredump: Fixes core_pipe_limit sysctl proc_handler
    - io_uring/io-wq: eliminate redundant io_work_get_acct() calls
    - io_uring/io-wq: cache work->flags in variable
    - io_uring/io-wq: do not use bogus hash value
    - io_uring: check for iowq alloc_workqueue failure
    - io_uring/net: improve recv bundles
    - firmware: arm_ffa: Refactor addition of partition information into XArray
    - firmware: arm_ffa: Unregister the FF-A devices when cleaning up the
      partitions
    - arm64: dts: mediatek: mt6359: fix dtbs_check error for audio-codec
    - scsi: mpi3mr: Fix locking in an error path
    - scsi: mpt3sas: Fix a locking bug in an error path
    - can: rockchip_canfd: rkcanfd_chip_fifo_setup(): remove duplicated setup of
      RX FIFO
    - jfs: reject on-disk inodes of an unsupported type
    - jfs: add check read-only before txBeginAnon() call
    - jfs: add check read-only before truncation in jfs_truncate_nolock()
    - wifi: ath12k: Add missing htt_metadata flag in ath12k_dp_tx()
    - wifi: rtw89: rtw8852b{t}: fix TSSI debug timestamps
    - xfrm: delay initialization of offload path till its actually requested
    - iommu/io-pgtable-dart: Only set subpage protection disable for DART 1
    - firmware: arm_ffa: Explicitly cast return value from FFA_VERSION before
      comparison
    - firmware: arm_ffa: Explicitly cast return value from NOTIFICATION_INFO_GET
    - arm64: dts: renesas: r8a774c0: Re-add voltages to OPP table
    - arm64: dts: renesas: r8a77990: Re-add voltages to OPP table
    - firmware: arm_ffa: Skip the first/partition ID when parsing vCPU list
    - arm64: dts: ti: k3-j722s-evm: Fix USB2.0_MUX_SEL to select Type-C
    - wifi: ath12k: use link specific bss_conf as well in
      ath12k_mac_vif_cache_flush()
    - arm64: dts: imx8mp-skov: correct PMIC board limits
    - arm64: dts: imx8mp-skov: operate CPU at 850 mV by default
    - arm64: dts: mediatek: mt8390-genio-700-evk: Move common parts to dtsi
    - arm64: dts: mediatek: mt8390-genio-common: Fix duplicated regulator name
    - wifi: ath11k: Clear affinity hint before calling ath11k_pcic_free_irq() in
      error path
    - wifi: ath12k: Clear affinity hint before calling ath12k_pci_free_irq() in
      error path
    - f2fs: fix to set .discard_granularity correctly
    - f2fs: add check for deleted inode
    - arm64: dts: ti: k3-am62-verdin-dahlia: add Microphone Jack to sound card
    - f2fs: fix potential deadloop in prepare_compress_overwrite()
    - f2fs: fix to call f2fs_recover_quota_end() correctly
    - md: fix mddev uaf while iterating all_mddevs list
    - md/raid1,raid10: don't ignore IO flags
    - md/md-bitmap: fix wrong bitmap_limit for clustermd when write sb
    - tracing: Fix DECLARE_TRACE_CONDITION
    - tools/rv: Keep user LDFLAGS in build
    - arm64: dts: ti: k3-am62p: Enable AUDIO_REFCLKx
    - arm64: dts: ti: k3-am62p: fix pinctrl settings
    - arm64: dts: ti: k3-j722s: fix pinctrl settings
    - wifi: rtw89: fw: correct debug message format in
      rtw89_build_txpwr_trk_tbl_from_elm()
    - wifi: rtw89: pci: correct ISR RDU bit for 8922AE
    - blk-throttle: fix lower bps rate by throtl_trim_slice()
    - soc: mediatek: mtk-mmsys: Fix MT8188 VDO1 DPI1 output selection
    - soc: mediatek: mt8167-mmsys: Fix missing regval in all entries
    - soc: mediatek: mt8365-mmsys: Fix routing table masks and values
    - md/raid10: wait barrier before returning discard request with REQ_NOWAIT
    - block: ensure correct integrity capability propagation in stacked devices
    - block: Correctly initialize BLK_INTEGRITY_NOGENERATE and
      BLK_INTEGRITY_NOVERIFY
    - badblocks: Fix error shitf ops
    - badblocks: factor out a helper try_adjacent_combine
    - badblocks: attempt to merge adjacent badblocks during ack_all_badblocks
    - badblocks: return error directly when setting badblocks exceeds 512
    - badblocks: return error if any badblock set fails
    - badblocks: fix the using of MAX_BADBLOCKS
    - badblocks: fix merge issue when new badblocks align with pre+1
    - badblocks: fix missing bad blocks on retry in _badblocks_check()
    - badblocks: return boolean from badblocks_set() and badblocks_clear()
    - badblocks: use sector_t instead of int to avoid truncation of badblocks
      length
    - firmware: arm_scmi: use ioread64() instead of ioread64_hi_lo()
    - net: airoha: Fix lan4 support in airoha_qdma_get_gdm_port()
    - iommu/amd: Fix header file
    - iommu/vt-d: Fix system hang on reboot -f
    - memory: mtk-smi: Add ostd setting for mt8192
    - gfs2: minor evict fix
    - gfs2: skip if we cannot defer delete
    - ARM: dts: imx6ul-tqma6ul1: Change include order to disable fec2 node
    - arm64: dts: imx8mp: add AUDIO_AXI_CLK_ROOT to AUDIOMIX block
    - arm64: dts: imx8mp: change AUDIO_AXI_CLK_ROOT freq. to 800MHz
    - f2fs: fix to avoid accessing uninitialized curseg
    - iommu: Handle race with default domain setup
    - wifi: mac80211: remove SSID from ML reconf
    - f2fs: fix to avoid running out of free segments
    - block: fix adding folio to bio
    - ext4: fix potential null dereference in ext4 kunit test
    - ext4: convert EXT4_FLAGS_* defines to enum
    - ext4: add EXT4_FLAGS_EMERGENCY_RO bit
    - ext4: correct behavior under errors=remount-ro mode
    - ext4: show 'emergency_ro' when EXT4_FLAGS_EMERGENCY_RO is set
    - arm64: dts: rockchip: Move rk356x scmi SHMEM to reserved memory
    - arm64: dts: rockchip: Remove bluetooth node from rock-3a
    - bus: qcom-ssc-block-bus: Remove some duplicated iounmap() calls
    - bus: qcom-ssc-block-bus: Fix the error handling path of
      qcom_ssc_block_bus_probe()
    - arm64: dts: rockchip: Fix pcie reset gpio on Orange Pi 5 Max
    - arm64: dts: rockchip: Fix PWM pinctrl names
    - arm64: dts: rockchip: remove ethm0_clk0_25m_out from Sige5 gmac0
    - erofs: allow 16-byte volume name again
    - ext4: add missing brelse() for bh2 in ext4_dx_add_entry()
    - ext4: verify fast symlink length
    - f2fs: fix missing discard for active segments
    - scsi: hisi_sas: Fixed failure to issue vendor specific commands
    - scsi: target: tcm_loop: Fix wrong abort tag
    - ext4: introduce ITAIL helper
    - ext4: fix out-of-bound read in ext4_xattr_inode_dec_ref_all()
    - ext4: goto right label 'out_mmap_sem' in ext4_setattr()
    - jbd2: fix off-by-one while erasing journal
    - ata: libata: Fix NCQ Non-Data log not supported print
    - wifi: nl80211: store chandef on the correct link when starting CAC
    - wifi: mac80211: check basic rates validity in sta_link_apply_parameters
    - wifi: cfg80211: init wiphy_work before allocating rfkill fails
    - wifi: mwifiex: Fix premature release of RF calibration data.
    - wifi: mwifiex: Fix RF calibration data download from file
    - ice: health.c: fix compilation on gcc 7.5
    - ice: ensure periodic output start time is in the future
    - ice: fix reservation of resources for RDMA when disabled
    - virtchnl: make proto and filter action count unsigned
    - ice: stop truncating queue ids when checking
    - ice: validate queue quanta parameters to prevent OOB access
    - ice: fix input validation for virtchnl BW
    - ice: fix using untrusted value of pkt_len in ice_vc_fdir_parse_raw()
    - idpf: check error for register_netdev() on init
    - btrfs: get used bytes while holding lock at btrfs_reclaim_bgs_work()
    - btrfs: fix reclaimed bytes accounting after automatic block group reclaim
    - btrfs: fix block group refcount race in btrfs_create_pending_block_groups()
    - btrfs: don't clobber ret in btrfs_validate_super()
    - wifi: mt76: mt7915: fix possible integer overflows in
      mt7915_muru_stats_show()
    - igb: reject invalid external timestamp requests for 82580-based HW
    - renesas: reject PTP_STRICT_FLAGS as unsupported
    - net: lan743x: reject unsupported external timestamp requests
    - broadcom: fix supported flag check in periodic output function
    - ptp: ocp: reject unsupported periodic output flags
    - nvmet: pci-epf: Always configure BAR0 as 64-bit
    - jbd2: add a missing data flush during file and fs synchronization
    - ext4: define ext4_journal_destroy wrapper
    - ext4: avoid journaling sb update on error if journal is destroying
    - eth: bnxt: fix out-of-range access of vnic_info array
    - net: Remove RTNL dance for SIOCBRADDIF and SIOCBRDELIF.
    - netfilter: nfnetlink_queue: Initialize ctx to avoid memory allocation error
    - netfilter: nf_tables: Only use nf_skip_indirect_calls() when
      MITIGATION_RETPOLINE
    - ax25: Remove broken autobind
    - net/mlx5e: Fix ethtool -N flow-type ip4 to RSS context
    - bnxt_en: Mask the bd_cnt field in the TX BD properly
    - bnxt_en: Linearize TX SKB if the fragments exceed the max
    - net: dsa: mv88e6xxx: fix atu_move_port_mask for 6341 family
    - net: dsa: mv88e6xxx: enable PVT for 6321 switch
    - net: dsa: mv88e6xxx: enable .port_set_policy() for 6320 family
    - net: dsa: mv88e6xxx: fix VTU methods for 6320 family
    - net: dsa: mv88e6xxx: enable STU methods for 6320 family
    - mlxsw: spectrum_acl_bloom_filter: Workaround for some LLVM versions
    - net: dsa: sja1105: fix displaced ethtool statistics counters
    - net: dsa: sja1105: reject other RX filters than
      HWTSTAMP_FILTER_PTP_V2_L2_EVENT
    - net: dsa: sja1105: fix kasan out-of-bounds warning in
      sja1105_table_delete_entry()
    - net/mlx5: LAG, reload representors on LAG creation failure
    - net/mlx5: Start health poll after enable hca
    - vmxnet3: unregister xdp rxq info in the reset path
    - bonding: check xdp prog when set bond mode
    - ibmvnic: Use kernel helpers for hex dumps
    - net: fix NULL pointer dereference in l3mdev_l3_rcv
    - virtio_net: Fix endian with virtio_net_ctrl_rss
    - Bluetooth: Add quirk for broken READ_VOICE_SETTING
    - Bluetooth: Add quirk for broken READ_PAGE_SCAN_TYPE
    - Bluetooth: btusb: Fix regression in the initialization of fake Bluetooth
      controllers
    - Bluetooth: hci_core: Enable buffer flow control for SCO/eSCO
    - Bluetooth: HCI: Add definition of hci_rp_remote_name_req_cancel
    - rwonce: handle KCSAN like KASAN in read_word_at_a_time()
    - net: dsa: microchip: fix DCB apptrust configuration on KSZ88x3
    - Bluetooth: btnxpuart: Fix kernel panic during FW release
    - Bluetooth: hci_event: Fix handling of HCI_EV_LE_DIRECT_ADV_REPORT
    - net: Fix the devmem sock opts and msgs for parisc
    - net: libwx: fix Tx descriptor content for some tunnel packets
    - net: libwx: fix Tx L4 checksum
    - rwonce: fix crash by removing READ_ONCE() for unaligned read
    - drm/bridge: ti-sn65dsi86: Fix multiple instances
    - drm/ssd130x: Set SPI .id_table to prevent an SPI core warning
    - accel/amdxdna: Return error when setting clock failed for npu1
    - drm/panthor: Fix a race between the reset and suspend path
    - drm/ssd130x: fix ssd132x encoding
    - drm/ssd130x: ensure ssd132x pitch is correct
    - drm/dp_mst: Fix drm RAD print
    - drm/bridge: it6505: fix HDCP V match check is not performed correctly
    - drm/panthor: Fix race condition when gathering fdinfo group samples
    - drm: xlnx: zynqmp: Fix max dma segment size
    - drm: xlnx: zynqmp_dpsub: Add NULL check in zynqmp_audio_init
    - drm: zynqmp_dp: Fix a deadlock in zynqmp_dp_ignore_hpd_set()
    - drm/vkms: Fix use after free and double free on init error
    - gpu: cdns-mhdp8546: fix call balance of mhdp->clk handling routines
    - drm/amdgpu: refine smu send msg debug log format
    - drm/amdgpu/umsch: remove vpe test from umsch
    - drm/amdgpu/umsch: declare umsch firmware
    - drm/amdgpu/umsch: fix ucode check
    - drm/amdgpu/vcn5.0.1: use correct dpm helper
    - PCI: Use downstream bridges for distributing resources
    - PCI: Remove add_align overwrite unrelated to size0
    - PCI: Simplify size1 assignment logic
    - PCI: Allow relaxed bridge window tail sizing for optional resources
    - drm/mediatek: mtk_hdmi: Unregister audio platform device on failure
    - drm/mediatek: mtk_hdmi: Fix typo for aud_sampe_size member
    - drm/amdgpu: Replace Mutex with Spinlock for RLCG register access to avoid
      Priority Inversion in SRIOV
    - PCI/ASPM: Fix link state exit during switch upstream function removal
    - drm/panel: ilitek-ili9882t: fix GPIO name in error message
    - PCI/ACS: Fix 'pci=config_acs=' parameter
    - drm/amd/display: fix an indent issue in DML21
    - drm/msm/dpu: don't use active in atomic_check()
    - drm/msm/dsi/phy: Program clock inverters in correct register
    - drm/msm/dsi: Use existing per-interface slice count in DSC timing
    - drm/msm/dsi: Set PHY usescase (and mode) before registering DSI host
    - drm/msm/dpu: Fall back to a single DSC encoder (1:1:1) on small SoCs
    - drm/msm/dpu: Remove arbitrary limit of 1 interface in DSC topology
    - drm/msm/gem: Fix error code msm_parse_deps()
    - drm/amdkfd: Fix Circular Locking Dependency in
      'svm_range_cpu_invalidate_pagetables'
    - PCI: mediatek-gen3: Configure PBUS_CSR registers for EN7581 SoC
    - PCI: cadence-ep: Fix the driver to send MSG TLP for INTx without data
      payload
    - PCI: brcmstb: Set generation limit before PCIe link up
    - PCI: brcmstb: Use internal register to change link capability
    - PCI: brcmstb: Fix error path after a call to regulator_bulk_get()
    - PCI: brcmstb: Fix potential premature regulator disabling
    - selftests/pcie_bwctrl: Add 'set_pcie_speed.sh' to TEST_PROGS
    - PCI/portdrv: Only disable pciehp interrupts early when needed
    - PCI: Avoid reset when disabled via sysfs
    - drm/msm/dpu: move needs_cdm setting to dpu_encoder_get_topology()
    - drm/msm/dpu: simplify dpu_encoder_get_topology() interface
    - drm/msm/dpu: don't set crtc_state->mode_changed from atomic_check()
    - drm/panthor: Update CS_STATUS_ defines to correct values
    - drm/file: Add fdinfo helper for printing regions with prefix
    - drm/panthor: Expose size of driver internal BO's over fdinfo
    - drm/panthor: Replace sleep locks with spinlocks in fdinfo path
    - drm/panthor: Avoid sleep locking in the internal BO size path
    - drm/panthor: Clean up FW version information display
    - drm/amd/display: fix type mismatch in CalculateDynamicMetadataParameters()
    - drm/msm/a6xx: Fix a6xx indexed-regs in devcoreduump
    - powerpc/perf: Fix ref-counting on the PMU 'vpa_pmu'
    - misc: pci_endpoint_test: Fix pci_endpoint_test_bars_read_bar() error
      handling
    - misc: pci_endpoint_test: Handle BAR sizes larger than INT_MAX
    - PCI: endpoint: pci-epf-test: Handle endianness properly
    - crypto: powerpc: Mark ghashp8-ppc.o as an OBJECT_FILES_NON_STANDARD
    - powerpc/kexec: fix physical address calculation in clear_utlb_entry()
    - PCI: Remove stray put_device() in pci_register_host_bridge()
    - PCI: xilinx-cpm: Fix IRQ domain leak in error path of probe
    - drm/mediatek: Fix config_updating flag never false when no mbox channel
    - drm/mediatek: dp: drm_err => dev_err in HPD path to avoid NULL ptr
    - drm/mediatek: dsi: fix error codes in mtk_dsi_host_transfer()
    - drm/amd/display: avoid NPD when ASIC does not support DMUB
    - PCI: dwc: ep: Return -ENOMEM for allocation failures
    - PCI: histb: Fix an error handling path in histb_pcie_probe()
    - PCI: Fix BAR resizing when VF BARs are assigned
    - drm/amdgpu/mes: optimize compute loop handling
    - drm/amdgpu/mes: enable compute pipes across all MEC
    - PCI: pciehp: Don't enable HPIE when resuming in poll mode
    - PCI/bwctrl: Fix pcie_bwctrl_select_speed() return type
    - io_uring/net: only import send_zc buffer once
    - PCI: Fix NULL dereference in SR-IOV VF creation error path
    - io_uring: use lockless_cq flag in io_req_complete_post()
    - io_uring: fix retry handling off iowq
    - fbdev: au1100fb: Move a variable assignment behind a null pointer check
    - dummycon: fix default rows/cols
    - mdacon: rework dependency list
    - fbdev: sm501fb: Add some geometry checks.
    - crypto: iaa - Test the correct request flag
    - crypto: qat - set parity error mask for qat_420xx
    - crypto: tegra - Use separate buffer for setkey
    - crypto: tegra - Do not use fixed size buffers
    - crypto: tegra - check return value for hash do_one_req
    - crypto: tegra - Transfer HASH init function to crypto engine
    - crypto: tegra - Fix HASH intermediate result handling
    - crypto: bpf - Add MODULE_DESCRIPTION for skcipher
    - crypto: tegra - Use HMAC fallback when keyslots are full
    - clk: amlogic: gxbb: drop incorrect flag on 32k clock
    - crypto: hisilicon/sec2 - fix for aead authsize alignment
    - crypto: hisilicon/sec2 - fix for sec spec check
    - RDMA/mlx5: Fix page_size variable overflow
    - remoteproc: core: Clear table_sz when rproc_shutdown
    - of: property: Increase NR_FWNODE_REFERENCE_ARGS
    - pinctrl: renesas: rzg2l: Suppress binding attributes
    - remoteproc: qcom_q6v5_pas: Make single-PD handling more robust
    - libbpf: Fix hypothetical STT_SECTION extern NULL deref case
    - drivers: clk: qcom: ipq5424: fix the freq table of sdcc1_apps clock
    - selftests/bpf: Fix string read in strncmp benchmark
    - x86/mm/pat: Fix VM_PAT handling when fork() fails in copy_page_range()
    - clk: renesas: r8a08g045: Check the source of the CPU PLL settings
    - remoteproc: qcom: pas: add minidump_id to SC7280 WPSS
    - clk: samsung: Fix UBSAN panic in samsung_clk_init()
    - pinctrl: nuvoton: npcm8xx: Fix error handling in npcm8xx_gpio_fw()
    - crypto: tegra - Fix CMAC intermediate result handling
    - clk: qcom: gcc-msm8953: fix stuck venus0_core0 clock
    - selftests/bpf: Fix runqslower cross-endian build
    - s390: Remove ioremap_wt() and pgprot_writethrough()
    - RDMA/mana_ib: Ensure variable err is initialized
    - crypto: tegra - Set IV to NULL explicitly for AES ECB
    - remoteproc: qcom_q6v5_pas: Use resource with CX PD for MSM8226
    - crypto: tegra - finalize crypto req on error
    - crypto: tegra - Reserve keyslots to allocate dynamically
    - bpf: Use preempt_count() directly in bpf_send_signal_common()
    - lib: 842: Improve error handling in sw842_compress()
    - pinctrl: renesas: rza2: Fix missing of_node_put() call
    - pinctrl: renesas: rzg2l: Fix missing of_node_put() call
    - RDMA/mlx5: Fix MR cache initialization error flow
    - selftests/bpf: Fix freplace_link segfault in tailcalls prog test
    - clk: rockchip: rk3328: fix wrong clk_ref_usb3otg parent
    - RDMA/core: Don't expose hw_counters outside of init net namespace
    - RDMA/mlx5: Fix calculation of total invalidated pages
    - RDMA/erdma: Prevent use-after-free in erdma_accept_newconn()
    - remoteproc: qcom_q6v5_mss: Handle platforms with one power domain
    - power: supply: bq27xxx_battery: do not update cached flags prematurely
    - leds: st1202: Check for error code from devm_mutex_init() call
    - crypto: api - Fix larval relookup type and mask
    - IB/mad: Check available slots before posting receive WRs
    - pinctrl: tegra: Set SFIO mode to Mux Register
    - clk: amlogic: g12b: fix cluster A parent data
    - clk: amlogic: gxbb: drop non existing 32k clock parent
    - selftests/bpf: Select NUMA_NO_NODE to create map
    - rust: fix signature of rust_fmt_argument
    - crypto: tegra - Fix format specifier in tegra_sha_prep_cmd()
    - libbpf: Add namespace for errstr making it libbpf_errstr
    - clk: mmp: Fix NULL vs IS_ERR() check
    - pinctrl: npcm8xx: Fix incorrect struct npcm8xx_pincfg assignment
    - samples/bpf: Fix broken vmlinux path for VMLINUX_BTF
    - crypto: qat - remove access to parity register for QAT GEN4
    - clk: clk-imx8mp-audiomix: fix dsp/ocram_a clock parents
    - clk: amlogic: g12a: fix mmc A peripheral clock
    - pinctrl: bcm2835: don't -EINVAL on alternate funcs from get_direction()
    - x86/entry: Fix ORC unwinder for PUSH_REGS with save_ret=1
    - power: supply: max77693: Fix wrong conversion of charge input threshold
      value
    - crypto: api - Call crypto_alg_put in crypto_unregister_alg
    - clk: stm32f4: fix an uninitialized variable
    - crypto: nx - Fix uninitialised hv_nxc on error
    - clk: qcom: gcc-sm8650: Do not turn off USB GDSCs during gdsc_disable()
    - bpf: Fix array bounds error with may_goto
    - RDMA/mlx5: Fix mlx5_poll_one() cur_qp update flow
    - pinctrl: renesas: rzv2m: Fix missing of_node_put() call
    - clk: qcom: ipq5424: fix software and hardware flow control error of UART
    - mfd: sm501: Switch to BIT() to mitigate integer overflows
    - leds: Fix LED_OFF brightness race
    - x86/dumpstack: Fix inaccurate unwinding from exception stacks due to
      misplaced assignment
    - RDMA/core: Fix use-after-free when rename device name
    - crypto: hisilicon/sec2 - fix for aead auth key length
    - pinctrl: intel: Fix wrong bypass assignment in intel_pinctrl_probe_pwm()
    - clk: qcom: mmcc-sdm660: fix stuck video_subcore0 clock
    - libbpf: Fix accessing BTF.ext core_relo header
    - perf stat: Fix find_stat for mixed legacy/non-legacy events
    - perf: Always feature test reallocarray
    - w1: fix NULL pointer dereference in probe
    - staging: gpib: Add missing interface entry point
    - staging: gpib: Fix pr_err format warning
    - usb: typec: thunderbolt: Fix loops that iterate TYPEC_PLUG_SOP_P and
      TYPEC_PLUG_SOP_PP
    - usb: typec: thunderbolt: Remove IS_ERR check for plug
    - iio: dac: adi-axi-dac: modify stream enable
    - perf test: Fix Hwmon PMU test endianess issue
    - perf stat: Don't merge counters purely on name
    - fs/ntfs3: Factor out ntfs_{create/remove}_procdir()
    - fs/ntfs3: Factor out ntfs_{create/remove}_proc_root()
    - fs/ntfs3: Fix 'proc_info_root' leak when init ntfs failed
    - fs/ntfs3: Update inode->i_mapping->a_ops on compression state
    - iio: light: veml6030: extend regmap to support regfields
    - iio: gts-helper: export iio_gts_get_total_gain()
    - iio: light: veml6030: fix scale to conform to ABI
    - iio: adc: ad7124: Micro-optimize channel disabling
    - iio: adc: ad7124: Really disable all channels at probe time
    - phy: phy-rockchip-samsung-hdptx: Don't use dt aliases to determine phy-id
    - perf tools: Add skip check in tool_pmu__event_to_str()
    - isofs: fix KMSAN uninit-value bug in do_isofs_readdir()
    - perf tests: Fix Tool PMU test segfault
    - soundwire: slave: fix an OF node reference leak in soundwire slave device
    - staging: gpib: Fix cb7210 pcmcia Oops
    - perf report: Switch data file correctly in TUI
    - perf report: Fix input reload/switch with symbol sort key
    - greybus: gb-beagleplay: Add error handling for gb_greybus_init
    - coresight: catu: Fix number of pages while using 64k pages
    - vhost-scsi: Fix handling of multiple calls to vhost_scsi_set_endpoint
    - coresight-etm4x: add isb() before reading the TRCSTATR
    - perf pmus: Restructure pmu_read_sysfs to scan fewer PMUs
    - perf pmu: Dynamically allocate tool PMU
    - perf pmu: Don't double count common sysfs and json events
    - tools/x86: Fix linux/unaligned.h include path in lib/insn.c
    - perf build: Fix in-tree build due to symbolic link
    - ucsi_ccg: Don't show failed to get FW build information error
    - iio: accel: mma8452: Ensure error return on failure to matching oversampling
      ratio
    - iio: accel: msa311: Fix failure to release runtime pm if direct mode claim
      fails.
    - iio: backend: make sure to NULL terminate stack buffer
    - iio: core: Rework claim and release of direct mode to work with sparse.
    - iio: adc: ad7173: Grab direct mode for calibration
    - iio: adc: ad7192: Grab direct mode for calibration
    - perf arm-spe: Fix load-store operation checking
    - perf bench: Fix perf bench syscall loop count
    - perf machine: Fixup kernel maps ends after adding extra maps
    - usb: xhci: correct debug message page size calculation
    - fs/ntfs3: Fix a couple integer overflows on 32bit systems
    - fs/ntfs3: Prevent integer overflow in hdr_first_de()
    - perf test: Add timeout to datasym workload
    - perf tests: Fix data symbol test with LTO builds
    - NFSD: Fix callback decoder status codes
    - soundwire: take in count the bandwidth of a prepared stream
    - dmaengine: fsl-edma: cleanup chan after dma_async_device_unregister
    - dmaengine: fsl-edma: free irq correctly in remove path
    - dmaengine: ae4dma: Use the MSI count and its corresponding IRQ number
    - dmaengine: ptdma: Utilize the AE4DMA engine's multi-queue functionality
    - iio: adc: ad_sigma_delta: Disable channel after calibration
    - iio: adc: ad4130: Fix comparison of channel setups
    - iio: adc: ad7124: Fix comparison of channel configs
    - iio: adc: ad7173: Fix comparison of channel configs
    - iio: adc: ad7768-1: set MOSI idle state to prevent accidental reset
    - iio: light: Add check for array bounds in veml6075_read_int_time_ms
    - perf debug: Avoid stack overflow in recursive error message
    - perf evlist: Add success path to evlist__create_syswide_maps
    - perf evsel: tp_format accessing improvements
    - perf x86/topdown: Fix topdown leader sampling test error on hybrid
    - perf units: Fix insufficient array space
    - perf test stat_all_pmu.sh: Correctly check 'perf stat' result
    - kernel/events/uprobes: handle device-exclusive entries correctly in
      __replace_page()
    - kexec: initialize ELF lowest address to ULONG_MAX
    - ocfs2: validate l_tree_depth to avoid out-of-bounds access
    - reboot: replace __hw_protection_shutdown bool action parameter with an enum
    - reboot: reboot, not shutdown, on hw_protection_reboot timeout
    - arch/powerpc: drop GENERIC_PTDUMP from mpc885_ads_defconfig
    - writeback: let trace_balance_dirty_pages() take struct dtc as parameter
    - writeback: fix calculations in trace_balance_dirty_pages() for cgwb
    - scripts/gdb/linux/symbols.py: address changes to module_sect_attrs
    - NFSv4: Don't trigger uneccessary scans for return-on-close delegations
    - NFSv4: Avoid unnecessary scans of filesystems for returning delegations
    - NFSv4: Avoid unnecessary scans of filesystems for expired delegations
    - NFSv4: Avoid unnecessary scans of filesystems for delayed delegations
    - NFS: fix open_owner_id_maxsz and related fields.
    - fuse: fix dax truncate/punch_hole fault path
    - selftests/mm/cow: fix the incorrect error handling
    - um: Pass the correct Rust target and options with gcc
    - um: remove copy_from_kernel_nofault_allowed
    - um: hostfs: avoid issues on inode number reuse by host
    - i3c: master: svc: Fix missing the IBI rules
    - perf python: Fixup description of sample.id event member
    - perf python: Decrement the refcount of just created event on failure
    - perf python: Don't keep a raw_data pointer to consumed ring buffer space
    - perf python: Check if there is space to copy all the event
    - perf dso: fix dso__is_kallsyms() check
    - perf: intel-tpebs: Fix incorrect usage of zfree()
    - perf pmu: Handle memory failure in tool_pmu__new()
    - staging: rtl8723bs: select CONFIG_CRYPTO_LIB_AES
    - staging: vchiq_arm: Register debugfs after cdev
    - staging: vchiq_arm: Fix possible NPR of keep-alive thread
    - staging: vchiq_arm: Stop kthreads if vchiq cdev register fails
    - tty: n_tty: use uint for space returned by tty_write_room()
    - perf vendor events arm64 AmpereOneX: Fix frontend_bound calculation
    - fs/procfs: fix the comment above proc_pid_wchan()
    - perf tools: Fix is_compat_mode build break in ppc64
    - perf tools: annotate asm_pure_loop.S
    - perf bpf-filter: Fix a parsing error with comma
    - objtool: Handle various symbol types of rodata
    - objtool: Handle different entry size of rodata
    - objtool: Handle PC relative relocation type
    - objtool: Fix detection of consecutive jump tables on Clang 20
    - thermal: core: Remove duplicate struct declaration
    - objtool, spi: amd: Fix out-of-bounds stack access in amd_set_spi_freq()
    - objtool, nvmet: Fix out-of-bounds stack access in nvmet_ctrl_state_show()
    - objtool, media: dib8000: Prevent divide-by-zero in dib8000_set_dds()
    - NFS: Shut down the nfs_client only after all the superblocks
    - smb: client: Fix netns refcount imbalance causing leaks and use-after-free
    - exfat: fix the infinite loop in exfat_find_last_cluster()
    - exfat: fix missing shutdown check
    - rtnetlink: Allocate vfinfo size for VF GUIDs when supported
    - rndis_host: Flag RNDIS modems as WWAN devices
    - ksmbd: use aead_request_free to match aead_request_alloc
    - ksmbd: fix multichannel connection failure
    - ksmbd: fix r_count dec/increment mismatch
    - net/mlx5e: SHAMPO, Make reserved size independent of page size
    - ring-buffer: Fix bytes_dropped calculation issue
    - objtool: Fix segfault in ignore_unreachable_insn()
    - LoongArch: Fix help text of CMDLINE_EXTEND in Kconfig
    - LoongArch: Fix device node refcount leak in fdt_cpu_clk_init()
    - LoongArch: Rework the arch_kgdb_breakpoint() implementation
    - ACPI: processor: idle: Return an error if both P_LVL{2,3} idle states are
      invalid
    - net: phy: broadcom: Correct BCM5221 PHY model detection
    - octeontx2-af: Fix mbox INTR handler when num VFs > 64
    - octeontx2-af: Free NIX_AF_INT_VEC_GEN irq
    - objtool: Fix verbose disassembly if CROSS_COMPILE isn't set
    - sched/smt: Always inline sched_smt_active()
    - context_tracking: Always inline ct_{nmi,irq}_{enter,exit}()
    - rcu-tasks: Always inline rcu_irq_work_resched()
    - objtool/loongarch: Add unwind hints in prepare_frametrace()
    - nfs: Add missing release on error in nfs_lock_and_join_requests()
    - rtc: renesas-rtca3: Disable interrupts only if the RTC is enabled
    - spufs: fix a leak on spufs_new_file() failure
    - spufs: fix gang directory lifetimes
    - spufs: fix a leak in spufs_create_context()
    - fs/9p: fix NULL pointer dereference on mkdir
    - riscv: ftrace: Add parentheses in macro definitions of make_call_t0 and
      make_call_ra
    - riscv: Fix the __riscv_copy_vec_words_unaligned implementation
    - riscv: Fix missing __free_pages() in check_vector_unaligned_access()
    - riscv: fgraph: Select HAVE_FUNCTION_GRAPH_TRACER depends on
      HAVE_DYNAMIC_FTRACE_WITH_ARGS
    - ntb_hw_switchtec: Fix shift-out-of-bounds in switchtec_ntb_mw_set_trans
    - ntb: intel: Fix using link status DB's
    - riscv: fgraph: Fix stack layout to match __arch_ftrace_regs argument of
      ftrace_return_to_handler
    - riscv: Annotate unaligned access init functions
    - riscv: Fix riscv_online_cpu_vec
    - riscv: Fix check_unaligned_access_all_cpus
    - riscv: Change check_unaligned_access_speed_all_cpus to void
    - riscv: Fix set up of cpu hotplug callbacks
    - riscv: Fix set up of vector cpu hotplug callback
    - firmware: cs_dsp: Ensure cs_dsp_load[_coeff]() returns 0 on success
    - ALSA: hda/realtek: Fix built-in mic breakage on ASUS VivoBook X515JA
    - RISC-V: errata: Use medany for relocatable builds
    - x86/uaccess: Improve performance by aligning writes to 8 bytes in
      copy_user_generic(), on non-FSRM/ERMS CPUs
    - ublk: make sure ubq->canceling is set when queue is frozen
    - s390/entry: Fix setting _CIF_MCCK_GUEST with lowcore relocation
    - ASoC: codecs: rt5665: Fix some error handling paths in rt5665_probe()
    - spi: cadence: Fix out-of-bounds array access in cdns_mrvl_xspi_setup_clock()
    - riscv: Fix hugetlb retrieval of number of ptes in case of !present pte
    - riscv/kexec_file: Handle R_RISCV_64 in purgatory relocator
    - riscv/purgatory: 4B align purgatory_start
    - nvme/ioctl: don't warn on vectorized uring_cmd with fixed buffer
    - nvme-pci: skip nvme_write_sq_db on empty rqlist
    - ASoC: imx-card: Add NULL check in imx_card_probe()
    - spi: bcm2835: Do not call gpiod_put() on invalid descriptor
    - ALSA: hda/realtek: Fix built-in mic on another ASUS VivoBook model
    - spi: bcm2835: Restore native CS probing when pinctrl-bcm2835 is absent
    - xsk: Add launch time hardware offload support to XDP Tx metadata
    - igc: Refactor empty frame insertion for launch time support
    - igc: Add launch time support to XDP ZC
    - igc: Fix TX drops in XDP ZC
    - e1000e: change k1 configuration on MTP and later platforms
    - ixgbe: fix media type detection for E610 device
    - idpf: fix adapter NULL pointer dereference on reboot
    - netfilter: nft_set_hash: GC reaps elements with conncount for dynamic sets
      only
    - netfilter: nf_tables: don't unregister hook when table is dormant
    - netlabel: Fix NULL pointer exception caused by CALIPSO on IPv4 sockets
    - net_sched: skbprio: Remove overly strict queue assertions
    - sctp: add mutual exclusion in proc_sctp_do_udp_port()
    - net: airoha: Fix qid report in airoha_tc_get_htb_get_leaf_queue()
    - net: airoha: Fix ETS priomap validation
    - net: mvpp2: Prevent parser TCAM memory corruption
    - rtnetlink: Use register_pernet_subsys() in rtnl_net_debug_init().
    - udp: Fix multiple wraparounds of sk->sk_rmem_alloc.
    - udp: Fix memory accounting leak.
    - vsock: avoid timeout during connect() if the socket is closing
    - tunnels: Accept PACKET_HOST in skb_tunnel_check_pmtu().
    - xsk: Fix __xsk_generic_xmit() error code when cq is full
    - net: decrease cached dst counters in dst_release
    - netfilter: nft_tunnel: fix geneve_opt type confusion addition
    - sfc: rip out MDIO support
    - sfc: fix NULL dereferences in ef100_process_design_param()
    - ipv6: fix omitted netlink attributes when using RTEXT_FILTER_SKIP_STATS
    - net: dsa: mv88e6xxx: propperly shutdown PPU re-enable timer on destroy
    - net: fix geneve_opt length integer overflow
    - ipv6: Start path selection from the first nexthop
    - ipv6: Do not consider link down nexthops in path selection
    - arcnet: Add NULL check in com20020pci_probe()
    - net: ibmveth: make veth_pool_store stop hanging
    - netlink: specs: rt_route: pull the ifa- prefix out of the names
    - tools/power turbostat: Allow Zero return value for some RAPL registers
    - kbuild: deb-pkg: don't set KBUILD_BUILD_VERSION unconditionally
    - drm/xe: Fix unmet direct dependencies warning
    - drm/amdgpu/gfx11: fix num_mec
    - drm/amdgpu/gfx12: fix num_mec
    - perf/core: Fix child_total_time_enabled accounting bug at task exit
    - tools/power turbostat: report CoreThr per measurement interval
    - tools/power turbostat: Restore GFX sysfs fflush() call
    - staging: gpib: ni_usb console messaging cleanup
    - staging: gpib: Fix Oops after disconnect in ni_usb
    - staging: gpib: agilent usb console messaging cleanup
    - staging: gpib: Fix Oops after disconnect in agilent usb
    - tty: serial: fsl_lpuart: Use u32 and u8 for register variables
    - tty: serial: fsl_lpuart: use port struct directly to simply code
    - tty: serial: fsl_lpuart: Fix unused variable 'sport' build warning
    - tty: serial: lpuart: only disable CTS instead of overwriting the whole
      UARTMODIR register
    - usbnet:fix NPE during rx_complete
    - rust: Fix enabling Rust and building with GCC for LoongArch
    - LoongArch: Increase ARCH_DMA_MINALIGN up to 16
    - LoongArch: Increase MAX_IO_PICS up to 8
    - LoongArch: BPF: Fix off-by-one error in build_prologue()
    - LoongArch: BPF: Don't override subprog's return value
    - LoongArch: BPF: Use move_addr() for BPF_PSEUDO_FUNC
    - x86/hyperv: Fix check of return value from snp_set_vmsa()
    - KVM: x86: block KVM_CAP_SYNC_REGS if guest state is protected
    - x86/microcode/AMD: Fix __apply_microcode_amd()'s return value
    - x86/mce: use is_copy_from_user() to determine copy-from-user context
    - x86/paravirt: Move halt paravirt calls under CONFIG_PARAVIRT
    - x86/tdx: Fix arch_safe_halt() execution for TDX VMs
    - ACPI: x86: Extend Lenovo Yoga Tab 3 quirk with skip GPIO event-handlers
    - platform/x86: thinkpad_acpi: disable ACPI fan access for T495* and E560
    - platform/x86: ISST: Correct command storage data length
    - ntb_perf: Delete duplicate dmaengine_unmap_put() call in perf_copy_chunk()
    - perf/x86/intel: Apply static call for drain_pebs
    - perf/x86/intel: Avoid disable PMU if !cpuc->enabled in sample read
    - uprobes/x86: Harden uretprobe syscall trampoline check
    - bcachefs: bch2_ioctl_subvolume_destroy() fixes
    - x86/Kconfig: Add cmpxchg8b support back to Geode CPUs
    - x86/tsc: Always save/restore TSC sched_clock() on suspend/resume
    - x86/mm: Fix flush_tlb_range() when used for zapping normal PMDs
    - ACPI: platform-profile: Fix CFI violation when accessing sysfs files
    - wifi: mt76: mt7925: remove unused acpi function for clc
    - acpi: nfit: fix narrowing conversion in acpi_nfit_ctl
    - ACPI: resource: Skip IRQ override on ASUS Vivobook 14 X1404VAP
    - ACPI: video: Handle fetching EDID as ACPI_TYPE_PACKAGE
    - ARM: 9443/1: Require linker to support KEEP within OVERLAY for DCE
    - [Config] updateconfigs for LD_CAN_USE_KEEP_IN_OVERLAY
    - ARM: 9444/1: add KEEP() keyword to ARM_VECTORS
    - media: omap3isp: Handle ARM dma_iommu_mapping
    - Remove unnecessary firmware version check for gc v9_4_2
    - mmc: omap: Fix memory leak in mmc_omap_new_slot
    - mmc: sdhci-pxav3: set NEED_RSP_BUSY capability
    - mmc: sdhci-omap: Disable MMC_CAP_AGGRESSIVE_PM for eMMC/SD
    - KVM: SVM: Don't change target vCPU state on AP Creation VMGEXIT error
    - ksmbd: add bounds check for durable handle context
    - ksmbd: add bounds check for create lease context
    - ksmbd: fix use-after-free in ksmbd_sessions_deregister()
    - ksmbd: fix session use-after-free in multichannel connection
    - ksmbd: fix overflow in dacloffset bounds check
    - ksmbd: validate zero num_subauth before sub_auth is accessed
    - ksmbd: fix null pointer dereference in alloc_preauth_hash()
    - exfat: fix random stack corruption after get_block
    - exfat: fix potential wrong error return from get_block
    - tracing: Fix use-after-free in print_graph_function_flags during tracer
      switching
    - tracing: Ensure module defining synth event cannot be unloaded while tracing
    - tracing: Fix synth event printk format for str fields
    - tracing/osnoise: Fix possible recursive locking for cpus_read_lock()
    - tracing: Verify event formats that have "%*p.."
    - mm/gup: reject FOLL_SPLIT_PMD with hugetlb VMAs
    - arm64: Don't call NULL in do_compat_alignment_fixup()
    - wifi: mt76: mt7921: fix kernel panic due to null pointer dereference
    - ext4: don't over-report free space or inodes in statvfs
    - ext4: fix OOB read when checking dotdot dir
    - PCI/bwctrl: Fix NULL pointer dereference on bus number exhaustion
    - jfs: fix slab-out-of-bounds read in ea_get()
    - jfs: add index corruption check to DT_GETPAGE()
    - mm: zswap: fix crypto_free_acomp() deadlock in zswap_cpu_comp_dead()
    - exec: fix the racy usage of fs_struct->in_exec
    - media: vimc: skip .s_stream() for stopped entities
    - media: streamzap: fix race between device disconnection and urb callback
    - nfsd: don't ignore the return code of svc_proc_register()
    - nfsd: allow SC_STATUS_FREEABLE when searching via nfs4_lookup_stateid()
    - nfsd: put dl_stid if fail to queue dl_recall
    - NFSD: Add a Kconfig setting to enable delegated timestamps
    - [Config] disable new feature NFSD_V4_DELEG_TIMESTAMPS
    - nfsd: fix management of listener transports
    - NFSD: nfsd_unlink() clobbers non-zero status returned from
      fh_fill_pre_attrs()
    - NFSD: Never return NFS4ERR_FILE_OPEN when removing a directory
    - NFSD: Skip sending CB_RECALL_ANY when the backchannel isn't up
    - perf pmu: Rename name matching for no suffix or wildcard variants
    - include/{topology,cpuset}: Move dl_rebuild_rd_accounting to cpuset.h
    - tracing: Do not use PERF enums when perf is not defined
    - ASoC: mediatek: mt6359: Fix DT parse error due to wrong child node name
    - Linux 6.14.2
  * Plucky update: v6.14.1 upstream stable release (LP: #2106661)
    - ALSA: usb-audio: Add quirk for Plantronics headsets to fix control names
    - HID: hid-plantronics: Add mic mute mapping and generalize quirks
    - atm: Fix NULL pointer dereference
    - cgroup/rstat: Fix forceidle time in cpu.stat
    - netfilter: socket: Lookup orig tuple for IPv6 SNAT
    - ALSA: hda/realtek: Support mute LED on HP Laptop 15s-du3xxx
    - ALSA: hda/realtek: Bass speaker fixup for ASUS UM5606KA
    - counter: stm32-lptimer-cnt: fix error handling when enabling
    - counter: microchip-tcb-capture: Fix undefined counter channel state on probe
    - tty: serial: 8250: Add some more device IDs
    - tty: serial: 8250: Add Brainboxes XC devices
    - tty: serial: fsl_lpuart: disable transmitter before changing RS485 related
      registers
    - net: usb: qmi_wwan: add Telit Cinterion FN990B composition
    - net: usb: qmi_wwan: add Telit Cinterion FE990B composition
    - net: usb: usbnet: restore usb%d name exception for local mac addresses
    - usb: xhci: Don't skip on Stopped - Length Invalid
    - usb: xhci: Apply the link chain quirk on NEC isoc endpoints
    - memstick: rtsx_usb_ms: Fix slab-use-after-free in rtsx_usb_ms_drv_remove
    - perf tools: Fix up some comments and code to properly use the event_source
      bus
    - serial: stm32: do not deassert RS485 RTS GPIO prematurely
    - serial: 8250_dma: terminate correct DMA in tx_dma_flush()
    - Linux 6.14.1
  * Null pointer dereference in gVNIC driver (LP: #2106281)
    - gve: unlink old napi only if page pool exists
  * Miscellaneous upstream changes
    - Revert "net: stmmac: dwmac-socfpga: Set RX watchdog interrupt as broken"
    - Revert "drm: fsl-dcu: enable PIXCLK on LS1021A"
    - Revert "m68k: mvme147: Reinstate early console"
    - Revert "MAINTAINERS: appoint myself the XFS maintainer for 6.12 LTS"

  [ Ubuntu: 6.14.0-15.15 ]

  * plucky/linux: 6.14.0-15.15 -proposed tracker (LP: #2106239)
  * Enabling GENDWARFKSYMS breaks loading modules (LP: #2103771)
    - [Packaging] Bump pahole build-dep
  * BMG: support additional PCI ID (LP: #2105768)
    - SAUCE: drm/xe/bmg: Add one additional PCI ID
  * Missing bpftool binary on riscv64 (LP: #2106091)
    - [Packaging] Build bpftool and linux-perf on riscv64
    - [Packaging] Allow binary-debs target without enabling
      do_flavour_image_package
    - [Packaging] Fix bpftool, linux-perf packaging in binary-perarch

  [ Ubuntu: 6.14.0-14.14 ]

  * plucky/linux: 6.14.0-14.14 -proposed tracker (LP: #2106234)
  * Expose IFLA_VXLAN_FAN_MAP version via sysctl/proc (LP: #2106115)
    - SAUCE: fan: expose IFLA_VXLAN_FAN_MAP version via sysctl/proc
  * not able to install a Power9 bare metal with Ubuntu 25.04 Plucky
    (LP: #2104297)
    - SAUCE: powerpc64/ftrace: fix module loading without patchable function
      entries
  * bluetooth/detect-output failed due to the lack of USB device id in btusb.c
    (LP: #2094969)
    - SAUCE: Bluetooth: btusb: Add new VID/PID 0489/e14e for MT7925
  * Don't suggests fdutils package anymore (LP: #2104355)
    - [Packaging] Drop fdutils from linux-image Suggests
  * Miscellaneous Ubuntu changes
    - [Packaging] Add bpftool, linux-perf to linux-image Suggests

 -- Benjamin Wheeler <benjamin.wheeler@canonical.com>  Fri, 26 Sep 2025 11:33:46 -0400

linux-realtime (6.17.0-1000.0) questing; urgency=medium

  * Initial changelog entry.

 -- Benjamin Wheeler <benjamin.wheeler@canonical.com>  Thu, 18 Sep 2025 13:08:35 -0400

linux-realtime (6.14.0-1002.2) plucky; urgency=medium

  * plucky/linux-realtime: 6.14.0-1002.2 -proposed tracker (LP: #2104046)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] debian.realtime/dkms-versions -- update from kernel-versions
      (main/d2025.03.24)

  [ Ubuntu: 6.14.0-13.13 ]

  * plucky/linux: 6.14.0-13.13 -proposed tracker (LP: #2104293)
  * Miscellaneous Ubuntu changes
    - [Packaging] Fix invoking of control-create

  [ Ubuntu: 6.14.0-12.12 ]

  * plucky/linux: 6.14.0-12.12 -proposed tracker (LP: #2104021)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.03.24)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.03.24)
  * Disconnected paths for mqueues show a TODO in the kernel logs (LP: #2102237)
    - SAUCE: apparmor4.0.0 [58/53]: apparmor: add mediation of disconnected paths
      in mqueues
  * Installation of AppArmor on a 6.14 kernel produces error message "Illegal
    number: yes" (LP: #2102680)
    - SAUCE: apparmor4.0.0 [56/53]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor4.0.0 [57/53]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT for
      userns and io_uring sysctls
  * QRT AppArmorUnixDomainConnect test failures on Plucky 6.14 kernel
    (LP: #2103460)
    - SAUCE: apparmor4.0.0 [54/53]: AppArmor: Fix af_unix backwards compat
    - SAUCE: apparmor4.0.0 [55/53]: apparmor: Fix inet mediation
  * Mouse cursor flashes using the 'xe' DRM driver (LP: #2103981)
    - drm/xe/display: Re-use display vmas when possible
  *  Snapdragon X Elite: Sync concept kernel changes  (LP: #2100858)
    - SAUCE: drm/msm/dp: Fix support of LTTPR handling
    - SAUCE: drm/msm/dp: Introduce link training per-segment for LTTPRs
    - SAUCE: wifi: ath12k: fix ring-buffer corruption
    - SAUCE: wifi: ath11k: fix ring-buffer corruption
    - SAUCE: arm64: dts: qcom: x1e80100-hp-omnibook-x14: Enable SMB2360 0 and 1
    - SAUCE: Revert "usb: typec: ps883x: fix missing accessibility check"
  * drm/xe: improve behavior under memory pressure (LP: #2102659)
    - drm/xe: Reject BO eviction if BO is bound to current VM
  * Introduce configfs-based interface for gpio-aggregator (LP: #2103496)
    - gpio: introduce utilities for synchronous fake device creation
    - gpio: sim: convert to use dev-sync-probe utilities
    - gpio: virtuser: convert to use dev-sync-probe utilities
    - [Config] updateconfigs for DEV_SYNC_PROBE
    - SAUCE: gpio: aggregator: reorder functions to prepare for configfs
      introduction
    - SAUCE: gpio: aggregator: add aggr_alloc()/aggr_free()
    - SAUCE: gpio: aggregator: introduce basic configfs interface
    - SAUCE: gpio: aggregator: rename 'name' to 'key' in aggr_parse()
    - SAUCE: gpio: aggregator: expose aggregator created via legacy sysfs to
      configfs
    - SAUCE: gpio: aggregator: cancel deferred probe for devices created via
      configfs
    - SAUCE: Documentation: gpio: document configfs interface for gpio-aggregator
    - SAUCE: selftests: gpio: add test cases for gpio-aggregator
  * python perf module missing in plucky's kernel (LP: #2103653)
    - [Packaging] linux-perf: Fix python perf library location
  * Miscellaneous Ubuntu changes
    - [packaging] mv debian.master/copyright debian
    - [Config] Disable CONFIG_MODULE_COMPRESS_ALL
    - Revert "SAUCE: Support but do not require compressed modules"
  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Config] Revert back to GENKSYMS on amd64/arm64 too, drop
      rust support"

  [ Ubuntu: 6.14.0-11.11 ]

  * plucky/linux: 6.14.0-11.11 -proposed tracker (LP: #2103404)
  *  Snapdragon X Elite: Sync concept kernel changes  (LP: #2100858)
    - firmware: qcom: uefisecapp: fix efivars registration race
    - soc: qcom: pdr: Fix the potential deadlock
    - clk: qcom: gcc-x1e80100: Unregister GCC_GPU_CFG_AHB_CLK/GCC_DISP_XO_CLK
    - arm64: dts: qcom: x1e80100: Set CPU interconnect paths as ACTIVE_ONLY
    - dt-bindings: usb: Add Parade PS8830 Type-C retimer bindings
    - usb: typec: Add support for Parade PS8830 Type-C Retimer
    - usb: typec: ps883x: fix probe error handling
    - usb: typec: ps883x: fix registration race
    - usb: typec: ps883x: fix missing accessibility check
    - usb: typec: ps883x: fix configuration error handling
    - drm/dp: Add helper to set LTTPRs in transparent mode
    - drm/msm/dp: Add support for LTTPR handling
    - arm64: dts: qcom: x1e80100: Add the watchdog device
    - arm64: dts: qcom: x1e80100: Mark usb_2 as dma-coherent
    - arm64: dts: qcom: x1e80100: Wire up PCIe PHY NOCSR resets
    - arm64: dts: qcom: Commonize X1 CRD DTSI
    - arm64: dts: qcom: Add X1P42100 SoC and CRD
    - arm64: dts: qcom: x1e80100: Fix video thermal zone
    - arm64: dts: qcom: x1e80100: Apply consistent critical thermal shutdown
    - arm64: dts: qcom: x1e80100: Add GPU cooling
    - arm64: dts: qcom: x1e80100: Drop unused passive thermal trip points for CPU
    - arm64: dts: qcom: x1e80100-dell-xps13-9345: Enable external DP support
    - arm64: dts: qcom: x1e001de-devkit: Enable HBR3 on external DPs
    - arm64: dts: qcom: x1e80100-hp-x14: Enable HBR3 on external DPs
    - arm64: dts: qcom: x1e80100-qcp: Enable HBR3 on external DPs
    - drm/edp-panel: Add panel used by T14s Gen6 Snapdragon
    - arm64: dts: qcom: x1e80100-slim7x: Drop incorrect qcom,ath12k-calibration-
      variant
    - SAUCE: arm64: dts: qcom: x1e80100-crd: mark l12b and l15b always-on
    - SAUCE: arm64: dts: qcom: x1e78100-t14s: mark l12b and l15b always-on
    - SAUCE: arm64: dts: qcom: x1e001de-devkit: mark l12b and l15b always-on
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: mark l12b and l15b
      always-on
    - SAUCE: arm64: dts: qcom: x1e80100-hp-x14: mark l12b and l15b always-on
    - SAUCE: arm64: dts: qcom: x1e80100-yoga-slim7x: mark l12b and l15b always-on
    - SAUCE: arm64: dts: qcom: x1e80100-qcp: mark l12b and l15b always-on
    - SAUCE: arm64: dts: qcom: x1e78100-t14s: fix missing HID supplies
    - SAUCE: arm64: dts: qcom: x1e80100: Add cpucp mailbox and sram nodes
    - SAUCE: arm64: dts: qcom: x1e80100: Enable cpufreq
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Describe the Parade PS8830 retimers
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Enable external DisplayPort support
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Enable HBR3 on external DPs
    - SAUCE: arm64: dts: qcom: x1e78100-t14s: enable bluetooth
    - SAUCE: Add Bluetooth support for the Lenovo Yoga Slim 7x
    - SAUCE: dt-bindings: platform: Add bindings for Lenovo Yoga Slim 7x EC
    - SAUCE: platform: arm64: Add driver for Lenovo Yoga Slim 7x's EC
    - SAUCE: arm64: dts: qcom: Add EC to Lenovo Yoga Slim 7x
    - SAUCE: arm64: dts: qcom: x1e80100-vivobook-s15: Add bluetooth
    - SAUCE: arm64: dts: qcom: x1e80100-vivobook-s15: Enable USB-A ports
    - SAUCE: arm64: dts: qcom: x1e80100-vivobook-s15: Enable micro-sd card reader
    - SAUCE: arm64: dts: qcom: x1p64100-acer-swift-sf14-11 dt for Acer Swift 14
      SF14-11 (touchpad fix)
    - SAUCE: dt-bindings: arm: qcom: Add Acer Swift 14 AI
    - SAUCE: arm64: dts: qcom: x1e80100-acer-swift-sf14-11: Enable HBR3 on
      external DPs
    - SAUCE: firmware: qcom: scm: Allow QSEECOM on Acer Swift 14 models
    - SAUCE: arm64: dts: qcom: x1e001de-devkit: Set ps8830 reset-gpios active low
    - SAUCE: Change: cracking sound fix
    - SAUCE: rtc: pm8xxx: add support for uefi offset
    - SAUCE: rtc: pm8xxx: mitigate flash wear
    - SAUCE: arm64: dts: qcom: sc8280xp-x13s: switch to uefi rtc offset
    - SAUCE: dt-bindings: rtc: qcom-pm8xxx: document qcom,no-alarm flag
    - SAUCE: rtc: pm8xxx: implement qcom,no-alarm flag for non-HLOS owned alarm
    - SAUCE: arm64: dts: qcom: x1e80100: enable rtc
    - SAUCE: arm64: dts: qcom: x1e80100-microsoft-romulus: Enable external DP
      support
    - SAUCE: arm64: dts: qcom: x1e80100-asus-vivobook: Introduce retimers,
      external DP
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps-9345: Add WiFi/BT pwrseq
    - SAUCE: arm64: dts: qcom: x1e78100-t14s: Add display brightness control
      support
    - SAUCE: hack: efi/libstub: mitigate t14s exit_boot_services() failure
    - [Config] Enable X Elite modules on arm64
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v6.14-rc7 rebase

 -- Kevin Becker <kevin.becker@canonical.com>  Thu, 27 Mar 2025 11:48:21 -0400

linux-realtime (6.14.0-1001.1) plucky; urgency=medium

  * plucky/linux-realtime: 6.14.0-1001.1 -proposed tracker (LP: #2102013)

  * Packaging resync (LP: #1786013)
    - [Packaging] realtime: bump to 6.14 and plucky
    - [Packaging] update update.conf
    - [packaging] split flavour-control.stub
    - [Packaging] realtime: Sync with master
    - [Packaging] debian.realtime/dkms-versions -- update from kernel-versions
      (main/d2025.03.10)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update variants

  * Plucky real-time patchset: 6.14-rc1-rt1 (LP: #2101151)
    - Reapply "serial: 8250: Switch to nbcon console"
    - Reapply "serial: 8250: Revert "drop lockdep annotation from
      serial8250_clear_IER()""
    - preempt: Add a generic function to return the preemption string.
    - module: Begin to move from RCU-sched to RCU.
    - module: Use proper RCU assignment in add_kallsyms().
    - module: Use RCU in find_kallsyms_symbol().
    - module: Use RCU in module_get_kallsym().
    - module: Use RCU in find_module_all().
    - module: Use RCU in __find_kallsyms_symbol_value().
    - module: Use RCU in module_kallsyms_on_each_symbol().
    - module: Remove module_assert_mutex_or_preempt() from
      try_add_tainted_module().
    - module: Use RCU in find_symbol().
    - module: Use RCU in __is_module_percpu_address().
    - module: Allow __module_address() to be called from RCU section.
    - module: Use RCU in search_module_extables().
    - module: Use RCU in all users of __module_address().
    - module: Use RCU in all users of __module_text_address().
    - arm64: module: Use RCU in all users of __module_text_address().
    - cfi: Use RCU while invoking __module_address().
    - x86: Use RCU in all users of __module_address().
    - jump_label: Use RCU in all users of __module_address().
    - jump_label: Use RCU in all users of __module_text_address().
    - bpf: Use RCU in all users of __module_text_address().
    - kprobes: Use RCU in all users of __module_text_address().
    - static_call: Use RCU in all users of __module_text_address().
    - bug: Use RCU instead RCU-sched to protect module_bug_list.
    - drm/i915: Use preempt_disable/enable_rt() where recommended
    - drm/i915: Don't disable interrupts on PREEMPT_RT during atomic updates
    - drm/i915: Don't check for atomic context on PREEMPT_RT
    - drm/i915: Disable tracing points on PREEMPT_RT
    - drm/i915/gt: Use spin_lock_irq() instead of local_irq_disable() +
      spin_lock()
    - drm/i915: Drop the irqs_disabled() check
    - drm/i915/guc: Consider also RCU depth in busy loop.
    - Revert "drm/i915: Depend on !PREEMPT_RT."
    - sysfs: Add /sys/kernel/realtime entry

  * Remove backport packaging logic for non-backport kernels (LP: #2080970)
    - [Packaging] realtime: Remove backport packaging files

  * Miscellaneous upstream changes
    - Realtime patchset v6.14-rt1

  [ Ubuntu: 6.14.0-10.10 ]

  * plucky/linux: 6.14.0-10.10 -proposed tracker (LP: #2102106)
  * Miscellaneous Ubuntu changes
    - [Config] Revert back to GENKSYMS on amd64/arm64 too, drop rust support

  [ Ubuntu: 6.14.0-9.9 ]

  * plucky/linux: 6.14.0-9.9 -proposed tracker (LP: #2101943)
  * Miscellaneous Ubuntu changes
    - [Config] Revert back to GENKSYMS on non-rust-enabled archs

  [ Ubuntu: 6.14.0-8.8 ]

  * plucky/linux: 6.14.0-8.8 -proposed tracker (LP: #2101833)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.02.26)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.03.10)
  * wdat_wdt.ko should be pulled in by linux-image-virtual (LP: #2098554)
    - [Packaging]: wdat_wdt.ko is moved from "linux-modules-extra-*-generic" to
      "linux-modules-*-generic"
  * Add additional PCI ids for BMG support (LP: #2098969)
    - drm/xe/bmg: Add new PCI IDs
  * Provide linux-perf package (LP: #1613393)
    - [Packaging] Split linux-perf from linux-tools-common
  * linux-tools-common: bpftool wrapper causes build failure for xdp-tools
    (LP: #2007308)
    - [Packaging] bpftool: move to separate unversioned and unflavored binary
      package
  * Miscellaneous Ubuntu changes
    - [Packaging] templates/image.postrm.in: Add modules.weakdep to the remove-
      list
    - [Config] Re-enable rust support, switch from genksyms to gendwarfksyms
    - [packaging] check-in copyright directly in debian/
    - [Packaging] remove intermediate $(DEBIAN)/control.stub
    - [Config] updateconfigs following v6.14-rc6 rebase

  [ Ubuntu: 6.14.0-7.7 ]

  * plucky/linux: 6.14.0-7.7 -proposed tracker (LP: #2100581)
  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Packaging] Sync riscv64.mk with linux-riscv tree"

  [ Ubuntu: 6.14.0-6.6 ]

  * plucky/linux: 6.14.0-6.6 -proposed tracker (LP: #2100481)
  * Miscellaneous Ubuntu changes
    - [Packaging] riscv64.mk: fix a typo
    - [Packaging] enable signing for s390x
    - [Packaging] riscv64.mk: disable building as part of linux-generic

  [ Ubuntu: 6.14.0-5.5 ]

  * plucky/linux: 6.14.0-5.5 -proposed tracker (LP: #2100254)
  * Miscellaneous Ubuntu changes
    - [Packaging] Sync riscv64.mk with linux-riscv tree
    - [Packaging] clean up the distclean rule
    - [Config] updateconfigs following v6.14-rc4 rebase

  [ Ubuntu: 6.14.0-4.4 ]

  * plucky/linux: 6.14.0-4.4 -proposed tracker (LP: #2098875)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.02.11)
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor4.0.0 [1/53]: Stacking: Audit: Create audit_stamp structure
    - SAUCE: apparmor4.0.0 [2/53]: Stacking: Audit: Allow multiple records in an
      audit_buffer
    - SAUCE: apparmor4.0.0 [3/53]: Stacking: LSM: security_lsmblob_to_secctx
      module selection
    - SAUCE: apparmor4.0.0 [4/53]: Stacking: Audit: Add record for multiple task
      security contexts
    - SAUCE: apparmor4.0.0 [5/53]: Stacking: Audit: multiple subject lsm values
      for netlabel
    - SAUCE: apparmor4.0.0 [6/53]: Stacking: Audit: Add record for multiple object
      contexts
    - SAUCE: apparmor4.0.0 [7/53]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor4.0.0 [8/53]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor4.0.0 [9/53]: Stacking: Audit: Call only the first of the
      audit rule hooks
    - SAUCE: apparmor4.0.0 [10/53]: Stacking: AppArmor: Remove the exclusive flag
    - SAUCE: apparmor4.0.0 [11/53]: 6.15 apparmor-next: apparmor: Use str_yes_no()
      helper function
    - SAUCE: apparmor4.0.0 [12/53]: 6.15 apparmor-next: apparmor: Improve debug
      print infrastructure
    - SAUCE: apparmor4.0.0 [13/53]: 6.15 apparmor-next: apparmor: cleanup:
      attachment perm lookup to use lookup_perms()
    - SAUCE: apparmor4.0.0 [14/53]: 6.15 apparmor-next: apparmor: remove redundant
      unconfined check.
    - SAUCE: apparmor4.0.0 [15/53]: 6.15 apparmor-next: apparmor: switch signal
      mediation to use RULE_MEDIATES
    - SAUCE: apparmor4.0.0 [16/53]: 6.15 apparmor-next: apparmor: ensure labels
      with more than one entry have correct flags
    - SAUCE: apparmor4.0.0 [17/53]: 6.15 apparmor-next: apparmor: remove explicit
      restriction that unconfined cannot use change_hat
    - SAUCE: apparmor4.0.0 [18/53]: 6.15 apparmor-next: apparmor: cleanup:
      refactor file_perm() to doc semantics of some checks
    - SAUCE: apparmor4.0.0 [19/53]: 6.15 apparmor-next: apparmor: carry mediation
      check on label
    - SAUCE: apparmor4.0.0 [20/53]: 6.15 apparmor-next: apparmor: add additional
      flags to extended permission.
    - SAUCE: apparmor4.0.0 [21/53]: 6.15 apparmor-next: apparmor: add support for
      profiles to define the kill signal
    - SAUCE: apparmor4.0.0 [22/53]: 6.15 apparmor-next: apparmor: fix
      x_table_lookup when stacking is not the first entry
    - SAUCE: apparmor4.0.0 [23/53]: 6.15 apparmor-next: apparmor: add ability to
      mediate caps with policy state machine
    - SAUCE: apparmor4.0.0 [24/53]: 6.15 apparmor-next: apparmor: remove af_select
      macro
    - SAUCE: apparmor4.0.0 [25/53]: 6.15 apparmor-next: apparmor: lift kernel
      socket check out of critical section
    - SAUCE: apparmor4.0.0 [26/53]: 6.15 apparmor-next: apparmor: in preparation
      for finer networking rules rework match_prot
    - SAUCE: apparmor4.0.0 [27/53]: 6.15 apparmor-next: apparmor: add fine grained
      af_unix mediation
    - SAUCE: apparmor4.0.0 [28/53]: 6.15 apparmor-next: apparmor: gate make fine
      grained unix mediation behind v9 abi
    - SAUCE: apparmor4.0.0 [29/53]: 6.15 apparmor-next: apparmor: fix dbus
      permission queries to v9 ABI
    - SAUCE: apparmor4.0.0 [30/53]: 6.15 apparmor-next: apparmor: Fix checking
      address of an array in accum_label_info()
    - SAUCE: apparmor4.0.0 [31/53]: 6.15 apparmor-next: apparmor: Modify
      mismatched function name
    - SAUCE: apparmor4.0.0 [32/53]: 6.15 apparmor-next: apparmor: Modify
      mismatched function name
    - SAUCE: apparmor4.0.0 [33/53]: 6.15 apparmor-next: apparmor: fix typos and
      spelling errors
    - SAUCE: apparmor4.0.0 [34/53]: 6.15 apparmor-next: apparmor: use the
      condition in AA_BUG_FMT even with debug disabled
    - SAUCE: apparmor4.0.0 [35/53]: 6.15 apparmor-next: apparmor: Remove unused
      variable 'sock' in __file_sock_perm()
    - SAUCE: apparmor4.0.0 [36/53]: Revert "6.15 apparmor-next: apparmor: fix dbus
      permission queries to v9 ABI"
    - SAUCE: apparmor4.0.0 [37/53]: Revert "6.15 apparmor-next: apparmor: gate
      make fine grained unix mediation behind v9 abi"
    - SAUCE: apparmor4.0.0 [38/53]: patch to provide compatibility with v2.x net
      rules
    - SAUCE: apparmor4.0.0 [39/53]: apparmor: make debug_values_table static
    - SAUCE: apparmor4.0.0 [40/53]: apparmor: Document that label must be last
      member in struct aa_profile
    - SAUCE: apparmor4.0.0 [41/53]: apparmor: transition from a list of rules to a
      vector of rules
    - SAUCE: apparmor4.0.0 [42/53]: setup slab cache for audit data
    - SAUCE: apparmor4.0.0 [43/53]: add the ability for profiles to have a
      learning cache
    - SAUCE: apparmor4.0.0 [44/53]: add unprivileged user ns mediation
    - SAUCE: apparmor4.0.0 [45/53]: Add sysctls for additional controls of unpriv
      userns restrictions
    - SAUCE: apparmor4.0.0 [47/53]: apparmor: open userns related sysctl so lxc
      can check if restriction are in place
    - SAUCE: apparmor4.0.0 [48/53]: apparmor: allow profile to be transitioned
      when a userns is created
    - SAUCE: apparmor4.0.0 [49/53]: Add fine grained mediation of posix mqueues
    - SAUCE: apparmor4.0.0 [51/53]: apparmor: add fine grained ipv4/ipv6 mediation
    - SAUCE: apparmor4.0.0 [52/53]: add io_uring mediation
    - SAUCE: apparmor4.0.0 [53/53]: enable userspace upcall for mediation
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in mantic
    (LP: #2032602)
    - SAUCE: apparmor4.0.0 [46/53]: userns - make it so special unconfined
      profiles can mediate user namespaces
  * Miscellaneous Ubuntu changes
    - [Packaging] disable signing for ppc64el
    - [Packaging] disable signing for s390x
    - [packaging] rename to linux
    - [Config] update RUSTC version
    - [packaging] remove $(wildcard $(DEBIAN)/control.d/*) dependency
    - [packaging] avoid piping control-create for error detection
    - [packaging] split flavour-control.stub
    - [packaging] generate debian/control with correct signed/unsigned
    - [packaging] remove DESC and =HUMAN= substitution
    - [Packaging] remove unnecessary dependency on control.stub
    - [Packaging] add .gitignore and clean more files
    - SAUCE: apparmor4.0.0 [50/53]: apparmor: audit mqueue-via-path access as
      getattr instead of unlink
    - [Packaging] debian.master/dkms-versions -- remove ipu6-drivers,
      ipu7-drivers, backport-iwlwifi-dkms and mofed-modules-24.10 FTBFS

  [ Ubuntu: 6.14.0-3.3 ]

  * plucky/linux-unstable: 6.14.0-3.3 -proposed tracker (LP: #2098836)
  * RISC-V kernel config is out of sync with other archs (LP: #1981437)
    - [Config] riscv64: Sync config with other architectures
  * Miscellaneous Ubuntu changes
    - SAUCE: platform/x86: int3472: fixup s/polarity/gpio_flags/
    - [Config] riscv64: Disable CONFIG_ARCH_RENESAS
    - [Config] riscv64: Disable Andes vendor extensions
    - [Config] riscv64: Set CONFIG_MMC_SPI=m like other architectures
    - [Config] riscv64: Enable Svpbmt support
    - [Config] riscv64: Disable kernel compression
    - [packaging] enable ppc64el signing
    - [Config] updateconfigs

  [ Ubuntu: 6.14.0-2.2 ]

  * plucky/linux-unstable: 6.14.0-2.2 -proposed tracker (LP: #2097828)
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v6.14-rc2 rebase
  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Packaging] Build all packages for linux-unstable"

  [ Ubuntu: 6.14.0-1.1 ]

  * [25.04 FEAT] In-kernel crypto support MSA 11 HMAC (LP: #2096812)
    - [Config] Change CONFIG_CRYPTO_HMAC_S390 to m for s390x
  * Miscellaneous Ubuntu changes
    - Update dropped.txt (MODVERSION patches for Rust)
    - [Config] updateconfigs following v6.14-rc1 rebase
    - SAUCE: binder: turn into module - list_lru_add()/list_lru_del()
    - SAUCE: binder: turn into module - lock_vma_under_rcu()
    - [Config] temporarily disable DRM_HISI_HIBMC, FTBFS
    - dkms: remove zfs, FTBFS
    - [Config] armhf: disable TEGRA210_ADMA, FTBFS

 -- Kevin Becker <kevin.becker@canonical.com>  Fri, 14 Mar 2025 10:03:56 -0400

linux-realtime (6.14.0-1000.0) plucky; urgency=medium

  * Empty entry

 -- Kevin Becker <kevin.becker@canonical.com>  Thu, 06 Mar 2025 11:37:08 -0500

linux-realtime (6.11.0-1001.1) oracular; urgency=medium

  * oracular/linux-realtime: 6.11.0-1001.1 -proposed tracker (LP: #2081851)

  * Packaging resync (LP: #1786013)
    - [Packaging] realtime: Disable RUST for real-time
    - [Packaging] debian.realtime/dkms-versions -- update from kernel-versions
      (main/d2024.09.16)

  * Oracular real-time patch set: v6.11-rt7 (LP: #2081779)
    - crypto: x86/aes-gcm - fix PREEMPT_RT issue in gcm_crypt()
    - printk: Add notation to console_srcu locking
    - printk: nbcon: Consolidate alloc() and init()
    - printk: Properly deal with nbcon consoles on seq init
    - printk: Check printk_deferred_enter()/_exit() usage
    - printk: nbcon: Clarify rules of the owner/waiter matching
    - printk: nbcon: Remove return value for write_atomic()
    - printk: nbcon: Add detailed doc for write_atomic()
    - printk: nbcon: Add callbacks to synchronize with driver
    - printk: nbcon: Use driver synchronization while (un)registering
    - serial: core: Provide low-level functions to lock port
    - serial: core: Introduce wrapper to set @uart_port->cons
    - console: Improve console_srcu_read_flags() comments
    - nbcon: Add API to acquire context for non-printing operations
    - serial: core: Acquire nbcon context in port->lock wrapper
    - printk: nbcon: Do not rely on proxy headers
    - printk: Make console_is_usable() available to nbcon.c
    - printk: Let console_is_usable() handle nbcon
    - printk: Add @flags argument for console_is_usable()
    - printk: nbcon: Add helper to assign priority based on CPU state
    - printk: nbcon: Provide function to flush using write_atomic()
    - printk: Track registered boot consoles
    - printk: nbcon: Use nbcon consoles in console_flush_all()
    - printk: Add is_printk_legacy_deferred()
    - printk: nbcon: Flush new records on device_release()
    - printk: Flush nbcon consoles first on panic
    - printk: nbcon: Add unsafe flushing on panic
    - printk: Avoid console_lock dance if no legacy or boot consoles
    - printk: Track nbcon consoles
    - printk: Coordinate direct printing in panic
    - printk: Add helper for flush type logic
    - printk: nbcon: Implement emergency sections
    - panic: Mark emergency section in warn
    - panic: Mark emergency section in oops
    - rcu: Mark emergency sections in rcu stalls
    - lockdep: Mark emergency sections in lockdep splats
    - printk: Use the BITS_PER_LONG macro
    - printk: nbcon: Use raw_cpu_ptr() instead of open coding
    - printk: nbcon: Add function for printers to reacquire ownership
    - printk: Fail pr_flush() if before SYSTEM_SCHEDULING
    - printk: Flush console on unregister_console()
    - printk: nbcon: Add context to usable() and emit()
    - printk: nbcon: Init @nbcon_seq to highest possible
    - printk: nbcon: Introduce printer kthreads
    - printk: nbcon: Relocate nbcon_atomic_emit_one()
    - printk: nbcon: Use thread callback if in task context for legacy
    - printk: nbcon: Rely on kthreads for normal operation
    - printk: Provide helper for message prepending
    - printk: nbcon: Show replay message on takeover
    - proc: consoles: Add notation to c_start/c_stop
    - proc: Add nbcon support for /proc/consoles
    - tty: sysfs: Add nbcon support for 'active'
    - printk: Implement legacy printer kthread for PREEMPT_RT
    - printk: nbcon: Assign nice -20 for printing threads
    - printk: Avoid false positive lockdep report for legacy printing
    - serial: 8250: Switch to nbcon console
    - serial: 8250: Revert "drop lockdep annotation from serial8250_clear_IER()"
    - x86: Allow to enable RT
    - x86: Enable RT also on 32bit
    - ARM64: Allow to enable RT
    - riscv: allow to enable RT
    - sched/rt: Don't try push tasks if there are none.
    - locking/rt: Add sparse annotation PREEMPT_RT's sleeping locks.
    - locking/rt: Remove one __cond_lock() in RT's spin_trylock_irqsave()
    - locking/rt: Add sparse annotation for RCU.
    - locking/rt: Annotate unlock followed by lock for sparse.
    - timers: Add sparse annotation for timer_sync_wait_running().
    - hrtimer: Annotate hrtimer_cpu_base_.*_expiry() for sparse.
    - softirq: Use a dedicated thread for timer wakeups.
    - rcutorture: Also force sched priority to timersd on boosting test.
    - tick: Fix timer storm since introduction of timersd
    - softirq: Wake ktimers thread also in softirq.
    - zram: Replace bit spinlocks with a spinlock_t.
    - zram: Remove ZRAM_LOCK
    - zram: Shrink zram_table_entry::flags.
    - sched/core: Provide a method to check if a task is PI-boosted.
    - softirq: Add function to preempt serving softirqs.
    - time: Allow to preempt after a callback.
    - netfilter: nft_counter: Use u64_stats_t for statistic.
    - drm/i915: Use preempt_disable/enable_rt() where recommended
    - drm/i915: Don't disable interrupts on PREEMPT_RT during atomic updates
    - drm/i915: Don't check for atomic context on PREEMPT_RT
    - drm/i915: Disable tracing points on PREEMPT_RT
    - drm/i915/gt: Use spin_lock_irq() instead of local_irq_disable() +
      spin_lock()
    - drm/i915: Drop the irqs_disabled() check
    - drm/i915/guc: Consider also RCU depth in busy loop.
    - Revert "drm/i915: Depend on !PREEMPT_RT."
    - sched: define TIF_ALLOW_RESCHED
    - arm: Disable jump-label on PREEMPT_RT.
    - ARM: enable irq in translation/section permission fault handlers
    - arm: Disable FAST_GUP on PREEMPT_RT if HIGHPTE is also enabled.
    - ARM: vfp: Provide vfp_lock() for VFP locking.
    - ARM: vfp: Use vfp_lock() in vfp_sync_hwstate().
    - ARM: vfp: Use vfp_lock() in vfp_support_entry().
    - ARM: vfp: Move sending signals outside of vfp_lock()ed section.
    - ARM: Allow to enable RT
    - powerpc: traps: Use PREEMPT_RT
    - powerpc/pseries/iommu: Use a locallock instead local_irq_save()
    - powerpc/pseries: Select the generic memory allocator.
    - powerpc/kvm: Disable in-kernel MPIC emulation for PREEMPT_RT
    - powerpc/stackprotector: work around stack-guard init from atomic
    - POWERPC: Allow to enable RT
    - riscv: add PREEMPT_AUTO support
    - sysfs: Add /sys/kernel/realtime entry

  * Miscellaneous Ubuntu changes
    - [Packaging] Initial configuration of linux-realtime

  * Miscellaneous upstream changes
    - Realtime patchset v6.11-rt7

 -- Kevin Becker <kevin.becker@canonical.com>  Wed, 25 Sep 2024 11:45:41 -0400

linux-realtime (6.11.0-1000.0) oracular; urgency=medium

  * Initial entry for oracular:linux-realtime.

 -- Kevin Becker <kevin.becker@canonical.com>  Mon, 23 Sep 2024 16:10:46 -0400

linux (6.11.0-8.8) oracular; urgency=medium

  * oracular/linux: 6.11.0-8.8 -proposed tracker (LP: #2080825)

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2024.08.12)

  * [SRU] Disable CONFIG_TCG_TPM2_HMAC to avoid performance loss after v6.10
    (LP: #2080322)
    - [Config] disable CONFIG_TCG_TPM2_HMAC by default

  * Integrated Sensor Hub (ISH) support for Intel Lunar Lake platform
    (LP: #2071698)
    - Documentation: hid: intel-ish-hid: Add vendor custom firmware loading
    - HID: intel-ish-hid: Use CPU generation string in driver_data
    - hid: intel-ish-hid: Add support for vendor customized firmware loading

  * Miscellaneous Ubuntu changes
    - [Packaging] Purge obsolete upstart files
    - [Packaging] tools/hv: don't build/install hv_fcopy_uio_daemon on arm64
    - [Config] Update toolchain versions
    - SAUCE: rust: Fix rustc source path for the new rustc packaging
    - [Packaging] Don't force bindgen version
    - [Config] Re-enable rust support for amd64

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 16 Sep 2024 15:04:18 +0300

linux (6.11.0-7.7) oracular; urgency=medium

  * oracular/linux: 6.11.0-7.7 -proposed tracker (LP: #2079949)

  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor4.0.0 [1/99]: LSM: Infrastructure management of the sock
      security
    - SAUCE: apparmor4.0.0 [2/99]: LSM: Add the lsmblob data structure.
    - SAUCE: apparmor4.0.0 [3/99]: LSM: Use lsmblob in security_audit_rule_match
    - SAUCE: apparmor4.0.0 [4/99]: LSM: Call only one hook for audit rules
    - SAUCE: apparmor4.0.0 [5/99]: LSM: Add lsmblob_to_secctx hook
    - SAUCE: apparmor4.0.0 [6/99]: Audit: maintain an lsmblob in audit_context
    - SAUCE: apparmor4.0.0 [7/99]: LSM: Use lsmblob in security_ipc_getsecid
    - SAUCE: apparmor4.0.0 [8/99]: Audit: Update shutdown LSM data
    - SAUCE: apparmor4.0.0 [9/99]: LSM: Use lsmblob in security_current_getsecid
    - SAUCE: apparmor4.0.0 [10/99]: LSM: Use lsmblob in security_inode_getsecid
    - SAUCE: apparmor4.0.0 [11/99]: Audit: use an lsmblob in audit_names
    - SAUCE: apparmor4.0.0 [12/99]: LSM: Create new security_cred_getlsmblob LSM
      hook
    - SAUCE: apparmor4.0.0 [13/99]: Audit: Change context data from secid to
      lsmblob
    - SAUCE: apparmor4.0.0 [14/99]: Netlabel: Use lsmblob for audit data
    - SAUCE: apparmor4.0.0 [15/99]: LSM: Ensure the correct LSM context releaser
    - SAUCE: apparmor4.0.0 [16/99]: LSM: Use lsmcontext in
      security_secid_to_secctx
    - SAUCE: apparmor4.0.0 [17/99]: LSM: Use lsmcontext in
      security_lsmblob_to_secctx
    - SAUCE: apparmor4.0.0 [18/99]: LSM: Use lsmcontext in
      security_inode_getsecctx
    - SAUCE: apparmor4.0.0 [19/99]: LSM: lsmcontext in
      security_dentry_init_security
    - SAUCE: apparmor4.0.0 [20/99]: LSM: security_lsmblob_to_secctx module
      selection
    - SAUCE: apparmor4.0.0 [21/99]: Audit: Create audit_stamp structure
    - SAUCE: apparmor4.0.0 [22/99]: Audit: Allow multiple records in an
      audit_buffer
    - SAUCE: apparmor4.0.0 [23/99]: Audit: Add record for multiple task security
      contexts
    - SAUCE: apparmor4.0.0 [24/99]: audit: multiple subject lsm values for
      netlabel
    - SAUCE: apparmor4.0.0 [25/99]: Audit: Add record for multiple object contexts
    - SAUCE: apparmor4.0.0 [26/99]: LSM: Remove unused lsmcontext_init()
    - SAUCE: apparmor4.0.0 [27/99]: LSM: Improve logic in security_getprocattr
    - SAUCE: apparmor4.0.0 [28/99]: LSM: secctx provider check on release
    - SAUCE: apparmor4.0.0 [29/99]: LSM: Single calls in socket_getpeersec hooks
    - SAUCE: apparmor4.0.0 [30/99]: LSM: Exclusive secmark usage
    - SAUCE: apparmor4.0.0 [31/99]: LSM: Identify which LSM handles the context
      string
    - SAUCE: apparmor4.0.0 [32/99]: AppArmor: Remove the exclusive flag
    - SAUCE: apparmor4.0.0 [33/99]: LSM: Add mount opts blob size tracking
    - SAUCE: apparmor4.0.0 [34/99]: LSM: allocate mnt_opts blobs instead of module
      specific data
    - SAUCE: apparmor4.0.0 [35/99]: LSM: Infrastructure management of the key
      security blob
    - SAUCE: apparmor4.0.0 [36/99]: LSM: Infrastructure management of the mnt_opts
      security blob
    - SAUCE: apparmor4.0.0 [37/99]: LSM: Remove lsmblob scaffolding
    - SAUCE: apparmor4.0.0 [38/99]: LSM: Allow reservation of netlabel
    - SAUCE: apparmor4.0.0 [39/99]: LSM: restrict security_cred_getsecid() to a
      single LSM
    - SAUCE: apparmor4.0.0 [40/99]: Smack: Remove LSM_FLAG_EXCLUSIVE
    - SAUCE: apparmor4.0.0 [41/99]: LSM stacking v39: UBUNTU: SAUCE: apparmor4.0.0
      [41/99]: add/use fns to print hash string hex value
    - SAUCE: apparmor4.0.0 [42/99]: patch to provide compatibility with v2.x net
      rules
    - SAUCE: apparmor4.0.0 [43/99]: add unpriviled user ns mediation
    - SAUCE: apparmor4.0.0 [44/99]: Add sysctls for additional controls of unpriv
      userns restrictions
    - SAUCE: apparmor4.0.0 [45/99]: af_unix mediation
    - SAUCE: apparmor4.0.0 [46/99]: Add fine grained mediation of posix mqueues
    - SAUCE: apparmor4.0.0 [47/99] fixup inode_set_attr
    - SAUCE: apparmor4.0.0 [48/99]: setup slab cache for audit data
    - SAUCE: apparmor4.0.0 [49/99]: Improve debug print infrastructure
    - SAUCE: apparmor4.0.0 [50/99]: add the ability for profiles to have a
      learning cache
    - SAUCE: apparmor4.0.0 [51/99]: enable userspace upcall for mediation
    - SAUCE: apparmor4.0.0 [52/99]: prompt - lock down prompt interface
    - SAUCE: apparmor4.0.0 [53/99]: prompt - allow controlling of caching of a
      prompt response
    - SAUCE: apparmor4.0.0 [54/99]: prompt - add refcount to audit_node in prep or
      reuse and delete
    - SAUCE: apparmor4.0.0 [55/99]: prompt - refactor to moving caching to
      uresponse
    - SAUCE: apparmor4.0.0 [56/99]: prompt - Improve debug statements
    - SAUCE: apparmor4.0.0 [57/99]: prompt - fix caching
    - SAUCE: apparmor4.0.0 [58/99]: prompt - rework build to use append fn, to
      simplify adding strings
    - SAUCE: apparmor4.0.0 [59/99]: prompt - refcount notifications
    - SAUCE: apparmor4.0.0 [60/99]: prompt - add the ability to reply with a
      profile name
    - SAUCE: apparmor4.0.0 [61/99]: prompt - fix notification cache when updating
    - SAUCE: apparmor4.0.0 [62/99]: prompt - add tailglob on name for cache
      support
    - SAUCE: apparmor4.0.0 [63/99]: prompt - allow profiles to set prompts as
      interruptible
    - SAUCE: apparmor4.0.0 [64/93] v6.8 prompt:fixup interruptible
    - SAUCE: apparmor4.0.0 [65/99]: prompt - add support for advanced filtering of
      notifications
    - SAUCE: apparmor4.0.0 [66/99]: userns - add the ability to reference a global
      variable for a feature value
    - SAUCE: apparmor4.0.0 [67/99]: userns - make it so special unconfined
      profiles can mediate user namespaces
    - SAUCE: apparmor4.0.0 [68/99]: add io_uring mediation
    - SAUCE: apparmor4.0.0 [69/99]: apparmor: fix oops when racing to retrieve
      notification
    - SAUCE: apparmor4.0.0 [70/99]: apparmor: fix notification header size
    - SAUCE: apparmor4.0.0 [71/99]: apparmor: fix request field from a prompt
      reply that denies all access
    - SAUCE: apparmor4.0.0 [72/99]: apparmor: open userns related sysctl so lxc
      can check if restriction are in place
    - SAUCE: apparmor4.0.0 [73/99]: apparmor: cleanup attachment perm lookup to
      use lookup_perms()
    - SAUCE: apparmor4.0.0 [74/99]: apparmor: remove redundant unconfined check.
    - SAUCE: apparmor4.0.0 [75/99]: apparmor: switch signal mediation to using
      RULE_MEDIATES
    - SAUCE: apparmor4.0.0 [76/99]: apparmor: ensure labels with more than one
      entry have correct flags
    - SAUCE: apparmor4.0.0 [77/99]: apparmor: remove explicit restriction that
      unconfined cannot use change_hat
    - SAUCE: apparmor4.0.0 [78/99]: apparmor: cleanup: refactor file_perm() to
      provide semantics of some checks
    - SAUCE: apparmor4.0.0 [79/99]: apparmor: carry mediation check on label
    - SAUCE: apparmor4.0.0 [80/99]: apparmor: convert easy uses of unconfined() to
      label_mediates()
    - SAUCE: apparmor4.0.0 [81/99]: apparmor: add additional flags to extended
      permission.
    - SAUCE: apparmor4.0.0 [82/99]: apparmor: add support for profiles to define
      the kill signal
    - SAUCE: apparmor4.0.0 [83/99]: apparmor: fix x_table_lookup when stacking is
      not the first entry
    - SAUCE: apparmor4.0.0 [84/99]: apparmor: allow profile to be transitioned
      when a user ns is created
    - SAUCE: apparmor4.0.0 [85/99]: apparmor: add ability to mediate caps with
      policy state machine
    - SAUCE: apparmor4.0.0 [86/99]: fixup notify
    - SAUCE: apparmor4.0.0 [87/99]: apparmor: add fine grained ipv4/ipv6 mediation
    - SAUCE: apparmor4.0.0 [88/99]: apparmor: disable tailglob responses for now
    - SAUCE: apparmor4.0.0 [89/99]: apparmor: Fix notify build warnings
    - SAUCE: apparmor4.0.0 [90/99]: fix reserved mem for when we save ipv6
      addresses
    - SAUCE: apparmor4.0.0 [91/99]: fix address mapping for recvfrom
    - SAUCE: apparmor4.0.0 [92/99]: apparmor: add support for 2^24 states to the
      dfa state machine.
    - SAUCE: apparmor4.0.0 [93/99]: apparmor: advertise to userspace support of
      user upcall for file rules.
    - SAUCE: apparmor4.0.0 [94/99]: apparmor: allocate xmatch for nullpdf inside
      aa_alloc_null
    - SAUCE: apparmor4.0.0 [95/99]: apparmor: properly handle cx/px lookup failure
      for complain
    - SAUCE: apparmor4.0.0 [96/99]: apparmor: fix prompt failing during large down
      loads
    - SAUCE: apparmor4.0.0 [97/99]: apparmor: fix allow field in notification
    - SAUCE: apparmor4.0.0 [98/99]: fix build error with !CONFIG_SECURITY
    - SAUCE: apparmor4.0.0 [99/99]: fix build error with in nfs4xdr

  * Intel Lunar Lake / Battlemage enablement (LP: #2076209)
    - drm/xe/lnl: Drop force_probe requirement
    - drm/xe: Support 'nomodeset' kernel command-line option
    - drm/i915/display: Plane capability for 64k phys alignment
    - drm/xe: Align all VRAM scanout buffers to 64k physical pages when needed.
    - drm/xe: Use separate rpm lockdep map for non-d3cold-capable devices
    - drm/xe: Fix NPD in ggtt_node_remove()
    - drm/xe/bmg: Drop force_probe requirement
    - drm/xe/gsc: Fix FW status if the firmware is already loaded
    - drm/xe/gsc: Track the platform in the compatibility version
    - drm/xe/gsc: Wedge the device if the GSCCS reset fails
    - drm/i915/bios: Update new entries in VBT BDB block definitions
    - drm/xe/hwmon: Treat hwmon as a per-device concept
    - drm/xe: s/xe_tile_migrate_engine/xe_tile_migrate_exec_queue
    - drm/xe: Add xe_vm_pgtable_update_op to xe_vma_ops
    - drm/xe: Add xe_exec_queue_last_fence_test_dep
    - drm/xe: Add timeout to preempt fences
    - drm/xe: Convert multiple bind ops into single job
    - drm/xe: Update VM trace events
    - drm/xe: Update PT layer with better error handling
    - drm/xe: Add VM bind IOCTL error injection
    - dma-buf: Split out dma fence array create into alloc and arm functions
    - drm/xe: Invalidate media_gt TLBs in PT code
    - drm/i915/display: Fix BMG CCS modifiers
    - drm/xe: Use xe_pm_runtime_get in xe_bo_move() if reclaim-safe.
    - drm/xe: Remove extra dma_fence_put on xe_sync_entry_add_deps failure

  * [24.10 FEAT] [KRN1911] Vertical CPU Polarization Support Stage 2
    (LP: #2072760)
    - s390/wti: Introduce infrastructure for warning track interrupt
    - s390/wti: Prepare graceful CPU pre-emption on wti reception
    - s390/wti: Add wti accounting for missed grace periods
    - s390/wti: Add debugfs file to display missed grace periods per cpu
    - s390/topology: Add sysctl handler for polarization
    - s390/topology: Add config option to switch to vertical during boot
    - s390/smp: Add cpu capacities
    - s390/hiperdispatch: Introduce hiperdispatch
    - s390/hiperdispatch: Add steal time averaging
    - s390/hiperdispatch: Add trace events
    - s390/hiperdispatch: Add hiperdispatch sysctl interface
    - s390/hiperdispatch: Add hiperdispatch debug attributes
    - s390/hiperdispatch: Add hiperdispatch debug counters
    - [Config] Initial set of new options HIPERDISPATCH_ON and
      SCHED_TOPOLOGY_VERTICAL to yes for s390x

  * Remove non-LPAE kernel flavor (LP: #2025265)
    - [Packaging] Drop control.d/vars.generic-lpae

  * generate and ship vmlinux.h to allow packages to build BPF CO-RE
    (LP: #2050083)
    - [Packaging] Don't call dh_all on linux-bpf-dev unless on master kernel

  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v6.11-rc7 rebase

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 09 Sep 2024 13:38:09 +0300

linux (6.11.0-6.6) oracular; urgency=medium

  * oracular/linux: 6.11.0-6.6 -proposed tracker (LP: #2077949)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2024.08.12)
    - [Packaging] update Ubuntu.md

  * Pull in latest X13s commits (LP: #2078929)
    - arm64: dts: qcom: sc8280xp-x13s: disable PCIe perst pull downs
    - arm64: dts: qcom: sc8280xp-x13s: clean up PCIe2a pinctrl node
    - media: qcom: camss: Remove use_count guard in stop_streaming
    - media: qcom: camss: Fix ordering of pm_runtime_enable
    - arm64: dts: qcom: sc8280xp-x13s: Enable RGB sensor
    - wifi: ath11k: fix NULL pointer dereference in ath11k_mac_get_eirp_power()
    - Revert "wifi: ath11k: restore country code during resume"
    - Revert "wifi: ath11k: support hibernation"
    - SAUCE: media: ov5675: Fix power on/off delay timings
    - SAUCE: media: dt-bindings: Document SC8280XP/SM8350 Venus
    - SAUCE: media: venus: core: Remove trailing commas from of match entries
    - SAUCE: media: venus: hfi_venus: Support only updating certain bits with
      presets
    - SAUCE: media: platform: venus: Add optional LLCC path
    - SAUCE: media: venus: core: Add SM8350 resource struct
    - SAUCE: media: venus: core: Add SC8280XP resource struct
    - SAUCE: arm64: dts: qcom: sc8280xp: Add Venus
    - SAUCE: arm64: dts: qcom: sc8280xp-x13s: Enable Venus
    - SAUCE: phy: qcom-qmp-combo: drop regulator loads
    - SAUCE: phy: qcom-edp: drop regulator loads
    - SAUCE: i2c: qcom-cci: Stop complaining about DT set clock rate
    - SAUCE: clk: qcom: gcc-sc8280xp: don't use parking clk_ops for QUPs

  * Intel Lunar Lake / Battlemage enablement (LP: #2076209)
    - drm/i915: Skip programming FIA link enable bits for MTL+
    - drm/i915: disable fbc due to Wa_16023588340
    - drm/xe/xe2lpm: Extend Wa_16021639441
    - drm/i915/display: Cache adpative sync caps to use it later
    - drm/xe: Generate oob before compiling anything
    - drm/i915/display: WA for Re-initialize dispcnlunitt1 xosc clock
    - drm/xe/gsc: add Battlemage support
    - drm/xe/migrate: Handle clear ccs logic for xe2 dgfx
    - drm/xe/migrate: Add helper function to program identity map
    - drm/xe/xe2: Introduce identity map for compressed pat for vram
    - drm/xe/xe_migrate: Handle migration logic for xe2+ dgfx
    - drm/xe/fbdev: Limit the usage of stolen for LNL+
    - drm/xe/uapi: Expose SIMD16 EU mask in topology query
    - drm/xe: Fix warning on unreachable statement
    - drm/i915/hdcp: Add encoder check in intel_hdcp_get_capability
    - drm/i915/hdcp: Add encoder check in hdcp2_get_capability
    - drm/xe/hdcp: Check GSC structure validity
    - drm/i915/dp: Clear VSC SDP during post ddi disable routine
    - drm/xe/huc: Define HuC binary for LNL
    - drm/xe/gsc: Define GSC binary for LNL
    - drm/xe/huc: Define HuC binary for BMG
    - drm/xe/xe2hpg: Introduce performance tuning changes for Xe2_HPG
    - drm/i915/display/dp: Compute AS SDP when vrr is also enabled
    - drm/xe: Move and export xe_hw_engine lookup.
    - drm/xe/xe2: Enable Priority Mem Read
    - drm/xe/xe2: Introduce performance changes
    - drm/xe/xe2: Add performance turning changes
    - drm/xe/guc: Bump minimum required GuC version to v70.29.2
    - drm/xe/guc: Define GuC version v70.29.2 for BMG
    - drm/xe/guc: Enable w/a 14022293748 and 22019794406
    - drm/xe: Move enable host l2 VRAM post MCR init
    - drm/xe: Write all slices if its mcr register
    - drm/xe: Define STATELESS_COMPRESSION_CTRL as mcr register
    - drm/i915/pps: Disable DPLS_GATING around pps sequence
    - drm/xe: fix engine_class bounds check again
    - drm/xe/uc: Use managed bo for HuC and GSC objects
    - drm/xe: Use reserved copy engine for user binds on faulting devices
    - drm/xe/display: Match i915 driver suspend/resume sequences better
    - drm/i915: move rawclk from runtime to display runtime info
    - drm/xe/display: drop unused rawclk_freq and RUNTIME_INFO()
    - drm/i915/psr: Prevent Panel Replay if CRC calculation is enabled
    - drm/i915/display: Don't enable decompression on Xe2 with Tile4
    - drm/fourcc: define Intel Xe2 related tile4 ccs modifiers
    - drm/i915/display: allow creation of Xe2 ccs framebuffers
    - drm/xe/display: fix compat IS_DISPLAY_STEP() range end
    - drm/xe/display: remove intel_display_step_name() to simplify
    - drm/xe/display: remove the unused compat HAS_GMD_ID()
    - drm/xe/step: define more steppings E-J
    - drm/i915/display: rename IS_DISPLAY_IP_RANGE() to IS_DISPLAY_VER_FULL()
    - drm/i915/display: rename IS_DISPLAY_IP_STEP() to IS_DISPLAY_VER_STEP()
    - drm/i915/display: identify display steppings in display probe
    - drm/i915/display: switch to display detected steppings
    - drm/i915: remove display stepping handling
    - drm/xe: remove display stepping handling
    - drm/xe: Removed unused xe_ggtt_printk
    - drm/xe: Introduce GGTT documentation
    - drm/xe: Remove unnecessary drm_mm.h includes
    - drm/{i915, xe}: Avoid direct inspection of dpt_vma from outside dpt
    - drm/xe: Encapsulate drm_mm_node inside xe_ggtt_node
    - drm/xe: Rename xe_ggtt_node related functions
    - drm/xe: Limit drm_mm_node_allocated access to xe_ggtt_node
    - drm/xe: Introduce xe_ggtt_largest_hole
    - drm/xe: Introduce xe_ggtt_print_holes
    - drm/xe: Refactor xe_ggtt balloon functions to make the node clear
    - drm/xe: Make xe_ggtt_node struct independent
    - drm/xe: Fix missing runtime outer protection for ggtt_remove_node
    - drm/xe: Move ggtt_fini to devm managed
    - drm/xe: Set firmware state to loadable before registering guc_fini_hw
    - drm/xe: Drop warn on xe_guc_pc_gucrc_disable in guc pc fini
    - drm/xe: Move hw_engine_fini to devm managed
    - drm/xe: Update xe_sa to use xe_managed_bo_create_pin_map
    - drm/xe: Suspend/resume user access only during system s/r
    - drm/xe: Handle polling only for system s/r in xe_display_pm_suspend/resume()
    - drm/xe/display: handle HPD polling in display runtime suspend/resume
    - drm/xe: Fix total initialization in xe_ggtt_print_holes()

  * Missing device ID for amd_atl for AMD platforms Kraken and Strix-Halo
    (LP: #2077922)
    - x86/amd_nb: Add new PCI IDs for AMD family 1Ah model 60h
    - x86/amd_nb: Add new PCI IDs for AMD family 1Ah model 60h-70h

  * generate and ship vmlinux.h to allow packages to build BPF CO-RE
    (LP: #2050083)
    - [Packaging] add linux-bpf-dev package
    - [Packaging] do not attempt to generate BTF header on armhf

  * Fix ethernet performance on JSL and EHL (LP: #2077858)
    - intel_idle: Disable promotion to C1E on Jasper Lake and Elkhart Lake

  * Regression: unable to reach low idle states on Tiger Lake (LP: #2072679)
    - SAUCE: PCI: ASPM: Allow OS to configure ASPM where BIOS is incapable of
    - SAUCE: PCI: vmd: Let OS control ASPM for devices under VMD domain

  * Random flickering with Intel i915 (Gen9 GPUs in 6th-8th gen CPUs) on Linux
    6.8 (LP: #2062951)
    - SAUCE: iommu/intel: disable DMAR for SKL integrated gfx

  * Make linux-tools-common Provide linux-cpupower (LP: #1960841)
    - [Packaging] Add linux-cpupower to linux-tools-common Provides

  * Miscellaneous Ubuntu changes
    - SAUCE: apparmor4.0.0: fix build error with !CONFIG_SECURITY
    - [Config] updateconfigs following v6.11-rc6 rebase
    - SAUCE: apparmor4.0.0: fix build after rebase to v6.11-rc6
    - [Packaging] perf: reenable libtraceevent

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 04 Sep 2024 17:12:57 +0300

linux (6.11.0-5.5) oracular; urgency=medium

  * oracular/linux: 6.11.0-5.5 -proposed tracker (LP: #2077454)

  * GDS force mitigation re-enabled in 6.10 (and 6.11) causing crashes
    (LP: #2077145)
    - [Config] Force disable CONFIG_MITIGATION_GDS_FORCE again

  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v6.11-rc5 rebase

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 26 Aug 2024 17:11:19 +0300

linux (6.11.0-4.4) oracular; urgency=medium

  * oracular/linux: 6.11.0-4.4 -proposed tracker (LP: #2077394)

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

  * Miscellaneous Ubuntu changes
    - [Config] Disable CONFIG_DRM_I915_REPLAY_GPU_HANGS_API
    - [Packaging] carry ELF_PACKAGE_METADATA into relinking
    - [Packaging] Rename to linux

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Tue, 20 Aug 2024 12:07:08 +0300

linux (6.11.0-3.3) oracular; urgency=medium

  * dummy entry

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Tue, 20 Aug 2024 10:30:29 +0300

linux-unstable (6.11.0-3.3) oracular; urgency=medium

  * oracular/linux-unstable: 6.11.0-3.3 -proposed tracker (LP: #2077292)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2024.08.12)

  * Disable PCI_DYNAMIC_OF_NODES in Ubuntu (LP: #2074376)
    - [Config] Disable PCI_DYNAMIC_OF_NODES

  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v6.11-rc3 rebase

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 19 Aug 2024 11:49:32 +0300

linux-unstable (6.11.0-2.2) oracular; urgency=medium

  * oracular/linux-unstable: 6.11.0-2.2 -proposed tracker (LP: #2076564)

  * please help enable more EROFS compression algorithms (LP: #2074049)
    - [Config] enable LZMA and ZSTD file compressions in EROFS

  * Enable CONFIG_EXFAT_FS in s390x too (LP: #2076428)
    - [Config] Enable EXFAT_FS on s390x too

  * Miscellaneous Ubuntu changes
    - [Packaging] Disable tools/perf on armhf (FTBFS)
    - [Config] toolchain version update

  * Miscellaneous Ubuntu changes
    - UBUNTU: Rebase on v6.11-rc3

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 12 Aug 2024 14:07:05 +0300

linux-unstable (6.11.0-1.1) oracular; urgency=medium

  * oracular/linux-unstable: 6.11.0-1.1 -proposed tracker (LP: #2076116)

  * Miscellaneous Ubuntu changes
    - [packaging] move to v6.11 and rename to linux-unstable
    - [Config] updateconfigs following v6.11-rc2 rebase
    - SAUCE: hwmon: Fix aaeon driver for 6.11.
    - debian.master/dkms-versions: temporarily remove all dkms

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 05 Aug 2024 20:10:11 +0300

linux-unstable (6.11.0-0.0) oracular; urgency=medium

  * Dummy entry.

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 31 Jul 2024 16:41:50 +0300

linux (6.10.0-18.18) oracular; urgency=medium

  * oracular/linux: 6.10.0-18.18 -proposed tracker (LP: #2073754)

  * net:fib_rule_tests.sh in ubuntu_kselftests_net fails on Noble (LP: #2066332)
    - Revert "UBUNTU: SAUCE: selftests: net: fix "from" match test in
      fib_rule_tests.sh"

  * Pull-request to address TPM bypass issue (LP: #2037688)
    - [Config]: Configure TPM drivers as builtins for arm64 in annotations

  * kdump doesn't work with UEFI secure boot and kernel lockdown enabled on
    ARM64 (LP: #2033007)
    - [Config]: Enable CONFIG_KEXEC_IMAGE_VERIFY_SIG on arm64

  * Miscellaneous Ubuntu changes
    - SAUCE: s390/setup: Fix __pa/__va for modules under non-GPL licenses

  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Packaging] debian.master/dkms-versions -- disable zfs for
      s390x"

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 22 Jul 2024 13:43:47 +0200

linux (6.10.0-17.17) oracular; urgency=medium

  * oracular/linux: 6.10.0-17.17 -proposed tracker (LP: #2073091)

  * Miscellaneous Ubuntu changes
    - rebase on v6.10

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 15 Jul 2024 10:29:49 +0200

linux (6.10.0-16.16) oracular; urgency=medium

  * oracular/linux: 6.10.0-16.16 -proposed tracker (LP: #2072507)

  * Miscellaneous Ubuntu changes
    - rebase on v6.10-rc7

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 08 Jul 2024 17:52:01 +0200

linux (6.10.0-15.15) oracular; urgency=medium

  * oracular/linux: 6.10.0-15.15 -proposed tracker (LP: #2071915)

  * [UBUNTU 24.04] IOMMU DMA mode changed in kernel config causes massive
    throughput degradation for PCI-related network workloads (LP: #2071471)
    - [Config] Set IOMMU_DEFAULT_DMA_STRICT=n and IOMMU_DEFAULT_DMA_LAZY=yes for
      s390x

  * Miscellaneous Ubuntu changes
    - rename to linux

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 04 Jul 2024 12:12:06 +0200

linux-unstable (6.10.0-14.14) oracular; urgency=medium

  * oracular/linux-unstable: 6.10.0-14.14 -proposed tracker (LP: #2071786)

  * zfs-dkms FTBFS on Linux 6.10/s390x (LP: #2071774)
    - [Packaging] debian.master/dkms-versions -- disable zfs for s390x

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2024.06.11)

  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor4.0.0 [42/92]: LSM stacking v39: UBUNTU: SAUCE: apparmor4.0.0
      [42/92]: add/use fns to print hash string hex value
    - SAUCE: apparmor4.0.0 [43/92]: patch to provide compatibility with v2.x net
      rules
    - SAUCE: apparmor4.0.0 [44/92]: add unpriviled user ns mediation
    - SAUCE: apparmor4.0.0 [45/92]: Add sysctls for additional controls of unpriv
      userns restrictions
    - SAUCE: apparmor4.0.0 [46/92]: af_unix mediation
    - SAUCE: apparmor4.0.0 [47/92]: Add fine grained mediation of posix mqueues
    - SAUCE: apparmor4.0.0 [49/92]: setup slab cache for audit data
    - SAUCE: apparmor4.0.0 [50/92]: Improve debug print infrastructure
    - SAUCE: apparmor4.0.0 [51/92]: add the ability for profiles to have a
      learning cache
    - SAUCE: apparmor4.0.0 [52/92]: enable userspace upcall for mediation
    - SAUCE: apparmor4.0.0 [53/92]: prompt - lock down prompt interface
    - SAUCE: apparmor4.0.0 [54/92]: prompt - allow controlling of caching of a
      prompt response
    - SAUCE: apparmor4.0.0 [55/92]: prompt - add refcount to audit_node in prep or
      reuse and delete
    - SAUCE: apparmor4.0.0 [56/92]: prompt - refactor to moving caching to
      uresponse
    - SAUCE: apparmor4.0.0 [57/92]: prompt - Improve debug statements
    - SAUCE: apparmor4.0.0 [58/92]: prompt - fix caching
    - SAUCE: apparmor4.0.0 [59/92]: prompt - rework build to use append fn, to
      simplify adding strings
    - SAUCE: apparmor4.0.0 [60/92]: prompt - refcount notifications
    - SAUCE: apparmor4.0.0 [61/92]: prompt - add the ability to reply with a
      profile name
    - SAUCE: apparmor4.0.0 [62/92]: prompt - fix notification cache when updating
    - SAUCE: apparmor4.0.0 [63/92]: prompt - add tailglob on name for cache
      support
    - SAUCE: apparmor4.0.0 [64/92]: prompt - allow profiles to set prompts as
      interruptible
    - SAUCE: apparmor4.0.0 [65/93] v6.8 prompt:fixup interruptible
    - SAUCE: apparmor4.0.0 [69/92]: add io_uring mediation
    - SAUCE: apparmor4.0.0 [70/92]: apparmor: fix oops when racing to retrieve
      notification
    - SAUCE: apparmor4.0.0 [71/92]: apparmor: fix notification header size
    - SAUCE: apparmor4.0.0 [72/92]: apparmor: fix request field from a prompt
      reply that denies all access
    - SAUCE: apparmor4.0.0 [73/92]: apparmor: open userns related sysctl so lxc
      can check if restriction are in place
    - SAUCE: apparmor4.0.0 [74/92]: apparmor: cleanup attachment perm lookup to
      use lookup_perms()
    - SAUCE: apparmor4.0.0 [75/92]: apparmor: remove redundant unconfined check.
    - SAUCE: apparmor4.0.0 [76/92]: apparmor: switch signal mediation to using
      RULE_MEDIATES
    - SAUCE: apparmor4.0.0 [77/92]: apparmor: ensure labels with more than one
      entry have correct flags
    - SAUCE: apparmor4.0.0 [78/92]: apparmor: remove explicit restriction that
      unconfined cannot use change_hat
    - SAUCE: apparmor4.0.0 [79/92]: apparmor: cleanup: refactor file_perm() to
      provide semantics of some checks
    - SAUCE: apparmor4.0.0 [80/92]: apparmor: carry mediation check on label
    - SAUCE: apparmor4.0.0 [81/92]: apparmor: convert easy uses of unconfined() to
      label_mediates()
    - SAUCE: apparmor4.0.0 [82/92]: apparmor: add additional flags to extended
      permission.
    - SAUCE: apparmor4.0.0 [83/92]: apparmor: add support for profiles to define
      the kill signal
    - SAUCE: apparmor4.0.0 [84/92]: apparmor: fix x_table_lookup when stacking is
      not the first entry
    - SAUCE: apparmor4.0.0 [85/92]: apparmor: allow profile to be transitioned
      when a user ns is created
    - SAUCE: apparmor4.0.0 [86/92]: apparmor: add ability to mediate caps with
      policy state machine
    - SAUCE: apparmor4.0.0 [87/92]: fixup notify
    - SAUCE: apparmor4.0.0 [88/92]: apparmor: add fine grained ipv4/ipv6 mediation
    - SAUCE: apparmor4.0.0 [89/92]: apparmor: disable tailglob responses for now
    - SAUCE: apparmor4.0.0 [90/92]: apparmor: Fix notify build warnings
    - SAUCE: apparmor4.0.0 [91/92]: fix reserved mem for when we save ipv6
      addresses
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS

  * linux-gcp 6.8.0-1005.5 (+ others) Noble kernel regression with new apparmor
    profiles/features (LP: #2061851)
    - SAUCE: apparmor4.0.0 [92/92]: fix address mapping for recvfrom

  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in mantic
    (LP: #2032602)
    - SAUCE: apparmor4.0.0 [66/92]: prompt - add support for advanced filtering of
      notifications
    - SAUCE: apparmor4.0.0 [67/92]: userns - add the ability to reference a global
      variable for a feature value
    - SAUCE: apparmor4.0.0 [68/92]: userns - make it so special unconfined
      profiles can mediate user namespaces

  * Miscellaneous Ubuntu changes
    - SAUCE: apparmor4.0.0 [1/92]: LSM: Infrastructure management of the sock
      security
    - SAUCE: apparmor4.0.0 [2/92]: LSM: Add the lsmblob data structure.
    - SAUCE: apparmor4.0.0 [3/92]: LSM: Use lsmblob in security_audit_rule_match
    - SAUCE: apparmor4.0.0 [4/92]: LSM: Call only one hook for audit rules
    - SAUCE: apparmor4.0.0 [5/92]: LSM: Add lsmblob_to_secctx hook
    - SAUCE: apparmor4.0.0 [6/92]: Audit: maintain an lsmblob in audit_context
    - SAUCE: apparmor4.0.0 [7/92]: LSM: Use lsmblob in security_ipc_getsecid
    - SAUCE: apparmor4.0.0 [8/92]: Audit: Update shutdown LSM data
    - SAUCE: apparmor4.0.0 [9/92]: LSM: Use lsmblob in security_current_getsecid
    - SAUCE: apparmor4.0.0 [10/92]: LSM: Use lsmblob in security_inode_getsecid
    - SAUCE: apparmor4.0.0 [11/92]: Audit: use an lsmblob in audit_names
    - SAUCE: apparmor4.0.0 [12/92]: LSM: Create new security_cred_getlsmblob LSM
      hook
    - SAUCE: apparmor4.0.0 [13/92]: Audit: Change context data from secid to
      lsmblob
    - SAUCE: apparmor4.0.0 [14/92]: Netlabel: Use lsmblob for audit data
    - SAUCE: apparmor4.0.0 [15/92]: LSM: Ensure the correct LSM context releaser
    - SAUCE: apparmor4.0.0 [16/92]: LSM: Use lsmcontext in
      security_secid_to_secctx
    - SAUCE: apparmor4.0.0 [17/92]: LSM: Use lsmcontext in
      security_lsmblob_to_secctx
    - SAUCE: apparmor4.0.0 [18/92]: LSM: Use lsmcontext in
      security_inode_getsecctx
    - SAUCE: apparmor4.0.0 [19/92]: LSM: lsmcontext in
      security_dentry_init_security
    - SAUCE: apparmor4.0.0 [20/92]: LSM: security_lsmblob_to_secctx module
      selection
    - SAUCE: apparmor4.0.0 [21/92]: Audit: Create audit_stamp structure
    - SAUCE: apparmor4.0.0 [22/92]: Audit: Allow multiple records in an
      audit_buffer
    - SAUCE: apparmor4.0.0 [23/92]: Audit: Add record for multiple task security
      contexts
    - SAUCE: apparmor4.0.0 [24/92]: audit: multiple subject lsm values for
      netlabel
    - SAUCE: apparmor4.0.0 [25/92]: Audit: Add record for multiple object contexts
    - SAUCE: apparmor4.0.0 [26/92]: LSM: Remove unused lsmcontext_init()
    - SAUCE: apparmor4.0.0 [27/92]: LSM: Improve logic in security_getprocattr
    - SAUCE: apparmor4.0.0 [28/92]: LSM: secctx provider check on release
    - SAUCE: apparmor4.0.0 [29/92]: LSM: Single calls in socket_getpeersec hooks
    - SAUCE: apparmor4.0.0 [30/92]: LSM: Exclusive secmark usage
    - SAUCE: apparmor4.0.0 [31/92]: LSM: Identify which LSM handles the context
      string
    - SAUCE: apparmor4.0.0 [32/92]: AppArmor: Remove the exclusive flag
    - SAUCE: apparmor4.0.0 [33/92]: LSM: Add mount opts blob size tracking
    - SAUCE: apparmor4.0.0 [34/92]: LSM: allocate mnt_opts blobs instead of module
      specific data
    - SAUCE: apparmor4.0.0 [35/92]: LSM: Infrastructure management of the key
      security blob
    - SAUCE: apparmor4.0.0 [36/92]: LSM: Infrastructure management of the mnt_opts
      security blob
    - SAUCE: apparmor4.0.0 [37/92]: LSM: Remove lsmblob scaffolding
    - SAUCE: apparmor4.0.0 [38/92]: LSM: Allow reservation of netlabel
    - SAUCE: apparmor4.0.0 [39/92]: LSM: Correct handling of ENOSYS in
      inode_setxattr
    - SAUCE: apparmor4.0.0 [40/92]: LSM: restrict security_cred_getsecid() to a
      single LSM
    - SAUCE: apparmor4.0.0 [41/92]: Smack: Remove LSM_FLAG_EXCLUSIVE

  * Miscellaneous upstream changes
    - fixup inode_set_attr

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 03 Jul 2024 11:23:40 +0200

linux-unstable (6.10.0-13.13) oracular; urgency=medium

  * oracular/linux-unstable: 6.10.0-13.13 -proposed tracker (LP: #2071598)

  * Miscellaneous Ubuntu changes
    - zfs FTBFS on s390x - temporarily disable it

  * Miscellaneous Ubuntu changes
    - rebase on v6.10-rc6

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 01 Jul 2024 11:57:44 +0200

linux-unstable (6.10.0-12.12) oracular; urgency=medium

  * oracular/linux-unstable: 6.10.0-12.12 -proposed tracker (LP: #2071461)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2024.06.11)

  * noble:linux: ADT ubuntu-regression-suite misses fakeroot dependency
    (LP: #2070042)
    - [DEP-8] Add missing fakeroot dependency

  * Add Real-time Linux Analysis tool (rtla) to linux-tools (LP: #2059080)
    - [Packaging] add Real-time Linux Analysis tool (rtla) to linux-tools
    - [Packaging] update dependencies for rtla

  * failed to enable IPU6 camera sensor on kernel >= 6.8: ivsc_ace
    intel_vsc-5db76cf6-0a68-4ed6-9b78-0361635e2447: switch camera to host
    failed: -110 (LP: #2067364)
    - SAUCE: media: ivsc: csi: don't count privacy on as error
    - SAUCE: media: ivsc: csi: add separate lock for v4l2 control handler
    - SAUCE: media: ivsc: csi: remove privacy status in struct mei_csi
    - SAUCE: mei: vsc: Enhance IVSC chipset stability during warm reboot
    - SAUCE: mei: vsc: Enhance SPI transfer of IVSC rom
    - SAUCE: mei: vsc: Utilize the appropriate byte order swap function
    - SAUCE: mei: vsc: Prevent timeout error with added delay post-firmware
      download

  * Miscellaneous Ubuntu changes
    - SAUCE: nvme-tcp: Do not terminate commands when in RESETTING
    - SAUCE: nvme-tcp: make 'err_work' a delayed work
    - SAUCE: nvme-tcp: delay error recovery until the next KATO interval
    - SAUCE: nvme-tcp: add recovery_delay to sysfs
    - [Packaging] rtla: workaround the empty LD variable
    - [Packaging] Check do_lib_rust before linking Rust lib files
    - [Config] toolchain version update

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 28 Jun 2024 15:37:27 +0200

linux-unstable (6.10.0-11.11) oracular; urgency=medium

  * oracular/linux-unstable: 6.10.0-11.11 -proposed tracker (LP: #2070368)

  * Provide python perf module (LP: #2051560)
    - [Packaging] enable perf python module
    - [Packaging] provide a wrapper module for python-perf

  * Miscellaneous Ubuntu changes
    - [Config] toolchain version update
    - [Packaging] Fix python3-setuptools build-dep for tools/perf

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 25 Jun 2024 14:53:52 +0200

linux-unstable (6.10.0-10.10) oracular; urgency=medium

  * oracular/linux-unstable: 6.10.0-10.10 -proposed tracker (LP: #2070030)

  * Miscellaneous Ubuntu changes
    - [Config] arm64: disable RELR
    - [Config] updateconfigs following v6.10-rc5 rebase

  * Miscellaneous Ubuntu changes
    - rebase on v6.10-rc5

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 24 Jun 2024 10:57:14 +0200

linux-unstable (6.10.0-7.7) oracular; urgency=medium

  * oracular/linux-unstable: 6.10.0-7.7 -proposed tracker (LP: #2069713)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2024.06.11)

  * Miscellaneous Ubuntu changes
    - SAUCE: Revert "mm: remove follow_pfn"
    - [Packaging] debian.master/dkms-versions -- remove zfs-linux

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 18 Jun 2024 12:13:02 +0200

linux-unstable (6.10.0-6.6) oracular; urgency=medium

  * oracular/linux-unstable: 6.10.0-6.6 -proposed tracker (LP: #2069590)

  * Miscellaneous Ubuntu changes
    - rebase on v6.10-rc4
    - [Config] updateconfigs following v6.10-rc4 rebase

  * Miscellaneous Ubuntu changes
    - rebase on v6.10-rc4

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 17 Jun 2024 11:02:49 +0200

linux-unstable (6.10.0-5.5) oracular; urgency=medium

  * oracular/linux-unstable: 6.10.0-5.5 -proposed tracker (LP: #2069031)

  * Miscellaneous Ubuntu changes
    - [packaging] remove the kernel configuration for perf
    - [Packaging] dkms-build: Support DEB822 sources

  * Miscellaneous Ubuntu changes
    - rebase on v6.10-rc3

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 11 Jun 2024 12:42:10 +0200

linux-unstable (6.10.0-4.4) oracular; urgency=medium

  * oracular/linux-unstable: 6.10.0-4.4 -proposed tracker (LP: #2067887)

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

  * Miscellaneous Ubuntu changes
    - rebase on v6.10-rc2

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 03 Jun 2024 11:52:09 +0200

linux-unstable (6.10.0-3.3) oracular; urgency=medium

  * oracular/linux-unstable: 6.10.0-3.3 -proposed tracker (LP: #2067718)

  * Miscellaneous Ubuntu changes
    - SAUCE: [packaging] `make scripts_gdb` target  is broken upstream, to avoid a
      FTBFS, do not try to install GDB_SCRIPTS

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 31 May 2024 13:17:14 +0200

linux-unstable (6.10.0-2.2) oracular; urgency=medium

  * oracular/linux-unstable: 6.10.0-2.2 -proposed tracker (LP: #2067473)

  * Miscellaneous Ubuntu changes
    - SAUCE: update hv_fcopy_daemon target to hv_fcopy_uio_daemon (following
      upstream rename)

  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Packaging] update dependencies for rtla"
    - Revert "UBUNTU: [Packaging] add Real-time Linux Analysis tool (rtla) to
      linux-tools"
    - Revert "UBUNTU: [Packaging] provide a wrapper module for python-perf"
    - Revert "UBUNTU: [Packaging] enable perf python module"

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 29 May 2024 14:08:53 +0200

linux-unstable (6.10.0-1.1) oracular; urgency=medium

  * oracular/linux-unstable: 6.10.0-1.1 -proposed tracker (LP: #2067390)

  * Miscellaneous Ubuntu changes
    - [packaging] move to v6.10 and rename to linux-unstable
    - [Config] updateconfigs following v6.10-rc1 rebase
    - SAUCE: (lockdown) security: use default hook return value
    - debian.master/dkms-versions: temporarily remove all dkms

  * Miscellaneous Ubuntu changes
    - rebase on v6.10-rc1

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 28 May 2024 17:57:38 +0200

linux-unstable (6.10.0-0.0) oracular; urgency=medium

  * noble/linux: 6.8.0-34.34 -proposed tracker (LP: #2065167)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2024.04.29)

 -- Roxana Nicolescu <roxana.nicolescu@canonical.com>  Wed, 08 May 2024 13:14:41 +0200

linux (6.8.0-32.32) noble; urgency=medium

  * noble/linux: 6.8.0-32.32 -proposed tracker (LP: #2064344)

  * Packaging resync (LP: #1786013)
    - [Packaging] drop getabis data
    - [Packaging] update variants
    - [Packaging] update annotations scripts
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2024.04.29)

  * Enable Nezha board (LP: #1975592)
    - [Config] Enable CONFIG_REGULATOR_FIXED_VOLTAGE on riscv64

  * Enable Nezha board (LP: #1975592) // Enable StarFive VisionFive 2 board
    (LP: #2013232)
    - [Config] Enable CONFIG_SERIAL_8250_DW on riscv64

  * RISC-V kernel config is out of sync with other archs (LP: #1981437)
    - [Config] Sync riscv64 config with other architectures

  * obsolete out-of-tree ivsc dkms in favor of in-tree one (LP: #2061747)
    - ACPI: scan: Defer enumeration of devices with a _DEP pointing to IVSC device
    - Revert "mei: vsc: Call wake_up() in the threaded IRQ handler"
    - mei: vsc: Unregister interrupt handler for system suspend
    - media: ipu-bridge: Add ov01a10 in Dell XPS 9315
    - SAUCE: media: ipu-bridge: Support more sensors

  * Fix after-suspend-mediacard/sdhc-insert test failed (LP: #2042500)
    - PCI/ASPM: Move pci_configure_ltr() to aspm.c
    - PCI/ASPM: Always build aspm.c
    - PCI/ASPM: Move pci_save_ltr_state() to aspm.c
    - PCI/ASPM: Save L1 PM Substates Capability for suspend/resume
    - PCI/ASPM: Call pci_save_ltr_state() from pci_save_pcie_state()
    - PCI/ASPM: Disable L1 before configuring L1 Substates
    - PCI/ASPM: Update save_state when configuration changes

  * RTL8852BE fw security fail then lost WIFI function during suspend/resume
    cycle (LP: #2063096)
    - wifi: rtw89: download firmware with five times retry

  * intel_rapl_common: Add support for ARL and LNL (LP: #2061953)
    - powercap: intel_rapl: Add support for Lunar Lake-M paltform
    - powercap: intel_rapl: Add support for Arrow Lake

  * Kernel panic during checkbox stress_ng_test on Grace running noble 6.8
    (arm64+largemem) kernel (LP: #2058557)
    - aio: Fix null ptr deref in aio_complete() wakeup

  * Avoid creating non-working backlight sysfs knob from ASUS board
    (LP: #2060422)
    - platform/x86: asus-wmi: Consider device is absent when the read is ~0

  * Include cifs.ko in linux-modules package (LP: #2042546)
    - [Packaging] Replace fs/cifs with fs/smb/client in inclusion list

  * Add Real-time Linux Analysis tool (rtla) to linux-tools (LP: #2059080)
    - SAUCE: rtla: fix deb build
    - [Packaging] add Real-time Linux Analysis tool (rtla) to linux-tools
    - [Packaging] update dependencies for rtla

  * Noble update: v6.8.4 upstream stable release (LP: #2060533)
    - Revert "workqueue: Shorten events_freezable_power_efficient name"
    - Revert "workqueue: Don't call cpumask_test_cpu() with -1 CPU in
      wq_update_node_max_active()"
    - Revert "workqueue: Implement system-wide nr_active enforcement for unbound
      workqueues"
    - Revert "workqueue: Introduce struct wq_node_nr_active"
    - Revert "workqueue: RCU protect wq->dfl_pwq and implement accessors for it"
    - Revert "workqueue: Make wq_adjust_max_active() round-robin pwqs while
      activating"
    - Revert "workqueue: Move nr_active handling into helpers"
    - Revert "workqueue: Replace pwq_activate_inactive_work() with
      [__]pwq_activate_work()"
    - Revert "workqueue: Factor out pwq_is_empty()"
    - Revert "workqueue: Move pwq->max_active to wq->max_active"
    - Revert "workqueue.c: Increase workqueue name length"
    - Linux 6.8.4

  * Noble update: v6.8.3 upstream stable release (LP: #2060531)
    - drm/vmwgfx: Unmap the surface before resetting it on a plane state
    - wifi: brcmfmac: Fix use-after-free bug in brcmf_cfg80211_detach
    - wifi: brcmfmac: avoid invalid list operation when vendor attach fails
    - media: staging: ipu3-imgu: Set fields before media_entity_pads_init()
    - arm64: dts: qcom: sc7280: Add additional MSI interrupts
    - remoteproc: virtio: Fix wdg cannot recovery remote processor
    - clk: qcom: gcc-sdm845: Add soft dependency on rpmhpd
    - smack: Set SMACK64TRANSMUTE only for dirs in smack_inode_setxattr()
    - smack: Handle SMACK64TRANSMUTE in smack_inode_setsecurity()
    - arm: dts: marvell: Fix maxium->maxim typo in brownstone dts
    - drm/vmwgfx: Fix possible null pointer derefence with invalid contexts
    - arm64: dts: qcom: sm8450-hdk: correct AMIC4 and AMIC5 microphones
    - serial: max310x: fix NULL pointer dereference in I2C instantiation
    - drm/vmwgfx: Fix the lifetime of the bo cursor memory
    - pci_iounmap(): Fix MMIO mapping leak
    - media: xc4000: Fix atomicity violation in xc4000_get_frequency
    - media: mc: Add local pad to pipeline regardless of the link state
    - media: mc: Fix flags handling when creating pad links
    - media: nxp: imx8-isi: Check whether crossbar pad is non-NULL before access
    - media: mc: Add num_links flag to media_pad
    - media: mc: Rename pad variable to clarify intent
    - media: mc: Expand MUST_CONNECT flag to always require an enabled link
    - media: nxp: imx8-isi: Mark all crossbar sink pads as MUST_CONNECT
    - md: use RCU lock to protect traversal in md_spares_need_change()
    - KVM: Always flush async #PF workqueue when vCPU is being destroyed
    - arm64: dts: qcom: sm8550-qrd: correct WCD9385 TX port mapping
    - arm64: dts: qcom: sm8550-mtp: correct WCD9385 TX port mapping
    - cpufreq: amd-pstate: Fix min_perf assignment in amd_pstate_adjust_perf()
    - thermal/intel: Fix intel_tcc_get_temp() to support negative CPU temperature
    - powercap: intel_rapl: Fix a NULL pointer dereference
    - powercap: intel_rapl: Fix locking in TPMI RAPL
    - powercap: intel_rapl_tpmi: Fix a register bug
    - powercap: intel_rapl_tpmi: Fix System Domain probing
    - powerpc/smp: Adjust nr_cpu_ids to cover all threads of a core
    - powerpc/smp: Increase nr_cpu_ids to include the boot CPU
    - sparc64: NMI watchdog: fix return value of __setup handler
    - sparc: vDSO: fix return value of __setup handler
    - selftests/mqueue: Set timeout to 180 seconds
    - pinctrl: qcom: sm8650-lpass-lpi: correct Kconfig name
    - ext4: correct best extent lstart adjustment logic
    - drm/amdgpu/display: Address kdoc for 'is_psr_su' in 'fill_dc_dirty_rects'
    - block: Clear zone limits for a non-zoned stacked queue
    - kasan/test: avoid gcc warning for intentional overflow
    - bounds: support non-power-of-two CONFIG_NR_CPUS
    - fat: fix uninitialized field in nostale filehandles
    - fuse: fix VM_MAYSHARE and direct_io_allow_mmap
    - mfd: twl: Select MFD_CORE
    - ubifs: Set page uptodate in the correct place
    - ubi: Check for too small LEB size in VTBL code
    - ubi: correct the calculation of fastmap size
    - ubifs: ubifs_symlink: Fix memleak of inode->i_link in error path
    - mtd: rawnand: meson: fix scrambling mode value in command macro
    - md/md-bitmap: fix incorrect usage for sb_index
    - x86/nmi: Fix the inverse "in NMI handler" check
    - parisc/unaligned: Rewrite 64-bit inline assembly of emulate_ldd()
    - parisc: Avoid clobbering the C/B bits in the PSW with tophys and tovirt
      macros
    - parisc: Fix ip_fast_csum
    - parisc: Fix csum_ipv6_magic on 32-bit systems
    - parisc: Fix csum_ipv6_magic on 64-bit systems
    - parisc: Strip upper 32 bit of sum in csum_ipv6_magic for 64-bit builds
    - md/raid5: fix atomicity violation in raid5_cache_count
    - iio: adc: rockchip_saradc: fix bitmask for channels on SARADCv2
    - iio: adc: rockchip_saradc: use mask for write_enable bitfield
    - docs: Restore "smart quotes" for quotes
    - cpufreq: Limit resolving a frequency to policy min/max
    - PM: suspend: Set mem_sleep_current during kernel command line setup
    - vfio/pds: Always clear the save/restore FDs on reset
    - clk: qcom: gcc-ipq5018: fix terminating of frequency table arrays
    - clk: qcom: gcc-ipq6018: fix terminating of frequency table arrays
    - clk: qcom: gcc-ipq8074: fix terminating of frequency table arrays
    - clk: qcom: gcc-ipq9574: fix terminating of frequency table arrays
    - clk: qcom: camcc-sc8280xp: fix terminating of frequency table arrays
    - clk: qcom: mmcc-apq8084: fix terminating of frequency table arrays
    - clk: qcom: mmcc-msm8974: fix terminating of frequency table arrays
    - usb: xhci: Add error handling in xhci_map_urb_for_dma
    - powerpc/fsl: Fix mfpmr build errors with newer binutils
    - USB: serial: ftdi_sio: add support for GMC Z216C Adapter IR-USB
    - USB: serial: add device ID for VeriFone adapter
    - USB: serial: cp210x: add ID for MGP Instruments PDS100
    - wifi: mac80211: track capability/opmode NSS separately
    - USB: serial: option: add MeiG Smart SLM320 product
    - KVM: x86/xen: inject vCPU upcall vector when local APIC is enabled
    - USB: serial: cp210x: add pid/vid for TDK NC0110013M and MM0110113M
    - PM: sleep: wakeirq: fix wake irq warning in system suspend
    - mmc: tmio: avoid concurrent runs of mmc_request_done()
    - fuse: replace remaining make_bad_inode() with fuse_make_bad()
    - fuse: fix root lookup with nonzero generation
    - fuse: don't unhash root
    - usb: typec: ucsi: Clean up UCSI_CABLE_PROP macros
    - usb: dwc3-am62: fix module unload/reload behavior
    - usb: dwc3-am62: Disable wakeup at remove
    - serial: core: only stop transmit when HW fifo is empty
    - serial: Lock console when calling into driver before registration
    - btrfs: qgroup: always free reserved space for extent records
    - btrfs: fix off-by-one chunk length calculation at contains_pending_extent()
    - wifi: rtw88: Add missing VID/PIDs for 8811CU and 8821CU
    - docs: Makefile: Add dependency to $(YNL_INDEX) for targets other than
      htmldocs
    - PCI/PM: Drain runtime-idle callbacks before driver removal
    - PCI/DPC: Quirk PIO log size for Intel Raptor Lake Root Ports
    - Revert "Revert "md/raid5: Wait for MD_SB_CHANGE_PENDING in raid5d""
    - md: don't clear MD_RECOVERY_FROZEN for new dm-raid until resume
    - md: export helpers to stop sync_thread
    - md: export helper md_is_rdwr()
    - md: add a new helper reshape_interrupted()
    - dm-raid: really frozen sync_thread during suspend
    - md/dm-raid: don't call md_reap_sync_thread() directly
    - dm-raid: add a new helper prepare_suspend() in md_personality
    - dm-raid456, md/raid456: fix a deadlock for dm-raid456 while io concurrent
      with reshape
    - dm-raid: fix lockdep waring in "pers->hot_add_disk"
    - powerpc: xor_vmx: Add '-mhard-float' to CFLAGS
    - mac802154: fix llsec key resources release in mac802154_llsec_key_del
    - mm: swap: fix race between free_swap_and_cache() and swapoff()
    - mmc: core: Fix switch on gp3 partition
    - Bluetooth: btnxpuart: Fix btnxpuart_close
    - leds: trigger: netdev: Fix kernel panic on interface rename trig notify
    - drm/etnaviv: Restore some id values
    - landlock: Warn once if a Landlock action is requested while disabled
    - io_uring: fix mshot read defer taskrun cqe posting
    - hwmon: (amc6821) add of_match table
    - io_uring: fix io_queue_proc modifying req->flags
    - ext4: fix corruption during on-line resize
    - nvmem: meson-efuse: fix function pointer type mismatch
    - slimbus: core: Remove usage of the deprecated ida_simple_xx() API
    - phy: tegra: xusb: Add API to retrieve the port number of phy
    - usb: gadget: tegra-xudc: Fix USB3 PHY retrieval logic
    - speakup: Fix 8bit characters from direct synth
    - debugfs: fix wait/cancellation handling during remove
    - PCI/AER: Block runtime suspend when handling errors
    - io_uring/net: correctly handle multishot recvmsg retry setup
    - io_uring: fix mshot io-wq checks
    - PCI: qcom: Disable ASPM L0s for sc8280xp, sa8540p and sa8295p
    - sparc32: Fix parport build with sparc32
    - nfs: fix UAF in direct writes
    - NFS: Read unlock folio on nfs_page_create_from_folio() error
    - kbuild: Move -Wenum-{compare-conditional,enum-conversion} into W=1
    - PCI: qcom: Enable BDF to SID translation properly
    - PCI: dwc: endpoint: Fix advertised resizable BAR size
    - PCI: hv: Fix ring buffer size calculation
    - cifs: prevent updating file size from server if we have a read/write lease
    - cifs: allow changing password during remount
    - thermal/drivers/mediatek: Fix control buffer enablement on MT7896
    - vfio/pci: Disable auto-enable of exclusive INTx IRQ
    - vfio/pci: Lock external INTx masking ops
    - vfio/platform: Disable virqfds on cleanup
    - vfio/platform: Create persistent IRQ handlers
    - vfio/fsl-mc: Block calling interrupt handler without trigger
    - tpm,tpm_tis: Avoid warning splat at shutdown
    - ksmbd: replace generic_fillattr with vfs_getattr
    - ksmbd: retrieve number of blocks using vfs_getattr in
      set_file_allocation_info
    - platform/x86/intel/tpmi: Change vsec offset to u64
    - io_uring/rw: return IOU_ISSUE_SKIP_COMPLETE for multishot retry
    - io_uring: clean rings on NO_MMAP alloc fail
    - ring-buffer: Do not set shortest_full when full target is hit
    - ring-buffer: Fix full_waiters_pending in poll
    - ring-buffer: Use wait_event_interruptible() in ring_buffer_wait()
    - tracing/ring-buffer: Fix wait_on_pipe() race
    - dlm: fix user space lkb refcounting
    - soc: fsl: qbman: Always disable interrupts when taking cgr_lock
    - soc: fsl: qbman: Use raw spinlock for cgr_lock
    - s390/zcrypt: fix reference counting on zcrypt card objects
    - drm/probe-helper: warn about negative .get_modes()
    - drm/panel: do not return negative error codes from drm_panel_get_modes()
    - drm/exynos: do not return negative values from .get_modes()
    - drm/imx/ipuv3: do not return negative values from .get_modes()
    - drm/vc4: hdmi: do not return negative values from .get_modes()
    - clocksource/drivers/timer-riscv: Clear timer interrupt on timer
      initialization
    - memtest: use {READ,WRITE}_ONCE in memory scanning
    - Revert "block/mq-deadline: use correct way to throttling write requests"
    - lsm: use 32-bit compatible data types in LSM syscalls
    - lsm: handle the NULL buffer case in lsm_fill_user_ctx()
    - f2fs: mark inode dirty for FI_ATOMIC_COMMITTED flag
    - f2fs: truncate page cache before clearing flags when aborting atomic write
    - nilfs2: fix failure to detect DAT corruption in btree and direct mappings
    - nilfs2: prevent kernel bug at submit_bh_wbc()
    - cifs: make sure server interfaces are requested only for SMB3+
    - cifs: reduce warning log level for server not advertising interfaces
    - cifs: open_cached_dir(): add FILE_READ_EA to desired access
    - mtd: rawnand: Fix and simplify again the continuous read derivations
    - mtd: rawnand: Add a helper for calculating a page index
    - mtd: rawnand: Ensure all continuous terms are always in sync
    - mtd: rawnand: Constrain even more when continuous reads are enabled
    - cpufreq: dt: always allocate zeroed cpumask
    - io_uring/futex: always remove futex entry for cancel all
    - io_uring/waitid: always remove waitid entry for cancel all
    - x86/CPU/AMD: Update the Zenbleed microcode revisions
    - ksmbd: fix slab-out-of-bounds in smb_strndup_from_utf16()
    - net: esp: fix bad handling of pages from page_pool
    - NFSD: Fix nfsd_clid_class use of __string_len() macro
    - drm/i915: Add missing ; to __assign_str() macros in tracepoint code
    - net: hns3: tracing: fix hclgevf trace event strings
    - cxl/trace: Properly initialize cxl_poison region name
    - ksmbd: fix potencial out-of-bounds when buffer offset is invalid
    - virtio: reenable config if freezing device failed
    - LoongArch: Change __my_cpu_offset definition to avoid mis-optimization
    - LoongArch: Define the __io_aw() hook as mmiowb()
    - LoongArch/crypto: Clean up useless assignment operations
    - wireguard: netlink: check for dangling peer via is_dead instead of empty
      list
    - wireguard: netlink: access device through ctx instead of peer
    - wireguard: selftests: set RISCV_ISA_FALLBACK on riscv{32,64}
    - ahci: asm1064: asm1166: don't limit reported ports
    - drm/amd/display: Change default size for dummy plane in DML2
    - drm/amdgpu: amdgpu_ttm_gart_bind set gtt bound flag
    - drm/amdgpu/pm: Fix NULL pointer dereference when get power limit
    - drm/amdgpu/pm: Check the validity of overdiver power limit
    - drm/amd/display: Override min required DCFCLK in dml1_validate
    - drm/amd/display: Allow dirty rects to be sent to dmub when abm is active
    - drm/amd/display: Init DPPCLK from SMU on dcn32
    - drm/amd/display: Update odm when ODM combine is changed on an otg master
      pipe with no plane
    - drm/amd/display: Fix idle check for shared firmware state
    - drm/amd/display: Amend coasting vtotal for replay low hz
    - drm/amd/display: Lock all enabled otg pipes even with no planes
    - drm/amd/display: Implement wait_for_odm_update_pending_complete
    - drm/amd/display: Return the correct HDCP error code
    - drm/amd/display: Add a dc_state NULL check in dc_state_release
    - drm/amd/display: Fix noise issue on HDMI AV mute
    - dm snapshot: fix lockup in dm_exception_table_exit
    - x86/pm: Work around false positive kmemleak report in msr_build_context()
    - wifi: brcmfmac: add per-vendor feature detection callback
    - wifi: brcmfmac: cfg80211: Use WSEC to set SAE password
    - wifi: brcmfmac: Demote vendor-specific attach/detach messages to info
    - drm/ttm: Make sure the mapped tt pages are decrypted when needed
    - drm/amd/display: Unify optimize_required flags and VRR adjustments
    - drm/amd/display: Add more checks for exiting idle in DC
    - btrfs: add set_folio_extent_mapped() helper
    - btrfs: replace sb::s_blocksize by fs_info::sectorsize
    - btrfs: add helpers to get inode from page/folio pointers
    - btrfs: add helpers to get fs_info from page/folio pointers
    - btrfs: add helper to get fs_info from struct inode pointer
    - btrfs: qgroup: validate btrfs_qgroup_inherit parameter
    - vfio: Introduce interface to flush virqfd inject workqueue
    - vfio/pci: Create persistent INTx handler
    - drm/bridge: add ->edid_read hook and drm_bridge_edid_read()
    - drm/bridge: lt8912b: use drm_bridge_edid_read()
    - drm/bridge: lt8912b: clear the EDID property on failures
    - drm/bridge: lt8912b: do not return negative values from .get_modes()
    - drm/amd/display: Remove pixle rate limit for subvp
    - drm/amd/display: Revert Remove pixle rate limit for subvp
    - workqueue: Shorten events_freezable_power_efficient name
    - drm/amd/display: Use freesync when `DRM_EDID_FEATURE_CONTINUOUS_FREQ` found
    - netfilter: nf_tables: reject constant set with timeout
    - Revert "crypto: pkcs7 - remove sha1 support"
    - x86/efistub: Call mixed mode boot services on the firmware's stack
    - ASoC: amd: yc: Revert "Fix non-functional mic on Lenovo 21J2"
    - ASoC: amd: yc: Revert "add new YC platform variant (0x63) support"
    - Fix memory leak in posix_clock_open()
    - wifi: rtw88: 8821cu: Fix connection failure
    - x86/Kconfig: Remove CONFIG_AMD_MEM_ENCRYPT_ACTIVE_BY_DEFAULT
    - x86/sev: Fix position dependent variable references in startup code
    - clocksource/drivers/arm_global_timer: Fix maximum prescaler value
    - ARM: 9352/1: iwmmxt: Remove support for PJ4/PJ4B cores
    - ARM: 9359/1: flush: check if the folio is reserved for no-mapping addresses
    - entry: Respect changes to system call number by trace_sys_enter()
    - swiotlb: Fix double-allocation of slots due to broken alignment handling
    - swiotlb: Honour dma_alloc_coherent() alignment in swiotlb_alloc()
    - swiotlb: Fix alignment checks when both allocation and DMA masks are present
    - iommu/dma: Force swiotlb_max_mapping_size on an untrusted device
    - printk: Update @console_may_schedule in console_trylock_spinning()
    - irqchip/renesas-rzg2l: Flush posted write in irq_eoi()
    - irqchip/renesas-rzg2l: Rename rzg2l_tint_eoi()
    - irqchip/renesas-rzg2l: Rename rzg2l_irq_eoi()
    - irqchip/renesas-rzg2l: Prevent spurious interrupts when setting trigger type
    - kprobes/x86: Use copy_from_kernel_nofault() to read from unsafe address
    - efi/libstub: fix efi_random_alloc() to allocate memory at alloc_min or
      higher address
    - x86/mpparse: Register APIC address only once
    - x86/fpu: Keep xfd_state in sync with MSR_IA32_XFD
    - efi: fix panic in kdump kernel
    - pwm: img: fix pwm clock lookup
    - selftests/mm: Fix build with _FORTIFY_SOURCE
    - btrfs: handle errors returned from unpin_extent_cache()
    - btrfs: fix warning messages not printing interval at unpin_extent_range()
    - btrfs: do not skip re-registration for the mounted device
    - mfd: intel-lpss: Switch to generalized quirk table
    - mfd: intel-lpss: Introduce QUIRK_CLOCK_DIVIDER_UNITY for XPS 9530
    - drm/i915: Replace a memset() with zero initialization
    - drm/i915: Try to preserve the current shared_dpll for fastset on type-c
      ports
    - drm/i915: Include the PLL name in the debug messages
    - drm/i915: Suppress old PLL pipe_mask checks for MG/TC/TBT PLLs
    - crypto: iaa - Fix nr_cpus < nr_iaa case
    - drm/amd/display: Prevent crash when disable stream
    - ALSA: hda/tas2781: remove digital gain kcontrol
    - ALSA: hda/tas2781: add locks to kcontrols
    - mm: zswap: fix writeback shinker GFP_NOIO/GFP_NOFS recursion
    - init: open /initrd.image with O_LARGEFILE
    - x86/efistub: Add missing boot_params for mixed mode compat entry
    - efi/libstub: Cast away type warning in use of max()
    - x86/efistub: Reinstate soft limit for initrd loading
    - prctl: generalize PR_SET_MDWE support check to be per-arch
    - ARM: prctl: reject PR_SET_MDWE on pre-ARMv6
    - tmpfs: fix race on handling dquot rbtree
    - btrfs: validate device maj:min during open
    - btrfs: fix race in read_extent_buffer_pages()
    - btrfs: zoned: don't skip block groups with 100% zone unusable
    - btrfs: zoned: use zone aware sb location for scrub
    - btrfs: zoned: fix use-after-free in do_zone_finish()
    - wifi: mac80211: check/clear fast rx for non-4addr sta VLAN changes
    - wifi: cfg80211: add a flag to disable wireless extensions
    - wifi: iwlwifi: mvm: disable MLO for the time being
    - wifi: iwlwifi: fw: don't always use FW dump trig
    - wifi: iwlwifi: mvm: handle debugfs names more carefully
    - Revert "drm/amd/display: Fix sending VSC (+ colorimetry) packets for DP/eDP
      displays without PSR"
    - fbdev: Select I/O-memory framebuffer ops for SBus
    - exec: Fix NOMMU linux_binprm::exec in transfer_args_to_stack()
    - hexagon: vmlinux.lds.S: handle attributes section
    - mm: cachestat: fix two shmem bugs
    - selftests/mm: sigbus-wp test requires UFFD_FEATURE_WP_HUGETLBFS_SHMEM
    - selftests/mm: fix ARM related issue with fork after pthread_create
    - mmc: sdhci-omap: re-tuning is needed after a pm transition to support emmc
      HS200 mode
    - mmc: core: Initialize mmc_blk_ioc_data
    - mmc: core: Avoid negative index with array access
    - sdhci-of-dwcmshc: disable PM runtime in dwcmshc_remove()
    - block: Do not force full zone append completion in req_bio_endio()
    - thermal: devfreq_cooling: Fix perf state when calculate dfc res_util
    - Revert "thermal: core: Don't update trip points inside the hysteresis range"
    - nouveau/dmem: handle kcalloc() allocation failure
    - net: ll_temac: platform_get_resource replaced by wrong function
    - net: wan: framer: Add missing static inline qualifiers
    - net: phy: qcom: at803x: fix kernel panic with at8031_probe
    - drm/xe/query: fix gt_id bounds check
    - drm/dp: Fix divide-by-zero regression on DP MST unplug with nouveau
    - drm/vmwgfx: Create debugfs ttm_resource_manager entry only if needed
    - drm/amdkfd: fix TLB flush after unmap for GFX9.4.2
    - drm/amdgpu: fix deadlock while reading mqd from debugfs
    - drm/amd/display: Remove MPC rate control logic from DCN30 and above
    - drm/amd/display: Set DCN351 BB and IP the same as DCN35
    - drm/i915/hwmon: Fix locking inversion in sysfs getter
    - drm/i915/vma: Fix UAF on destroy against retire race
    - drm/i915/bios: Tolerate devdata==NULL in
      intel_bios_encoder_supports_dp_dual_mode()
    - drm/i915/vrr: Generate VRR "safe window" for DSB
    - drm/i915/dsi: Go back to the previous INIT_OTP/DISPLAY_ON order, mostly
    - drm/i915/dsb: Fix DSB vblank waits when using VRR
    - drm/i915: Do not match JSL in ehl_combo_pll_div_frac_wa_needed()
    - drm/i915: Pre-populate the cursor physical dma address
    - drm/i915/gt: Reset queue_priority_hint on parking
    - drm/amd/display: Fix bounds check for dcn35 DcfClocks
    - Bluetooth: hci_sync: Fix not checking error on hci_cmd_sync_cancel_sync
    - mtd: spinand: Add support for 5-byte IDs
    - Revert "usb: phy: generic: Get the vbus supply"
    - usb: cdc-wdm: close race between read and workqueue
    - usb: misc: ljca: Fix double free in error handling path
    - USB: UAS: return ENODEV when submit urbs fail with device not attached
    - vfio/pds: Make sure migration file isn't accessed after reset
    - ring-buffer: Make wake once of ring_buffer_wait() more robust
    - btrfs: fix extent map leak in unexpected scenario at unpin_extent_cache()
    - ALSA: sh: aica: reorder cleanup operations to avoid UAF bugs
    - scsi: ufs: qcom: Provide default cycles_in_1us value
    - scsi: sd: Fix TCG OPAL unlock on system resume
    - scsi: core: Fix unremoved procfs host directory regression
    - staging: vc04_services: changen strncpy() to strscpy_pad()
    - staging: vc04_services: fix information leak in create_component()
    - genirq: Introduce IRQF_COND_ONESHOT and use it in pinctrl-amd
    - usb: dwc3: Properly set system wakeup
    - USB: core: Fix deadlock in usb_deauthorize_interface()
    - USB: core: Add hub_get() and hub_put() routines
    - USB: core: Fix deadlock in port "disable" sysfs attribute
    - usb: dwc2: host: Fix remote wakeup from hibernation
    - usb: dwc2: host: Fix hibernation flow
    - usb: dwc2: host: Fix ISOC flow in DDMA mode
    - usb: dwc2: gadget: Fix exiting from clock gating
    - usb: dwc2: gadget: LPM flow fix
    - usb: udc: remove warning when queue disabled ep
    - usb: typec: ucsi: Fix race between typec_switch and role_switch
    - usb: typec: tcpm: fix double-free issue in tcpm_port_unregister_pd()
    - usb: typec: tcpm: Correct port source pdo array in pd_set callback
    - usb: typec: tcpm: Update PD of Type-C port upon pd_set
    - usb: typec: Return size of buffer if pd_set operation succeeds
    - usb: typec: ucsi: Clear EVENT_PENDING under PPM lock
    - usb: typec: ucsi: Ack unsupported commands
    - usb: typec: ucsi_acpi: Refactor and fix DELL quirk
    - usb: typec: ucsi: Clear UCSI_CCI_RESET_COMPLETE before reset
    - scsi: qla2xxx: Prevent command send on chip reset
    - scsi: qla2xxx: Fix N2N stuck connection
    - scsi: qla2xxx: Split FCE|EFT trace control
    - scsi: qla2xxx: Update manufacturer detail
    - scsi: qla2xxx: NVME|FCP prefer flag not being honored
    - scsi: qla2xxx: Fix command flush on cable pull
    - scsi: qla2xxx: Fix double free of the ha->vp_map pointer
    - scsi: qla2xxx: Fix double free of fcport
    - scsi: qla2xxx: Change debug message during driver unload
    - scsi: qla2xxx: Delay I/O Abort on PCI error
    - x86/bugs: Fix the SRSO mitigation on Zen3/4
    - crash: use macro to add crashk_res into iomem early for specific arch
    - drm/amd/display: fix IPX enablement
    - x86/bugs: Use fixed addressing for VERW operand
    - Revert "x86/bugs: Use fixed addressing for VERW operand"
    - usb: dwc3: pci: Drop duplicate ID
    - scsi: lpfc: Correct size for cmdwqe/rspwqe for memset()
    - scsi: lpfc: Correct size for wqe for memset()
    - scsi: libsas: Add a helper sas_get_sas_addr_and_dev_type()
    - scsi: libsas: Fix disk not being scanned in after being removed
    - perf/x86/amd/core: Update and fix stalled-cycles-* events for Zen 2 and
      later
    - x86/sev: Skip ROM range scans and validation for SEV-SNP guests
    - tools/resolve_btfids: fix build with musl libc
    - drm/amdgpu: fix use-after-free bug
    - drm/sched: fix null-ptr-deref in init entity
    - Linux 6.8.3
    - [Config] updateconfigs following v6.8.3 import

  * Noble update: v6.8.3 upstream stable release (LP: #2060531) //
    [Ubuntu-24.04] Hugepage memory is not getting released even after destroying
    the guest! (LP: #2062556)
    - block: Fix page refcounts for unaligned buffers in __bio_release_pages()

  *  [SPR][EMR][GNR] TDX: efi: TD Measurement support for kernel cmdline/initrd
    sections from EFI stub  (LP: #2060130)
    - efi/libstub: Use TPM event typedefs from the TCG PC Client spec
    - efi/tpm: Use symbolic GUID name from spec for final events table
    - efi/libstub: Add Confidential Computing (CC) measurement typedefs
    - efi/libstub: Measure into CC protocol if TCG2 protocol is absent
    - efi/libstub: Add get_event_log() support for CC platforms
    - x86/efistub: Remap kernel text read-only before dropping NX attribute

  * Fix acpi_power_meter accessing IPMI region before it's ready (LP: #2059263)
    - ACPI: IPMI: Add helper to wait for when SMI is selected
    - hwmon: (acpi_power_meter) Ensure IPMI space handler is ready on Dell systems

  * Drop fips-checks script from trees (LP: #2055083)
    - [Packaging] Remove fips-checks script

  * alsa/realtek: adjust max output valume for headphone on 2 LG machines
    (LP: #2058573)
    - ALSA: hda/realtek: fix the hp playback volume issue for LG machines

  * Noble update: v6.8.2 upstream stable release (LP: #2060097)
    - do_sys_name_to_handle(): use kzalloc() to fix kernel-infoleak
    - workqueue.c: Increase workqueue name length
    - workqueue: Move pwq->max_active to wq->max_active
    - workqueue: Factor out pwq_is_empty()
    - workqueue: Replace pwq_activate_inactive_work() with [__]pwq_activate_work()
    - workqueue: Move nr_active handling into helpers
    - workqueue: Make wq_adjust_max_active() round-robin pwqs while activating
    - workqueue: RCU protect wq->dfl_pwq and implement accessors for it
    - workqueue: Introduce struct wq_node_nr_active
    - workqueue: Implement system-wide nr_active enforcement for unbound
      workqueues
    - workqueue: Don't call cpumask_test_cpu() with -1 CPU in
      wq_update_node_max_active()
    - iomap: clear the per-folio dirty bits on all writeback failures
    - fs: Fix rw_hint validation
    - io_uring: remove looping around handling traditional task_work
    - io_uring: remove unconditional looping in local task_work handling
    - s390/dasd: Use dev_*() for device log messages
    - s390/dasd: fix double module refcount decrement
    - fs/hfsplus: use better @opf description
    - md: fix kmemleak of rdev->serial
    - rcu/exp: Fix RCU expedited parallel grace period kworker allocation failure
      recovery
    - rcu/exp: Handle RCU expedited grace period kworker allocation failure
    - fs/select: rework stack allocation hack for clang
    - block: fix deadlock between bd_link_disk_holder and partition scan
    - md: Don't clear MD_CLOSING when the raid is about to stop
    - kunit: Setup DMA masks on the kunit device
    - ovl: Always reject mounting over case-insensitive directories
    - kunit: test: Log the correct filter string in executor_test
    - lib/cmdline: Fix an invalid format specifier in an assertion msg
    - lib: memcpy_kunit: Fix an invalid format specifier in an assertion msg
    - time: test: Fix incorrect format specifier
    - rtc: test: Fix invalid format specifier.
    - net: test: Fix printf format specifier in skb_segment kunit test
    - drm/xe/tests: Fix printf format specifiers in xe_migrate test
    - drm: tests: Fix invalid printf format specifiers in KUnit tests
    - md/raid1: factor out helpers to add rdev to conf
    - md/raid1: record nonrot rdevs while adding/removing rdevs to conf
    - md/raid1: fix choose next idle in read_balance()
    - io_uring/net: unify how recvmsg and sendmsg copy in the msghdr
    - io_uring/net: move receive multishot out of the generic msghdr path
    - io_uring/net: fix overflow check in io_recvmsg_mshot_prep()
    - nvme: host: fix double-free of struct nvme_id_ns in ns_update_nuse()
    - aoe: fix the potential use-after-free problem in aoecmd_cfg_pkts
    - x86/mm: Ensure input to pfn_to_kaddr() is treated as a 64-bit type
    - x86/resctrl: Remove hard-coded memory bandwidth limit
    - x86/resctrl: Read supported bandwidth sources from CPUID
    - x86/resctrl: Implement new mba_MBps throttling heuristic
    - x86/sme: Fix memory encryption setting if enabled by default and not
      overridden
    - timekeeping: Fix cross-timestamp interpolation on counter wrap
    - timekeeping: Fix cross-timestamp interpolation corner case decision
    - timekeeping: Fix cross-timestamp interpolation for non-x86
    - x86/asm: Remove the __iomem annotation of movdir64b()'s dst argument
    - sched/fair: Take the scheduling domain into account in select_idle_smt()
    - sched/fair: Take the scheduling domain into account in select_idle_core()
    - wifi: ath10k: fix NULL pointer dereference in
      ath10k_wmi_tlv_op_pull_mgmt_tx_compl_ev()
    - wifi: b43: Stop/wake correct queue in DMA Tx path when QoS is disabled
    - wifi: b43: Stop/wake correct queue in PIO Tx path when QoS is disabled
    - wifi: b43: Stop correct queue in DMA worker when QoS is disabled
    - wifi: b43: Disable QoS for bcm4331
    - wifi: wilc1000: fix declarations ordering
    - wifi: wilc1000: fix RCU usage in connect path
    - wifi: ath11k: add support to select 6 GHz regulatory type
    - wifi: ath11k: store cur_regulatory_info for each radio
    - wifi: ath11k: fix a possible dead lock caused by ab->base_lock
    - wifi: rtl8xxxu: add cancel_work_sync() for c2hcmd_work
    - wifi: wilc1000: do not realloc workqueue everytime an interface is added
    - wifi: wilc1000: fix multi-vif management when deleting a vif
    - wifi: mwifiex: debugfs: Drop unnecessary error check for
      debugfs_create_dir()
    - ARM: dts: renesas: r8a73a4: Fix external clocks and clock rate
    - arm64: dts: qcom: x1e80100: drop qcom,drv-count
    - arm64: dts: qcom: sc8180x: Hook up VDD_CX as GCC parent domain
    - arm64: dts: qcom: sc8180x: Fix up big CPU idle state entry latency
    - arm64: dts: qcom: sc8180x: Add missing CPU off state
    - arm64: dts: qcom: sc8180x: Fix eDP PHY power-domains
    - arm64: dts: qcom: sc8180x: Don't hold MDP core clock at FMAX
    - arm64: dts: qcom: sc8180x: Require LOW_SVS vote for MMCX if DISPCC is on
    - arm64: dts: qcom: sc8180x: Add missing CPU<->MDP_CFG path
    - arm64: dts: qcom: sc8180x: Shrink aoss_qmp register space size
    - cpufreq: brcmstb-avs-cpufreq: add check for cpufreq_cpu_get's return value
    - cpufreq: mediatek-hw: Wait for CPU supplies before probing
    - sock_diag: annotate data-races around sock_diag_handlers[family]
    - inet_diag: annotate data-races around inet_diag_table[]
    - bpftool: Silence build warning about calloc()
    - selftests/bpf: Fix potential premature unload in bpf_testmod
    - libbpf: Apply map_set_def_max_entries() for inner_maps on creation
    - selftest/bpf: Add map_in_maps with BPF_MAP_TYPE_PERF_EVENT_ARRAY values
    - bpftool: Fix wrong free call in do_show_link
    - wifi: ath12k: Fix issues in channel list update
    - selftests/bpf: Fix the flaky tc_redirect_dtime test
    - selftests/bpf: Wait for the netstamp_needed_key static key to be turned on
    - wifi: cfg80211: add RNR with reporting AP information
    - wifi: mac80211: use deflink and fix typo in link ID check
    - wifi: iwlwifi: change link id in time event to s8
    - af_unix: Annotate data-race of gc_in_progress in wait_for_unix_gc().
    - arm64: dts: qcom: sm8450: Add missing interconnects to serial
    - soc: qcom: socinfo: rename PM2250 to PM4125
    - arm64: dts: qcom: sc7280: Add static properties to cryptobam
    - arm64: dts: qcom: qcm6490-fairphone-fp5: Add missing reserved-memory
    - arm64: dts: qcom: sdm845-oneplus-common: improve DAI node naming
    - arm64: dts: qcom: rename PM2250 to PM4125
    - cpufreq: mediatek-hw: Don't error out if supply is not found
    - libbpf: Fix faccessat() usage on Android
    - libbpf: fix __arg_ctx type enforcement for perf_event programs
    - pmdomain: qcom: rpmhpd: Drop SA8540P gfx.lvl
    - arm64: dts: qcom: sa8540p: Drop gfx.lvl as power-domain for gpucc
    - arm64: dts: renesas: r8a779g0: Restore sort order
    - arm64: dts: renesas: r8a779g0: Add missing SCIF_CLK2
    - selftests/bpf: Disable IPv6 for lwt_redirect test
    - arm64: dts: imx8mm-kontron: Disable pullups for I2C signals on OSM-S i.MX8MM
    - arm64: dts: imx8mm-kontron: Disable pullups for I2C signals on SL/BL i.MX8MM
    - arm64: dts: imx8mm-kontron: Disable pullups for onboard UART signals on BL
      OSM-S board
    - arm64: dts: imx8mm-kontron: Disable pullups for onboard UART signals on BL
      board
    - arm64: dts: imx8mm-kontron: Disable pull resistors for SD card signals on BL
      OSM-S board
    - arm64: dts: imx8mm-kontron: Disable pull resistors for SD card signals on BL
      board
    - arm64: dts: imx8mm-kontron: Fix interrupt for RTC on OSM-S i.MX8MM module
    - arm64: dts: imx8qm: Align edma3 power-domains resources indentation
    - arm64: dts: imx8qm: Correct edma3 power-domains and interrupt numbers
    - libbpf: Add missing LIBBPF_API annotation to libbpf_set_memlock_rlim API
    - wifi: ath9k: delay all of ath9k_wmi_event_tasklet() until init is complete
    - wifi: ath11k: change to move WMI_VDEV_PARAM_SET_HEMU_MODE before
      WMI_PEER_ASSOC_CMDID
    - wifi: ath12k: fix fetching MCBC flag for QCN9274
    - wifi: iwlwifi: mvm: report beacon protection failures
    - wifi: iwlwifi: dbg-tlv: ensure NUL termination
    - wifi: iwlwifi: acpi: fix WPFC reading
    - wifi: iwlwifi: mvm: initialize rates in FW earlier
    - wifi: iwlwifi: fix EWRD table validity check
    - wifi: iwlwifi: mvm: d3: fix IPN byte order
    - wifi: iwlwifi: always have 'uats_enabled'
    - wifi: iwlwifi: mvm: fix the TLC command after ADD_STA
    - wifi: iwlwifi: read BIOS PNVM only for non-Intel SKU
    - gpio: vf610: allow disabling the vf610 driver
    - selftests/bpf: trace_helpers.c: do not use poisoned type
    - bpf: make sure scalar args don't accept __arg_nonnull tag
    - bpf: don't emit warnings intended for global subprogs for static subprogs
    - arm64: dts: imx8mm-venice-gw71xx: fix USB OTG VBUS
    - pwm: atmel-hlcdc: Fix clock imbalance related to suspend support
    - net: blackhole_dev: fix build warning for ethh set but not used
    - spi: consolidate setting message->spi
    - spi: move split xfers for CS_WORD emulation
    - arm64: dts: ti: k3-am62p5-sk: Enable CPSW MDIO node
    - arm64: dts: ti: k3-j721s2: Fix power domain for VTM node
    - arm64: dts: ti: k3-j784s4: Fix power domain for VTM node
    - wifi: ath11k: initialize rx_mcs_80 and rx_mcs_160 before use
    - wifi: libertas: fix some memleaks in lbs_allocate_cmd_buffer()
    - arm64: dts: ti: k3-am69-sk: remove assigned-clock-parents for unused VP
    - libbpf: fix return value for PERF_EVENT __arg_ctx type fix up check
    - arm64: dts: ti: k3-am62p-mcu/wakeup: Disable MCU and wakeup R5FSS nodes
    - arm64: dts: qcom: x1e80100-qcp: Fix supplies for LDOs 3E and 2J
    - libbpf: Use OPTS_SET() macro in bpf_xdp_query()
    - wifi: wfx: fix memory leak when starting AP
    - arm64: dts: qcom: qcm2290: declare VLS CLAMP register for USB3 PHY
    - arm64: dts: qcom: sm6115: declare VLS CLAMP register for USB3 PHY
    - arm64: dts: qcom: sm8650: Fix UFS PHY clocks
    - wifi: ath12k: fix incorrect logic of calculating vdev_stats_id
    - printk: nbcon: Relocate 32bit seq macros
    - printk: ringbuffer: Do not skip non-finalized records with prb_next_seq()
    - printk: Wait for all reserved records with pr_flush()
    - printk: Add this_cpu_in_panic()
    - printk: ringbuffer: Cleanup reader terminology
    - printk: ringbuffer: Skip non-finalized records in panic
    - printk: Disable passing console lock owner completely during panic()
    - pwm: sti: Fix capture for st,pwm-num-chan < st,capture-num-chan
    - tools/resolve_btfids: Refactor set sorting with types from btf_ids.h
    - tools/resolve_btfids: Fix cross-compilation to non-host endianness
    - wifi: iwlwifi: support EHT for WH
    - wifi: iwlwifi: properly check if link is active
    - wifi: iwlwifi: mvm: fix erroneous queue index mask
    - wifi: iwlwifi: mvm: don't set the MFP flag for the GTK
    - wifi: iwlwifi: mvm: don't set replay counters to 0xff
    - s390/pai: fix attr_event_free upper limit for pai device drivers
    - s390/vdso: drop '-fPIC' from LDFLAGS
    - arm64: dts: qcom: qcm6490-idp: Correct the voltage setting for vph_pwr
    - arm64: dts: qcom: qcs6490-rb3gen2: Correct the voltage setting for vph_pwr
    - selftests: forwarding: Add missing config entries
    - selftests: forwarding: Add missing multicast routing config entries
    - arm64: dts: qcom: sm6115: drop pipe clock selection
    - ipv6: mcast: remove one synchronize_net() barrier in ipv6_mc_down()
    - arm64: dts: mt8183: Move CrosEC base detection node to kukui-based DTs
    - arm64: dts: mediatek: mt7986: fix reference to PWM in fan node
    - arm64: dts: mediatek: mt7986: drop crypto's unneeded/invalid clock name
    - arm64: dts: mediatek: mt7986: fix SPI bus width properties
    - arm64: dts: mediatek: mt7986: fix SPI nodename
    - arm64: dts: mediatek: mt7986: drop "#clock-cells" from PWM
    - arm64: dts: mediatek: mt7986: add "#reset-cells" to infracfg
    - arm64: dts: mediatek: mt8192-asurada: Remove CrosEC base detection node
    - arm64: dts: mediatek: mt8192: fix vencoder clock name
    - arm64: dts: mediatek: mt8186: fix VENC power domain clocks
    - arm64: dts: mediatek: mt7622: add missing "device_type" to memory nodes
    - can: m_can: Start/Cancel polling timer together with interrupts
    - wifi: iwlwifi: mvm: Fix the listener MAC filter flags
    - bpf: Mark bpf_spin_{lock,unlock}() helpers with notrace correctly
    - arm64: dts: qcom: sdm845: Use the Low Power Island CX/MX for SLPI
    - soc: qcom: llcc: Check return value on Broadcast_OR reg read
    - ARM: dts: qcom: msm8974: correct qfprom node size
    - arm64: dts: mediatek: mt8186: Add missing clocks to ssusb power domains
    - arm64: dts: mediatek: mt8186: Add missing xhci clock to usb controllers
    - arm64: dts: ti: am65x: Fix dtbs_install for Rocktech OLDI overlay
    - cpufreq: qcom-hw: add CONFIG_COMMON_CLK dependency
    - wifi: wilc1000: prevent use-after-free on vif when cleaning up all
      interfaces
    - pwm: dwc: use pm_sleep_ptr() macro
    - arm64: dts: ti: k3-am69-sk: fix PMIC interrupt number
    - arm64: dts: ti: k3-j721e-sk: fix PMIC interrupt number
    - arm64: dts: ti: k3-am62-main: disable usb lpm
    - ACPI: processor_idle: Fix memory leak in acpi_processor_power_exit()
    - bus: tegra-aconnect: Update dependency to ARCH_TEGRA
    - iommu/amd: Mark interrupt as managed
    - wifi: brcmsmac: avoid function pointer casts
    - arm64: dts: qcom: sdm845-db845c: correct PCIe wake-gpios
    - arm64: dts: qcom: sm8150: correct PCIe wake-gpios
    - powercap: dtpm_cpu: Fix error check against freq_qos_add_request()
    - net: ena: Remove ena_select_queue
    - arm64: dts: ti: k3-j7200-common-proc-board: Modify Pinmux for wkup_uart0 and
      mcu_uart0
    - arm64: dts: ti: k3-j7200-common-proc-board: Remove clock-frequency from
      mcu_uart0
    - arm64: dts: ti: k3-j721s2-common-proc-board: Remove Pinmux for CTS and RTS
      in wkup_uart0
    - arm64: dts: ti: k3-j784s4-evm: Remove Pinmux for CTS and RTS in wkup_uart0
    - arm64: dts: ti: k3-am64-main: Fix ITAP/OTAP values for MMC
    - arm64: dts: mt8195-cherry-tomato: change watchdog reset boot flow
    - arm64: dts: ti: Add common1 register space for AM65x SoC
    - arm64: dts: ti: Add common1 register space for AM62x SoC
    - firmware: arm_scmi: Fix double free in SMC transport cleanup path
    - wifi: cfg80211: set correct param change count in ML element
    - arm64: dts: ti: k3-j721e: Fix mux-reg-masks in hbmc_mux
    - arm64: dts: ti: k3-j784s4-main: Fix mux-reg-masks in serdes_ln_ctrl
    - arm64: dts: ti: k3-am62p: Fix memory ranges for DMSS
    - wifi: wilc1000: revert reset line logic flip
    - ARM: dts: arm: realview: Fix development chip ROM compatible value
    - memory: tegra: Correct DLA client names
    - wifi: mt76: mt7996: fix fw loading timeout
    - wifi: mt76: mt7925: fix connect to 80211b mode fail in 2Ghz band
    - wifi: mt76: mt7925: fix SAP no beacon issue in 5Ghz and 6Ghz band
    - wifi: mt76: mt7925: fix mcu query command fail
    - wifi: mt76: mt7925: fix wmm queue mapping
    - wifi: mt76: mt7925: fix fw download fail
    - wifi: mt76: mt7925: fix WoW failed in encrypted mode
    - wifi: mt76: mt7925: fix the wrong header translation config
    - wifi: mt76: mt7925: add flow to avoid chip bt function fail
    - wifi: mt76: mt7925: add support to set ifs time by mcu command
    - wifi: mt76: mt7925: update PCIe DMA settings
    - wifi: mt76: mt7996: check txs format before getting skb by pid
    - wifi: mt76: mt7996: fix TWT issues
    - wifi: mt76: mt7996: fix incorrect interpretation of EHT MCS caps
    - wifi: mt76: mt7996: fix HE beamformer phy cap for station vif
    - wifi: mt76: mt7996: fix efuse reading issue
    - wifi: mt76: mt7996: fix HIF_TXD_V2_1 value
    - wifi: mt76: mt792x: fix ethtool warning
    - wifi: mt76: mt7921e: fix use-after-free in free_irq()
    - wifi: mt76: mt7925e: fix use-after-free in free_irq()
    - wifi: mt76: mt7921: fix incorrect type conversion for CLC command
    - wifi: mt76: mt792x: fix a potential loading failure of the 6Ghz channel
      config from ACPI
    - wifi: mt76: fix the issue of missing txpwr settings from ch153 to ch177
    - arm64: dts: renesas: rzg2l: Add missing interrupts to IRQC nodes
    - arm64: dts: renesas: r9a08g045: Add missing interrupts to IRQC node
    - arm64: dts: renesas: rzg3s-smarc-som: Guard Ethernet IRQ GPIO hogs
    - arm64: dts: renesas: r8a779a0: Correct avb[01] reg sizes
    - arm64: dts: renesas: r8a779g0: Correct avb[01] reg sizes
    - net: mctp: copy skb ext data when fragmenting
    - pstore: inode: Only d_invalidate() is needed
    - arm64: dts: allwinner: h6: Add RX DMA channel for SPDIF
    - ARM: dts: imx6dl-yapp4: Fix typo in the QCA switch register address
    - ARM: dts: imx6dl-yapp4: Move the internal switch PHYs under the switch node
    - arm64: dts: imx8mp: Set SPI NOR to max 40 MHz on Data Modul i.MX8M Plus eDM
      SBC
    - arm64: dts: imx8mp-evk: Fix hdmi@3d node
    - regulator: userspace-consumer: add module device table
    - gpiolib: Pass consumer device through to core in
      devm_fwnode_gpiod_get_index()
    - arm64: dts: marvell: reorder crypto interrupts on Armada SoCs
    - ACPI: resource: Do IRQ override on Lunnen Ground laptops
    - ACPI: resource: Add MAIBENBEN X577 to irq1_edge_low_force_override
    - ACPI: scan: Fix device check notification handling
    - arm64: dts: rockchip: add missing interrupt-names for rk356x vdpu
    - arm64: dts: rockchip: fix reset-names for rk356x i2s2 controller
    - arm64: dts: rockchip: drop rockchip,trcm-sync-tx-only from rk3588 i2s
    - objtool: Fix UNWIND_HINT_{SAVE,RESTORE} across basic blocks
    - x86, relocs: Ignore relocations in .notes section
    - SUNRPC: fix a memleak in gss_import_v2_context
    - SUNRPC: fix some memleaks in gssx_dec_option_array
    - arm64: dts: qcom: sm8550: Fix SPMI channels size
    - arm64: dts: qcom: sm8650: Fix SPMI channels size
    - mmc: wmt-sdmmc: remove an incorrect release_mem_region() call in the .remove
      function
    - ACPI: CPPC: enable AMD CPPC V2 support for family 17h processors
    - btrfs: fix race when detecting delalloc ranges during fiemap
    - wifi: rtw88: 8821cu: Fix firmware upload fail
    - wifi: rtw88: 8821c: Fix beacon loss and disconnect
    - wifi: rtw88: 8821c: Fix false alarm count
    - wifi: brcm80211: handle pmk_op allocation failure
    - riscv: dts: starfive: jh7100: fix root clock names
    - PCI: Make pci_dev_is_disconnected() helper public for other drivers
    - iommu/vt-d: Don't issue ATS Invalidation request when device is disconnected
    - iommu/vt-d: Use rbtree to track iommu probed devices
    - iommu/vt-d: Improve ITE fault handling if target device isn't present
    - iommu/vt-d: Use device rbtree in iopf reporting path
    - iommu: Add static iommu_ops->release_domain
    - iommu/vt-d: Fix NULL domain on device release
    - igc: Fix missing time sync events
    - igb: Fix missing time sync events
    - ice: fix stats being updated by way too large values
    - Bluetooth: Remove HCI_POWER_OFF_TIMEOUT
    - Bluetooth: mgmt: Remove leftover queuing of power_off work
    - Bluetooth: Remove superfluous call to hci_conn_check_pending()
    - Bluetooth: Remove BT_HS
    - Bluetooth: hci_event: Fix not indicating new connection for BIG Sync
    - Bluetooth: hci_qca: don't use IS_ERR_OR_NULL() with gpiod_get_optional()
    - Bluetooth: hci_core: Cancel request on command timeout
    - Bluetooth: hci_sync: Fix overwriting request callback
    - Bluetooth: hci_h5: Add ability to allocate memory for private data
    - Bluetooth: btrtl: fix out of bounds memory access
    - Bluetooth: hci_core: Fix possible buffer overflow
    - Bluetooth: msft: Fix memory leak
    - Bluetooth: btusb: Fix memory leak
    - Bluetooth: af_bluetooth: Fix deadlock
    - Bluetooth: fix use-after-free in accessing skb after sending it
    - sr9800: Add check for usbnet_get_endpoints
    - s390/cache: prevent rebuild of shared_cpu_list
    - bpf: Fix DEVMAP_HASH overflow check on 32-bit arches
    - bpf: Fix hashtab overflow check on 32-bit arches
    - bpf: Fix stackmap overflow check on 32-bit arches
    - net: dsa: microchip: make sure drive strength configuration is not lost by
      soft reset
    - dpll: spec: use proper enum for pin capabilities attribute
    - iommu: Fix compilation without CONFIG_IOMMU_INTEL
    - ipv6: fib6_rules: flush route cache when rule is changed
    - net: ip_tunnel: make sure to pull inner header in ip_tunnel_rcv()
    - octeontx2-af: Fix devlink params
    - net: phy: fix phy_get_internal_delay accessing an empty array
    - dpll: fix dpll_xa_ref_*_del() for multiple registrations
    - net: hns3: fix wrong judgment condition issue
    - net: hns3: fix kernel crash when 1588 is received on HIP08 devices
    - net: hns3: fix port duplex configure error in IMP reset
    - Bluetooth: Fix eir name length
    - net: phy: dp83822: Fix RGMII TX delay configuration
    - erofs: fix lockdep false positives on initializing erofs_pseudo_mnt
    - OPP: debugfs: Fix warning around icc_get_name()
    - tcp: fix incorrect parameter validation in the do_tcp_getsockopt() function
    - ipmr: fix incorrect parameter validation in the ip_mroute_getsockopt()
      function
    - l2tp: fix incorrect parameter validation in the pppol2tp_getsockopt()
      function
    - udp: fix incorrect parameter validation in the udp_lib_getsockopt() function
    - net: kcm: fix incorrect parameter validation in the kcm_getsockopt) function
    - net/x25: fix incorrect parameter validation in the x25_getsockopt() function
    - devlink: Fix length of eswitch inline-mode
    - r8152: fix unknown device for choose_configuration
    - nfp: flower: handle acti_netdevs allocation failure
    - bpf: hardcode BPF_PROG_PACK_SIZE to 2MB * num_possible_nodes()
    - dm raid: fix false positive for requeue needed during reshape
    - dm: call the resume method on internal suspend
    - fbdev/simplefb: change loglevel when the power domains cannot be parsed
    - drm/tegra: dsi: Add missing check for of_find_device_by_node
    - drm/tegra: dpaux: Fix PM disable depth imbalance in tegra_dpaux_probe
    - drm/tegra: dsi: Fix some error handling paths in tegra_dsi_probe()
    - drm/tegra: dsi: Fix missing pm_runtime_disable() in the error handling path
      of tegra_dsi_probe()
    - drm/tegra: hdmi: Fix some error handling paths in tegra_hdmi_probe()
    - drm/tegra: rgb: Fix some error handling paths in tegra_dc_rgb_probe()
    - drm/tegra: rgb: Fix missing clk_put() in the error handling paths of
      tegra_dc_rgb_probe()
    - drm/tegra: output: Fix missing i2c_put_adapter() in the error handling paths
      of tegra_output_probe()
    - drm/rockchip: inno_hdmi: Fix video timing
    - drm: Don't treat 0 as -1 in drm_fixp2int_ceil
    - drm/vkms: Avoid reading beyond LUT array
    - drm/vmwgfx: fix a memleak in vmw_gmrid_man_get_node
    - drm/rockchip: lvds: do not overwrite error code
    - drm/rockchip: lvds: do not print scary message when probing defer
    - drm/panel-edp: use put_sync in unprepare
    - drm/lima: fix a memleak in lima_heap_alloc
    - ASoC: amd: acp: Add missing error handling in sof-mach
    - ASoC: SOF: amd: Fix memory leak in amd_sof_acp_probe()
    - ASoC: SOF: core: Skip firmware test for custom loaders
    - ASoC: SOF: amd: Compute file paths on firmware load
    - soundwire: stream: add missing const to Documentation
    - dmaengine: tegra210-adma: Update dependency to ARCH_TEGRA
    - media: tc358743: register v4l2 async device only after successful setup
    - media: cadence: csi2rx: use match fwnode for media link
    - PCI/DPC: Print all TLP Prefixes, not just the first
    - perf record: Fix possible incorrect free in record__switch_output()
    - perf record: Check conflict between '--timestamp-filename' option and pipe
      mode before recording
    - HID: lenovo: Add middleclick_workaround sysfs knob for cptkbd
    - drm/amd/display: Fix a potential buffer overflow in 'dp_dsc_clock_en_read()'
    - perf pmu: Treat the msr pmu as software
    - crypto: qat - avoid memcpy() overflow warning
    - ALSA: hda: cs35l41: Set Channel Index correctly when system is missing _DSD
    - drm/amd/display: Fix potential NULL pointer dereferences in
      'dcn10_set_output_transfer_func()'
    - ASoC: sh: rz-ssi: Fix error message print
    - drm/vmwgfx: Fix vmw_du_get_cursor_mob fencing of newly-created MOBs
    - clk: renesas: r8a779g0: Fix PCIe clock name
    - pinctrl: renesas: rzg2l: Fix locking in rzg2l_dt_subnode_to_map()
    - pinctrl: renesas: r8a779g0: Add missing SCIF_CLK2 pin group/function
    - clk: samsung: exynos850: Propagate SPI IPCLK rate change
    - media: v4l2: cci: print leading 0 on error
    - perf evsel: Fix duplicate initialization of data->id in
      evsel__parse_sample()
    - perf bpf: Clean up the generated/copied vmlinux.h
    - clk: meson: Add missing clocks to axg_clk_regmaps
    - media: em28xx: annotate unchecked call to media_device_register()
    - media: v4l2-tpg: fix some memleaks in tpg_alloc
    - media: v4l2-mem2mem: fix a memleak in v4l2_m2m_register_entity
    - media: dt-bindings: techwell,tw9900: Fix port schema ref
    - mtd: spinand: esmt: Extend IDs to 5 bytes
    - media: edia: dvbdev: fix a use-after-free
    - pinctrl: mediatek: Drop bogus slew rate register range for MT8186
    - pinctrl: mediatek: Drop bogus slew rate register range for MT8192
    - drm/amdgpu: Fix potential out-of-bounds access in
      'amdgpu_discovery_reg_base_init()'
    - clk: qcom: reset: Commonize the de/assert functions
    - clk: qcom: reset: Ensure write completion on reset de/assertion
    - quota: Fix potential NULL pointer dereference
    - quota: Fix rcu annotations of inode dquot pointers
    - quota: Properly annotate i_dquot arrays with __rcu
    - ASoC: Intel: ssp-common: Add stub for sof_ssp_get_codec_name
    - PCI/P2PDMA: Fix a sleeping issue in a RCU read section
    - PCI: switchtec: Fix an error handling path in switchtec_pci_probe()
    - crypto: xilinx - call finalize with bh disabled
    - drivers/ps3: select VIDEO to provide cmdline functions
    - perf thread_map: Free strlist on normal path in thread_map__new_by_tid_str()
    - perf srcline: Add missed addr2line closes
    - dt-bindings: msm: qcom, mdss: Include ommited fam-b compatible
    - drm/msm/dpu: fix the programming of INTF_CFG2_DATA_HCTL_EN
    - drm/msm/dpu: Only enable DSC_MODE_MULTIPLEX if dsc_merge is enabled
    - drm/radeon/ni: Fix wrong firmware size logging in ni_init_microcode()
    - drm/amd/display: fix NULL checks for adev->dm.dc in amdgpu_dm_fini()
    - clk: renesas: r8a779g0: Correct PFC/GPIO parent clocks
    - clk: renesas: r8a779f0: Correct PFC/GPIO parent clock
    - clk: renesas: r9a07g04[34]: Use SEL_SDHI1_STS status configuration for SD1
      mux
    - ALSA: seq: fix function cast warnings
    - perf expr: Fix "has_event" function for metric style events
    - perf stat: Avoid metric-only segv
    - perf metric: Don't remove scale from counts
    - ASoC: meson: aiu: fix function pointer type mismatch
    - ASoC: meson: t9015: fix function pointer type mismatch
    - powerpc: Force inlining of arch_vmap_p{u/m}d_supported()
    - ASoC: SOF: Add some bounds checking to firmware data
    - drm: ci: use clk_ignore_unused for apq8016
    - NTB: fix possible name leak in ntb_register_device()
    - media: cedrus: h265: Fix configuring bitstream size
    - media: sun8i-di: Fix coefficient writes
    - media: sun8i-di: Fix power on/off sequences
    - media: sun8i-di: Fix chroma difference threshold
    - staging: media: starfive: Set 16 bpp for capture_raw device
    - media: imx: csc/scaler: fix v4l2_ctrl_handler memory leak
    - media: go7007: add check of return value of go7007_read_addr()
    - media: pvrusb2: remove redundant NULL check
    - media: videobuf2: Add missing doc comment for waiting_in_dqbuf
    - media: pvrusb2: fix pvr2_stream_callback casts
    - clk: qcom: dispcc-sdm845: Adjust internal GDSC wait times
    - drm/amd/display: Add 'replay' NULL check in 'edp_set_replay_allow_active()'
    - drm/panel: boe-tv101wum-nl6: make use of prepare_prev_first
    - drm/msm/dpu: finalise global state object
    - drm/mediatek: dsi: Fix DSI RGB666 formats and definitions
    - PCI: Mark 3ware-9650SE Root Port Extended Tags as broken
    - drm/bridge: adv7511: fix crash on irq during probe
    - pinctrl: renesas: Allow the compiler to optimize away sh_pfc_pm
    - clk: hisilicon: hi3519: Release the correct number of gates in
      hi3519_clk_unregister()
    - clk: hisilicon: hi3559a: Fix an erroneous devm_kfree()
    - clk: mediatek: mt8135: Fix an error handling path in
      clk_mt8135_apmixed_probe()
    - clk: mediatek: mt7622-apmixedsys: Fix an error handling path in
      clk_mt8135_apmixed_probe()
    - clk: mediatek: mt8183: Correct parent of CLK_INFRA_SSPM_32K_SELF
    - clk: mediatek: mt7981-topckgen: flag SGM_REG_SEL as critical
    - drm/tegra: put drm_gem_object ref on error in tegra_fb_create
    - tty: mips_ejtag_fdc: Fix passing incompatible pointer type warning
    - media: ivsc: csi: Swap SINK and SOURCE pads
    - media: i2c: imx290: Fix IMX920 typo
    - mfd: syscon: Call of_node_put() only when of_parse_phandle() takes a ref
    - mfd: altera-sysmgr: Call of_node_put() only when of_parse_phandle() takes a
      ref
    - perf print-events: make is_event_supported() more robust
    - crypto: arm/sha - fix function cast warnings
    - crypto: ccp - Avoid discarding errors in psp_send_platform_access_msg()
    - crypto: qat - remove unused macros in qat_comp_alg.c
    - crypto: qat - removed unused macro in adf_cnv_dbgfs.c
    - crypto: qat - avoid division by zero
    - crypto: qat - remove double initialization of value
    - crypto: qat - fix ring to service map for dcc in 4xxx
    - crypto: qat - fix ring to service map for dcc in 420xx
    - crypto: jitter - fix CRYPTO_JITTERENTROPY help text
    - drm/tidss: Fix initial plane zpos values
    - drm/tidss: Fix sync-lost issue with two displays
    - clk: imx: imx8mp: Fix SAI_MCLK_SEL definition
    - mtd: maps: physmap-core: fix flash size larger than 32-bit
    - mtd: rawnand: lpc32xx_mlc: fix irq handler prototype
    - mtd: rawnand: brcmnand: exec_op helper functions return type fixes
    - ASoC: meson: axg-tdm-interface: fix mclk setup without mclk-fs
    - ASoC: meson: axg-tdm-interface: add frame rate constraint
    - drm/msm/a6xx: specify UBWC config for sc7180
    - drm/msm/a7xx: Fix LLC typo
    - dt-bindings: arm-smmu: fix SM8[45]50 GPU SMMU if condition
    - perf pmu: Fix a potential memory leak in perf_pmu__lookup()
    - HID: amd_sfh: Update HPD sensor structure elements
    - HID: amd_sfh: Avoid disabling the interrupt
    - drm/amdgpu: Fix missing break in ATOM_ARG_IMM Case of atom_get_src_int()
    - media: pvrusb2: fix uaf in pvr2_context_set_notify
    - media: dvb-frontends: avoid stack overflow warnings with clang
    - media: go7007: fix a memleak in go7007_load_encoder
    - media: ttpci: fix two memleaks in budget_av_attach
    - media: mediatek: vcodec: avoid -Wcast-function-type-strict warning
    - arm64: ftrace: Don't forbid CALL_OPS+CC_OPTIMIZE_FOR_SIZE with Clang
    - drm/tests: helpers: Include missing drm_drv header
    - drm/amd/pm: Fix esm reg mask use to get pcie speed
    - gpio: nomadik: fix offset bug in nmk_pmx_set()
    - drm/mediatek: Fix a null pointer crash in mtk_drm_crtc_finish_page_flip
    - mfd: cs42l43: Fix wrong register defaults
    - powerpc/32: fix ADB_CUDA kconfig warning
    - powerpc/pseries: Fix potential memleak in papr_get_attr()
    - powerpc/hv-gpci: Fix the H_GET_PERF_COUNTER_INFO hcall return value checks
    - clk: qcom: gcc-ipq5018: fix 'enable_reg' offset of 'gcc_gmac0_sys_clk'
    - clk: qcom: gcc-ipq5018: fix 'halt_reg' offset of 'gcc_pcie1_pipe_clk'
    - clk: qcom: gcc-ipq5018: fix register offset for GCC_UBI0_AXI_ARES reset
    - perf vendor events amd: Fix Zen 4 cache latency events
    - drm/msm/dpu: allow certain formats for CDM for DP
    - drm/msm/dpu: add division of drm_display_mode's hskew parameter
    - media: usbtv: Remove useless locks in usbtv_video_free()
    - drm/xe: Fix ref counting leak on page fault
    - drm/xe: Replace 'grouped target' in Makefile with pattern rule
    - lib/stackdepot: fix first entry having a 0-handle
    - lib/stackdepot: off by one in depot_fetch_stack()
    - modules: wait do_free_init correctly
    - mfd: cs42l43: Fix wrong GPIO_FN_SEL and SPI_CLK_CONFIG1 defaults
    - power: supply: mm8013: fix "not charging" detection
    - powerpc/embedded6xx: Fix no previous prototype for avr_uart_send() etc.
    - powerpc/4xx: Fix warp_gpio_leds build failure
    - RISC-V: KVM: Forward SEED CSR access to user space
    - leds: aw2013: Unlock mutex before destroying it
    - leds: sgm3140: Add missing timer cleanup and flash gpio control
    - backlight: hx8357: Fix potential NULL pointer dereference
    - backlight: ktz8866: Correct the check for of_property_read_u32
    - backlight: lm3630a: Initialize backlight_properties on init
    - backlight: lm3630a: Don't set bl->props.brightness in get_brightness
    - backlight: da9052: Fully initialize backlight_properties during probe
    - backlight: lm3639: Fully initialize backlight_properties during probe
    - backlight: lp8788: Fully initialize backlight_properties during probe
    - sparc32: Use generic cmpdi2/ucmpdi2 variants
    - mtd: maps: sun_uflash: Declare uflash_devinit static
    - sparc32: Do not select GENERIC_ISA_DMA
    - sparc32: Fix section mismatch in leon_pci_grpci
    - clk: Fix clk_core_get NULL dereference
    - clk: zynq: Prevent null pointer dereference caused by kmalloc failure
    - PCI: brcmstb: Fix broken brcm_pcie_mdio_write() polling
    - cifs: Fix writeback data corruption
    - ALSA: hda/realtek: fix ALC285 issues on HP Envy x360 laptops
    - ALSA: hda/tas2781: use dev_dbg in system_resume
    - ALSA: hda/tas2781: add lock to system_suspend
    - ALSA: hda/tas2781: do not reset cur_* values in runtime_suspend
    - ALSA: hda/tas2781: do not call pm_runtime_force_* in system_resume/suspend
    - ALSA: hda/tas2781: restore power state after system_resume
    - ALSA: scarlett2: Fix Scarlett 4th Gen 4i4 low-voltage detection
    - ALSA: scarlett2: Fix Scarlett 4th Gen autogain status values
    - ALSA: scarlett2: Fix Scarlett 4th Gen input gain range
    - ALSA: scarlett2: Fix Scarlett 4th Gen input gain range again
    - mips: cm: Convert __mips_cm_l2sync_phys_base() to weak function
    - platform/x86/intel/pmc/lnl: Remove SSRAM support
    - platform/x86/intel/pmc/arl: Put GNA device in D3
    - platform/x86/amd/pmf: Do not use readl() for policy buffer access
    - ALSA: usb-audio: Stop parsing channels bits when all channels are found.
    - phy: qcom: qmp-usb: split USB-C PHY driver
    - phy: qcom: qmp-usbc: add support for the Type-C handling
    - phy: qcom: qmp-usbc: handle CLAMP register in a correct way
    - scsi: hisi_sas: Fix a deadlock issue related to automatic dump
    - RDMA/irdma: Remove duplicate assignment
    - RDMA/srpt: Do not register event handler until srpt device is fully setup
    - f2fs: compress: fix to guarantee persisting compressed blocks by CP
    - f2fs: compress: fix to cover normal cluster write with cp_rwsem
    - f2fs: compress: fix to check unreleased compressed cluster
    - f2fs: compress: fix to avoid inconsistence bewteen i_blocks and dnode
    - f2fs: fix to remove unnecessary f2fs_bug_on() to avoid panic
    - f2fs: zone: fix to wait completion of last bio in zone correctly
    - f2fs: fix NULL pointer dereference in f2fs_submit_page_write()
    - f2fs: compress: fix to cover f2fs_disable_compressed_file() w/ i_sem
    - f2fs: fix to avoid potential panic during recovery
    - scsi: csiostor: Avoid function pointer casts
    - i3c: dw: Disable IBI IRQ depends on hot-join and SIR enabling
    - RDMA/hns: Fix mis-modifying default congestion control algorithm
    - RDMA/device: Fix a race between mad_client and cm_client init
    - RDMA/rtrs-clt: Check strnlen return len in sysfs mpath_policy_store()
    - scsi: bfa: Fix function pointer type mismatch for hcb_qe->cbfn
    - f2fs: fix to create selinux label during whiteout initialization
    - f2fs: compress: fix to check zstd compress level correctly in mount option
    - net: sunrpc: Fix an off by one in rpc_sockaddr2uaddr()
    - NFSv4.2: fix nfs4_listxattr kernel BUG at mm/usercopy.c:102
    - NFSv4.2: fix listxattr maximum XDR buffer size
    - f2fs: compress: fix to check compress flag w/ .i_sem lock
    - f2fs: check number of blocks in a current section
    - watchdog: starfive: Check pm_runtime_enabled() before decrementing usage
      counter
    - watchdog: stm32_iwdg: initialize default timeout
    - f2fs: fix to use correct segment type in f2fs_allocate_data_block()
    - f2fs: ro: compress: fix to avoid caching unaligned extent
    - RDMA/mana_ib: Fix bug in creation of dma regions
    - RDMA/mana_ib: Introduce mdev_to_gc helper function
    - RDMA/mana_ib: Introduce mana_ib_get_netdev helper function
    - RDMA/mana_ib: Introduce mana_ib_install_cq_cb helper function
    - RDMA/mana_ib: Use virtual address in dma regions for MRs
    - Input: iqs7222 - add support for IQS7222D v1.1 and v1.2
    - NFS: Fix nfs_netfs_issue_read() xarray locking for writeback interrupt
    - NFS: Fix an off by one in root_nfs_cat()
    - NFSv4.1/pnfs: fix NFS with TLS in pnfs
    - ACPI: HMAT: Remove register of memory node for generic target
    - f2fs: compress: relocate some judgments in f2fs_reserve_compress_blocks
    - f2fs: compress: fix reserve_cblocks counting error when out of space
    - f2fs: fix to truncate meta inode pages forcely
    - f2fs: zone: fix to remove pow2 check condition for zoned block device
    - cxl: Fix the incorrect assignment of SSLBIS entry pointer initial location
    - perf/x86/amd/core: Avoid register reset when CPU is dead
    - afs: Revert "afs: Hide silly-rename files from userspace"
    - afs: Don't cache preferred address
    - afs: Fix occasional rmdir-then-VNOVNODE with generic/011
    - f2fs: fix to avoid use-after-free issue in f2fs_filemap_fault
    - nfs: fix panic when nfs4_ff_layout_prepare_ds() fails
    - ovl: relax WARN_ON in ovl_verify_area()
    - io_uring/net: correct the type of variable
    - remoteproc: stm32: Fix incorrect type in assignment for va
    - remoteproc: stm32: Fix incorrect type assignment returned by
      stm32_rproc_get_loaded_rsc_tablef
    - iio: pressure: mprls0025pa fix off-by-one enum
    - usb: phy: generic: Get the vbus supply
    - tty: vt: fix 20 vs 0x20 typo in EScsiignore
    - serial: max310x: fix syntax error in IRQ error message
    - tty: serial: samsung: fix tx_empty() to return TIOCSER_TEMT
    - arm64: dts: broadcom: bcmbca: bcm4908: drop invalid switch cells
    - coresight: Fix issue where a source device's helpers aren't disabled
    - coresight: etm4x: Set skip_power_up in etm4_init_arch_data function
    - xhci: Add interrupt pending autoclear flag to each interrupter
    - xhci: make isoc_bei_interval variable interrupter specific.
    - xhci: remove unnecessary event_ring_deq parameter from xhci_handle_event()
    - xhci: update event ring dequeue pointer position to controller correctly
    - coccinelle: device_attr_show: Remove useless expression STR
    - kconfig: fix infinite loop when expanding a macro at the end of file
    - iio: gts-helper: Fix division loop
    - bus: mhi: ep: check the correct variable in mhi_ep_register_controller()
    - hwtracing: hisi_ptt: Move type check to the beginning of
      hisi_ptt_pmu_event_init()
    - rtc: mt6397: select IRQ_DOMAIN instead of depending on it
    - rtc: max31335: fix interrupt status reg
    - serial: 8250_exar: Don't remove GPIO device on suspend
    - staging: greybus: fix get_channel_from_mode() failure path
    - mei: vsc: Call wake_up() in the threaded IRQ handler
    - mei: vsc: Don't use sleeping condition in wait_event_timeout()
    - usb: gadget: net2272: Use irqflags in the call to net2272_probe_fin
    - char: xilinx_hwicap: Fix NULL vs IS_ERR() bug
    - x86/hyperv: Use per cpu initial stack for vtl context
    - ASoC: tlv320adc3xxx: Don't strip remove function when driver is builtin
    - thermal/drivers/mediatek/lvts_thermal: Fix a memory leak in an error
      handling path
    - thermal/drivers/qoriq: Fix getting tmu range
    - io_uring: don't save/restore iowait state
    - spi: lpspi: Avoid potential use-after-free in probe()
    - spi: Restore delays for non-GPIO chip select
    - ASoC: rockchip: i2s-tdm: Fix inaccurate sampling rates
    - nouveau: reset the bo resource bus info after an eviction
    - tcp: Fix NEW_SYN_RECV handling in inet_twsk_purge()
    - rds: tcp: Fix use-after-free of net in reqsk_timer_handler().
    - octeontx2-af: Use matching wake_up API variant in CGX command interface
    - s390/vtime: fix average steal time calculation
    - net/sched: taprio: proper TCA_TAPRIO_TC_ENTRY_INDEX check
    - devlink: Fix devlink parallel commands processing
    - riscv: Only check online cpus for emulated accesses
    - soc: fsl: dpio: fix kcalloc() argument order
    - cpufreq: Fix per-policy boost behavior on SoCs using cpufreq_boost_set_sw()
    - io_uring: Fix release of pinned pages when __io_uaddr_map fails
    - tcp: Fix refcnt handling in __inet_hash_connect().
    - vmxnet3: Fix missing reserved tailroom
    - hsr: Fix uninit-value access in hsr_get_node()
    - net: txgbe: fix clk_name exceed MAX_DEV_ID limits
    - spi: spi-mem: add statistics support to ->exec_op() calls
    - spi: Fix error code checking in spi_mem_exec_op()
    - nvme: fix reconnection fail due to reserved tag allocation
    - drm/xe: Invalidate userptr VMA on page pin fault
    - drm/xe: Skip VMAs pin when requesting signal to the last XE_EXEC
    - net: mediatek: mtk_eth_soc: clear MAC_MCR_FORCE_LINK only when MAC is up
    - net: ethernet: mtk_eth_soc: fix PPE hanging issue
    - io_uring: fix poll_remove stalled req completion
    - ASoC: SOF: amd: Move signed_fw_image to struct acp_quirk_entry
    - ASoC: SOF: amd: Skip IRAM/DRAM size modification for Steam Deck OLED
    - riscv: Fix compilation error with FAST_GUP and rv32
    - xen/evtchn: avoid WARN() when unbinding an event channel
    - xen/events: increment refcnt only if event channel is refcounted
    - packet: annotate data-races around ignore_outgoing
    - xfrm: Allow UDP encapsulation only in offload modes
    - net: veth: do not manipulate GRO when using XDP
    - net: dsa: mt7530: prevent possible incorrect XTAL frequency selection
    - spi: spi-imx: fix off-by-one in mx51 CPU mode burst length
    - drm: Fix drm_fixp2int_round() making it add 0.5
    - virtio: uapi: Drop __packed attribute in linux/virtio_pci.h
    - vdpa_sim: reset must not run
    - vdpa/mlx5: Allow CVQ size changes
    - virtio: packed: fix unmap leak for indirect desc table
    - net: move dev->state into net_device_read_txrx group
    - wireguard: receive: annotate data-race around receiving_counter.counter
    - rds: introduce acquire/release ordering in acquire/release_in_xmit()
    - hsr: Handle failures in module init
    - ipv4: raw: Fix sending packets from raw sockets via IPsec tunnels
    - nouveau/gsp: don't check devinit disable on GSP.
    - ceph: stop copying to iter at EOF on sync reads
    - net: phy: fix phy_read_poll_timeout argument type in genphy_loopback
    - dm-integrity: fix a memory leak when rechecking the data
    - net/bnx2x: Prevent access to a freed page in page_pool
    - devlink: fix port new reply cmd type
    - octeontx2: Detect the mbox up or down message via register
    - octeontx2-pf: Wait till detach_resources msg is complete
    - octeontx2-pf: Use default max_active works instead of one
    - octeontx2-pf: Send UP messages to VF only when VF is up.
    - octeontx2-af: Use separate handlers for interrupts
    - drm/amdgpu: add MMHUB 3.3.1 support
    - drm/amdgpu: fix mmhub client id out-of-bounds access
    - drm/amdgpu: drop setting buffer funcs in sdma442
    - netfilter: nft_set_pipapo: release elements in clone only from destroy path
    - netfilter: nf_tables: do not compare internal table flags on updates
    - rcu: add a helper to report consolidated flavor QS
    - net: report RCU QS on threaded NAPI repolling
    - bpf: report RCU QS in cpumap kthread
    - net: dsa: mt7530: fix link-local frames that ingress vlan filtering ports
    - net: dsa: mt7530: fix handling of all link-local frames
    - netfilter: nf_tables: Fix a memory leak in nf_tables_updchain
    - spi: spi-mt65xx: Fix NULL pointer access in interrupt handler
    - selftests: forwarding: Fix ping failure due to short timeout
    - dm io: Support IO priority
    - dm-integrity: align the outgoing bio in integrity_recheck
    - x86/efistub: Clear decompressor BSS in native EFI entrypoint
    - x86/efistub: Don't clear BSS twice in mixed mode
    - printk: Adjust mapping for 32bit seq macros
    - printk: Use prb_first_seq() as base for 32bit seq macros
    - Linux 6.8.2
    - [Config] updateconfig following v6.8.2 import

  * Provide python perf module (LP: #2051560)
    - [Packaging] enable perf python module
    - [Packaging] provide a wrapper module for python-perf

  * To support AMD Adaptive Backlight Management (ABM) for power profiles daemon
    >= 2.0 (LP: #2056716)
    - drm/amd/display: add panel_power_savings sysfs entry to eDP connectors
    - drm/amdgpu: respect the abmlevel module parameter value if it is set

  * Miscellaneous Ubuntu changes
    - [Config] Disable StarFive JH7100 support
    - [Config] Disable Renesas RZ/Five support
    - [Config] Disable BINFMT_FLAT for riscv64

 -- Roxana Nicolescu <roxana.nicolescu@canonical.com>  Wed, 01 May 2024 16:02:05 +0200

linux (6.8.0-31.31) noble; urgency=medium

  * noble/linux: 6.8.0-31.31 -proposed tracker (LP: #2062933)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2024.04.04)

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 19 Apr 2024 23:46:38 +0200

linux (6.8.0-30.30) noble; urgency=medium

  * noble/linux: 6.8.0-30.30 -proposed tracker (LP: #2061893)

  * System unstable, kernel ring buffer flooded with "BUG: Bad page state in
    process swapper/0" (LP: #2056706)
    - xen-netfront: Add missing skb_mark_for_recycle

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 16 Apr 2024 21:17:11 +0200

linux (6.8.0-29.29) noble; urgency=medium

  * noble/linux: 6.8.0-29.29 -proposed tracker (LP: #2061888)

  * [24.04 FEAT] [SEC2353] zcrypt: extend error recovery to deal with device
    scans (LP: #2050019)
    - s390/zcrypt: harmonize debug feature calls and defines
    - s390/zcrypt: introduce dynamic debugging for AP and zcrypt code
    - s390/pkey: harmonize pkey s390 debug feature calls
    - s390/pkey: introduce dynamic debugging for pkey
    - s390/ap: add debug possibility for AP messages
    - s390/zcrypt: add debug possibility for CCA and EP11 messages
    - s390/ap: rearm APQNs bindings complete completion
    - s390/ap: clarify AP scan bus related functions and variables
    - s390/ap: rework ap_scan_bus() to return true on config change
    - s390/ap: introduce mutex to lock the AP bus scan
    - s390/zcrypt: introduce retries on in-kernel send CPRB functions
    - s390/zcrypt: improve zcrypt retry behavior
    - s390/pkey: improve pkey retry behavior

  * [24.04 FEAT] Memory hotplug vmem pages (s390x) (LP: #2051835)
    - mm/memory_hotplug: introduce MEM_PREPARE_ONLINE/MEM_FINISH_OFFLINE notifiers
    - s390/mm: allocate vmemmap pages from self-contained memory range
    - s390/sclp: remove unhandled memory notifier type
    - s390/mm: implement MEM_PREPARE_ONLINE/MEM_FINISH_OFFLINE notifiers
    - s390: enable MHP_MEMMAP_ON_MEMORY
    - [Config] enable CONFIG_ARCH_MHP_MEMMAP_ON_MEMORY_ENABLE and
      CONFIG_MHP_MEMMAP_ON_MEMORY for s390x

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 16 Apr 2024 20:32:09 +0200

linux (6.8.0-28.28) noble; urgency=medium

  * noble/linux: 6.8.0-28.28 -proposed tracker (LP: #2061867)

  * linux-gcp 6.8.0-1005.5 (+ others) Noble kernel regression iwth new apparmor
    profiles/features (LP: #2061851)
    - SAUCE: apparmor4.0.0 [92/90]: fix address mapping for recvfrom

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 16 Apr 2024 18:29:17 +0200

linux (6.8.0-25.25) noble; urgency=medium

  * noble/linux: 6.8.0-25.25 -proposed tracker (LP: #2061083)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2024.04.04)

  * Apply mitigations for the native BHI hardware vulnerabilty (LP: #2060909)
    - x86/cpufeatures: Add new word for scattered features
    - x86/bugs: Change commas to semicolons in 'spectre_v2' sysfs file
    - x86/syscall: Don't force use of indirect calls for system calls
    - x86/bhi: Add support for clearing branch history at syscall entry
    - x86/bhi: Define SPEC_CTRL_BHI_DIS_S
    - x86/bhi: Enumerate Branch History Injection (BHI) bug
    - x86/bhi: Add BHI mitigation knob
    - x86/bhi: Mitigate KVM by default
    - KVM: x86: Add BHI_NO
    - x86: set SPECTRE_BHI_ON as default
    - [Config] enable spectre_bhi=auto by default

  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor4.0.0 [01/90]: LSM stacking v39: integrity: disassociate
      ima_filter_rule from security_audit_rule
    - SAUCE: apparmor4.0.0 [02/90]: LSM stacking v39: SM: Infrastructure
      management of the sock security
    - SAUCE: apparmor4.0.0 [03/90]: LSM stacking v39: LSM: Add the lsmblob data
      structure.
    - SAUCE: apparmor4.0.0 [04/90]: LSM stacking v39: IMA: avoid label collisions
      with stacked LSMs
    - SAUCE: apparmor4.0.0 [05/90]: LSM stacking v39: LSM: Use lsmblob in
      security_audit_rule_match
    - SAUCE: apparmor4.0.0 [06/90]: LSM stacking v39: LSM: Add lsmblob_to_secctx
      hook
    - SAUCE: apparmor4.0.0 [07/90]: LSM stacking v39: Audit: maintain an lsmblob
      in audit_context
    - SAUCE: apparmor4.0.0 [08/90]: LSM stacking v39: LSM: Use lsmblob in
      security_ipc_getsecid
    - SAUCE: apparmor4.0.0 [09/90]: LSM stacking v39: Audit: Update shutdown LSM
      data
    - SAUCE: apparmor4.0.0 [10/90]: LSM stacking v39: LSM: Use lsmblob in
      security_current_getsecid
    - SAUCE: apparmor4.0.0 [11/90]: LSM stacking v39: LSM: Use lsmblob in
      security_inode_getsecid
    - SAUCE: apparmor4.0.0 [12/90]: LSM stacking v39: Audit: use an lsmblob in
      audit_names
    - SAUCE: apparmor4.0.0 [13/90]: LSM stacking v39: LSM: Create new
      security_cred_getlsmblob LSM hook
    - SAUCE: apparmor4.0.0 [14/90]: LSM stacking v39: Audit: Change context data
      from secid to lsmblob
    - SAUCE: apparmor4.0.0 [15/90]: LSM stacking v39: Netlabel: Use lsmblob for
      audit data
    - SAUCE: apparmor4.0.0 [16/90]: LSM stacking v39: LSM: Ensure the correct LSM
      context releaser
    - SAUCE: apparmor4.0.0 [17/90]: LSM stacking v39: LSM: Use lsmcontext in
      security_secid_to_secctx
    - SAUCE: apparmor4.0.0 [18/90]: LSM stacking v39: LSM: Use lsmcontext in
      security_lsmblob_to_secctx
    - SAUCE: apparmor4.0.0 [19/90]: LSM stacking v39: LSM: Use lsmcontext in
      security_inode_getsecctx
    - SAUCE: apparmor4.0.0 [20/90]: LSM stacking v39: LSM: Use lsmcontext in
      security_dentry_init_security
    - SAUCE: apparmor4.0.0 [21/90]: LSM stacking v39: LSM:
      security_lsmblob_to_secctx module selection
    - SAUCE: apparmor4.0.0 [22/90]: LSM stacking v39: Audit: Create audit_stamp
      structure
    - SAUCE: apparmor4.0.0 [23/90]: LSM stacking v39: Audit: Allow multiple
      records in an audit_buffer
    - SAUCE: apparmor4.0.0 [24/90]: LSM stacking v39: Audit: Add record for
      multiple task security contexts
    - SAUCE: apparmor4.0.0 [25/90]: LSM stacking v39: audit: multiple subject lsm
      values for netlabel
    - SAUCE: apparmor4.0.0 [26/90]: LSM stacking v39: Audit: Add record for
      multiple object contexts
    - SAUCE: apparmor4.0.0 [27/90]: LSM stacking v39: LSM: Remove unused
      lsmcontext_init()
